commit 080e97a82a6b5f0fe8b92d460f83c807759646ff
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Mar 28 16:47:16 2011 +0900

    add latvian translation

commit a9021a760770c7cb71f71bd3cc5bcadce08309f5
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Mar 28 16:38:56 2011 +0900

    bump version

commit 33aba9e35df10f436f645ec4806e84f29af2177b
Merge: 6451307 4ed284c
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Mar 28 16:33:35 2011 +0900

    Merge /Users/dae/Home//anki/stable//qt

commit 6451307e491b6c16c9302efd94a48659233d9fe6
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Mar 12 20:06:36 2011 +0900

    fix typo

commit 8485e6ec73a9bded840ab587a2cc7ee031ad3a8e
Merge: 907343b eac1881
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Mar 12 20:04:01 2011 +0900

    Merge branch 'master' of https://github.com/bmabey/ankiqt

commit eac188170a45841d8bfda6cf72f19999cb5d0f1d
Author: Ben Mabey <ben@benmabey.com>
Date:   Fri Mar 11 10:07:51 2011 -0700

    makes the build_ui script more robust by allowing pyuic4 to be anywhere on the path

commit da173c12369bfcd8792ee2ac2353f9c317155a7e
Author: Ben Mabey <ben@benmabey.com>
Date:   Fri Mar 11 09:46:24 2011 -0700

    provides people with homebrew command when trying to build_ui on mac

commit 0b97c81df1bc242880d945701d423b0ec14be8a8
Author: Ben Mabey <ben@benmabey.com>
Date:   Fri Mar 11 09:41:15 2011 -0700

    updates git URLs in developer README

commit 4ed284c0d85eea7f7397ba9fb52d70308c36e17b
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Feb 27 07:38:27 2011 +0900

    typo in sync error msg

commit 907343b83bf916d4911a0db492707147d847abb8
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Feb 21 07:03:50 2011 +0900

    make sure type answer box uses same font

commit d6df4f643b6d57df1c75ba294c52e747f6f6fbfe
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Feb 20 14:08:08 2011 +0900

    bump version

commit e6c6a10c628029eb3f3a8b5c988639acc821d644
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Feb 20 13:55:40 2011 +0900

    if new deck canceled, make sure to move to noDeck

commit b6bcad4b9b0067de162eac53d9b7ca276e5817be
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Feb 9 21:55:30 2011 +0900

    rely on system installed setuptools

commit ae89409ae74078d263d90d6d60659c72a739b656
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Feb 9 17:52:18 2011 +0900

    don't do anything if there are no decks to sync; warn user

commit c25b68fd87d83134dc5c2d8df8a807c02142cbe8
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Feb 4 19:46:05 2011 +0900

    work around intercepted connections

commit 2b34f1f653e1a6a8d0595317f722d9f4991e0cb9
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Feb 4 19:17:41 2011 +0900

    update tags when template renamed

commit d0169733d1682ffa6d512a6b96332a662d2e0a3d
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Feb 3 00:22:13 2011 +0900

    bump version

commit 25aa35799bb30dcefe63703f798d5191e42a583d
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Feb 3 00:11:40 2011 +0900

    copy media from exporting deck instead of duplicating & deleting

commit 8f4d2d85d38ad1b45098d72ecc87078bfaac6213
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Feb 2 23:59:52 2011 +0900

    make sure to save fields on drag/drop

commit d62b12de90d7182ddcf34dd14d4166403b22bd0e
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Feb 2 23:38:51 2011 +0900

    option for changing rev spacing

commit f9a8e98d84ed247b24bd4347e374aa03b5aaedcf
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Feb 2 23:32:11 2011 +0900

    allow congrats screen messages to wrap

commit 46a68ecfa52ef8308c1a71af634965fcf628213d
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Feb 2 18:36:39 2011 +0900

    percent-escape images

commit f4ac6d75c3ff641eae0db3017be93a2b1c806a82
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Feb 2 18:27:29 2011 +0900

    tweak windows debug batch scripts

commit b39eb39e0df1a0deaab98418553ca03d7bb0c4ba
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jan 31 13:10:44 2011 +0900

    patches from bernhard

commit 3aa6c6bd712c92fbde9d5e3754032e2a981b0c09
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jan 28 14:22:31 2011 +0900

    change edit current tooltip to status bar message

commit abd9e67fa9d1690766159983ad5d98ebc5b2a69e
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jan 27 08:13:22 2011 +0900

    bump version

commit 3ea50a233d513525887bc7eff2cfc32234ee61ab
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jan 27 07:54:56 2011 +0900

    new card spacing > sibling spacing

commit 50e547d6859fe76ef23868a6aec25e7497af1641
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jan 27 07:09:25 2011 +0900

    type in answer patch from bernhard

commit 57b816d5734489d0730d1355fbb75e53d3194885
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jan 27 06:07:56 2011 +0900

    feed keystrokes in webview to super

commit fdddf7de4eb2741a89e3d1124e1aa66d76b611eb
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jan 26 15:36:27 2011 +0900

    update shared deck code; don't drop indices and q/a cache anymore

commit be7cb780aaa1251e376bdac44d570358df60aecd
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jan 26 12:58:51 2011 +0900

    preserve alt tags when stripping images from browser

commit e97a3cc856de97347713171052c0dad75fdd2e6a
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jan 26 12:03:44 2011 +0900

    disable tooltip for broken osx shortcut

commit 13abebf4a79933e476c437c1a6bbf4ee69d64306
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jan 26 11:04:00 2011 +0900

    make sure we switch to the correct card when coming from modelprops

commit 0d7281003443fbb3f59498a0f57444773009524c
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jan 25 12:40:37 2011 +0900

    improve selective study screen

commit 3df84116264b53d66fe4dca0f41813a386ed7570
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jan 25 12:11:38 2011 +0900

    add a splitter in clayout

commit 2baeac93e856a542aded884f93b5f477a7e70f6b
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jan 24 12:10:05 2011 +0900

    s/anki/paste

commit 6a204b2b9f9bafee6c19e9e94f7f87a5df48c6cc
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jan 24 12:08:03 2011 +0900

    use the original filename if available when pasting

commit edd931b0ee9a8073add6e2fc4085041810bec7ef
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jan 22 07:10:45 2011 +0900

    bump version

commit 3c5aaecd14de527fa84dbaed7cdda1b95c1627d8
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jan 22 07:10:13 2011 +0900

    tweak update code
    
    - support for message pushing
    - remove changelog from update message, as the path was wrong, and the
      changelog is mentioned in the download area instead

commit ffb28df83bc25b9329acf7afbbb6f691846a187f
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jan 22 07:08:43 2011 +0900

    update some urls

commit d111118132fc7431af98db29ad6d42a2f4b89431
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jan 22 06:26:34 2011 +0900

    remove obsolete code in update check
    
    we weren't sending deck info anyway as the decks are loaded later in the
    startup process and have been for a long time

commit 64f474f25cc263becacdf3c3105651e6e6d9e678
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jan 22 05:12:11 2011 +0900

    fix whitespace preservation option

commit cbbd823448af677e4b294ef83e935c2d4c66611a
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jan 22 04:44:14 2011 +0900

    fix migration of media from old location

commit 4908c3f26833bcc0f0f5f8d104884b0361573c4d
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jan 22 04:27:04 2011 +0900

    if trying to open a unicode folder, make sure we encode to filesystem

commit 39d3ffd6d3919ae75359c94515a104105395e79a
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jan 22 04:18:06 2011 +0900

    tweaks for small screens

commit f01d1f914268b926078aac75344b11eca4cc9ffb
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jan 22 03:36:13 2011 +0900

    play audio once for each template, not once on open

commit 94311153c81626167a24c0ddd6736cd4e60131e0
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jan 21 09:55:12 2011 +0900

    don't let user create decks with certain characters

commit 49e2526c585767f6fe055cf99ceb25179ad4c041
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jan 21 09:16:14 2011 +0900

    don't mark the given subset as correct for type in the answer

commit 34e2b9a71e0041940857d857440b6ffc5ae3f3d4
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jan 21 07:48:28 2011 +0900

    make sure we call .reset() on the main window, not the parent when deleting model

commit f6407b8d4c6f588dc02c192bc28491781c538e1d
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jan 19 07:18:43 2011 +0900

    make sure ctypes packages are included

commit 3bdf7bc7a9e8de0eda4d25725e403bc8db636065
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jan 18 04:33:31 2011 +0900

    bump version

commit 31d3f61da265a6277d92bbe24232d38015a02b55
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jan 18 03:16:11 2011 +0900

    remove mediaURL on deck export

commit b66eaa842973a6f7d4143a2992670108aa327d0f
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jan 18 03:13:24 2011 +0900

    show a tooltip when session finished

commit 68cdde20aab2168c18a8067d0b81448ebe35f6f2
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jan 18 03:09:46 2011 +0900

    hack around qt bug in restoreGeom()

commit 4ced0f326fcc55d8f8b45efaeef61346f2aa0457
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jan 18 02:56:23 2011 +0900

    make sure cram is disabled when no deck open

commit e93e29e45a52b7fac1a21c1774e53aaea28a4d0a
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jan 18 01:53:41 2011 +0900

    always play audio in card layout; fix openPluginFolder on win32

commit e8a03cbd1dcfcd119ea17b5282d2cfaf3165b62e
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jan 18 01:47:46 2011 +0900

    make sure we focus on currently selected template from model properties

commit 49f3da23a4d88e61537834123be24719354bb0af
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jan 18 01:23:26 2011 +0900

    fix exporting a packaged deck with media+foreign chars

commit 36aadf184966ed51c30355b2a1041c73e4ca26d0
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jan 18 00:37:23 2011 +0900

    don't terminate sync early when we hit a deck set not to sync

commit a3bd909007e37918f1bac30417d405d1b1703f39
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jan 17 05:51:26 2011 +0900

    notify when undo done

commit ae2b1592dc1b41e476ce5e896c3f3f7a52cc2901
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jan 17 04:56:17 2011 +0900

    don't die if a user redownloads a disabled plugin

commit 37ea235b3d59590fefc7668dce268d66326be595
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jan 17 02:31:54 2011 +0900

    if failed cards customized, ensure we set custom mode

commit b083c15d0c63c8426867b11271fb3755c22857e7
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jan 17 01:48:01 2011 +0900

    clarify selective study wording

commit 22134a5fb8f8ab869bacf622d571be0a51bea985
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jan 15 20:19:37 2011 +0900

    don't use buggy osx colour dialog

commit 146a881f9bb95376625b1ee4251892931e75ad6f
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jan 15 18:50:53 2011 +0900

    make 'card layout' translatable thanks to piotr

commit 91d4d838f332405c708732fa12a2ad548d6ebd66
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jan 15 18:50:36 2011 +0900

    rename dirs in i18n docs

commit b3366712365472242edbda0ca4c5c6737697312e
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jan 15 00:15:54 2011 +0900

    allow for the fact that opening the deck while syncing may disable syncing

commit 6f676c8f03382a4515c85f496547bcbb2162728a
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jan 14 18:29:46 2011 +0900

    disable incremental reading on update

commit b6bd0f6fe3f8e93a829002eb21f1584e8a973fbf
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jan 14 02:54:42 2011 +0900

    bump version

commit 4163430e528d786ba12d7aee2ce5064d8ea47a4f
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jan 14 01:11:11 2011 +0900

    fix for sqlalchemy & unicode

commit e806800f1dbd7263b17a2ccf27bce0e321f44b63
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jan 13 19:46:12 2011 +0900

    use {{ }} internally instead of the old %(...)s format

commit 828c2cdf17f1b188d390ad3441bebafcae5e633e
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jan 13 18:51:48 2011 +0900

    prettify the too busy message

commit 7a7c1d3b0dc53901175f34a32996eb258664c510
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jan 13 18:32:03 2011 +0900

    detect dropbox location

commit 462cfa5b83d249426b90cb97796b2415cc661f81
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jan 13 18:16:37 2011 +0900

    strip code & add helper func

commit eecbf51ba0197cc5163240488822bcf2ba08f9a0
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jan 13 18:11:30 2011 +0900

    add pydropbox code

commit 6dd98dc04ba33bfaafc1e7bf76fa3c68b024a477
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jan 13 05:57:19 2011 +0900

    always save prefix to custom media

commit 84fa99397acbaa5ea118b31b81abd0d2391120d8
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jan 13 05:54:55 2011 +0900

    bump version

commit 6ddc6641e034ba43c545390e705cc305924aabe8
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jan 13 05:44:31 2011 +0900

    fix record noise profile on win32

commit 0543df9beac83471121e1dfec25167f2ce43e1df
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jan 13 05:23:41 2011 +0900

    if lastSync = 0, make sure we force in the right direction

commit 78a276afe7009bece442da6f7c90bd6680300310
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jan 12 16:31:53 2011 +0900

    bump version

commit eddc43697eff6f527f65cc4a24fa8c43946e715b
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jan 11 22:33:32 2011 +0900

    add help to the main importing screen too

commit bff2b2350ba0c5908b33ae1561e33acb9ea019cb
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jan 11 21:38:17 2011 +0900

    link help button in update screen

commit f7990d5fd62463e25e7285a337863980e3bc6d03
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jan 10 19:03:02 2011 +0900

    bump version

commit f01253c19af21fa490785403f76b099e85cd6b2f
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jan 10 18:53:57 2011 +0900

    add confirmation to localize media

commit bc1526794f6a8ded3095dd80d6308edee9983c01
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jan 10 17:19:35 2011 +0900

    just don't migrate if paths are the same, instead of raising an error

commit b3a580793e09656015c7a3fe30748407ce49ed68
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jan 7 21:43:29 2011 +0900

    bump version

commit 04a79d632f356fe9200809a390aea4d0a9513894
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jan 6 14:24:40 2011 +0900

    bump version

commit 0c6f6e2c6c33830b87245f858f9b90c8af391583
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jan 3 13:46:39 2011 +0900

    bump version number

commit cc18d20e14ec10ba6b37b4497f3ee136d6b6ac43
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jan 2 19:25:37 2011 +0900

    bump version

commit f973dabb9a8c2c042fb0cd9448fe986f8603ba1f
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jan 2 19:20:20 2011 +0900

    make importing dialog scrollable

commit 9b9bb4bd6454fe4e72a1e5aff1d5adb0d3cfdea9
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jan 2 18:43:03 2011 +0900

    make sure to clean up properly after incorrect user/pass

commit 9b7ce444b42b54246d4953c4742ff3177cee1fdd
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jan 2 18:22:25 2011 +0900

    default to a saturated colour

commit 030ce39105a1f9894b04670923204fcf7493db20
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jan 2 18:21:27 2011 +0900

    work around bug in qt color dialog

commit 364773fa9da3ecaf13574775dd977ea4d157155b
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jan 2 18:02:07 2011 +0900

    more robust positioning of cursor for latex

commit 06d4fde294140a1a7c90959664fb0988e7689a8d
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jan 2 17:40:11 2011 +0900

    Revert "selective study option"
    
    This reverts commit ff18c05fbfc19c0fff93758b8433e22ae4c0a8cc.
    
    make it default to true for now

commit ff18c05fbfc19c0fff93758b8433e22ae4c0a8cc
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jan 2 17:39:57 2011 +0900

    selective study option

commit 88c77175374636a930659e9607baf4e473149e3b
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jan 2 17:10:16 2011 +0900

    use text if the document has no html and stripHTML off

commit 8fbf2cb4127c38bc15894bf0906f620db1f899b4
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jan 2 10:00:10 2011 +0900

    translation patch from piotr

commit 1de1c7c816fccc253a049884f778499af13991be
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Dec 28 03:49:31 2010 +0900

    mplayer closing is handled in deck close now

commit 7054281bb8e89ff6eb446081b86f52bc54655062
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Dec 27 04:32:51 2010 +0900

    don't needlessly copy recorded audio

commit b6665230d1d5b3a9d0078c2d7f5650f7acb5a9b2
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Dec 27 03:07:46 2010 +0900

    fix clock off message

commit 36aae266162bf70188bc4a64a9b4161da313ea92
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Dec 27 03:01:14 2010 +0900

    bump version number

commit ee8bda08bb618a355f817127f7ffe019bee5b890
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Dec 27 03:01:01 2010 +0900

    support compressed file list

commit 38aac3d4ab4f80f182d2e48a275a55531ff5e554
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Dec 27 02:46:26 2010 +0900

    always save new decks to disk, improve importing
    
    - instead of having various functions like importing & deck stats ask the user
      to save first, we ask the user for a deck name when they create a new deck
    - importing now explains why a new deck has to be created
    - don't bump deck mod time when setting media location

commit f41d2c2e0abc6a0bb70bcb199df1b615089aa0e6
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Dec 27 01:06:48 2010 +0900

    allow for the fact that field font/size may be null

commit 647ec636775c951392ea3de43892323d2365d53d
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Dec 25 12:49:59 2010 +0900

    bump version

commit 6a93e8f180d459d943fe2f113ebda2b41282c435
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Dec 25 11:26:04 2010 +0900

    new option to download remote media

commit d7971c33f6a4fab1bfc8a864edd9b47685692caa
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Dec 25 08:46:45 2010 +0900

    allow previewing of other templates when editing, include info on what's shown

commit 3eca37d75cb8b82a3329d1326b2e407df8671d24
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Dec 25 07:07:39 2010 +0900

    disable broken lastCard=currentCard check for now

commit d0fa8ce9a6f3bdfceb4815b3ac2f544116e09620
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Dec 25 07:04:54 2010 +0900

    use the field model's font/colours for type answer support

commit 781324741a94126c1ff43ba5d40533a6bd32e5cc
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Dec 25 06:58:07 2010 +0900

    option to disable sound autoplay

commit 59f1707b17400612f4f7e34498e43624414142a3
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Dec 22 18:51:21 2010 +0900

    fix unsuspend

commit dcb5bf58f21e63f71f38d38d9023c2467e22fac0
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Dec 22 01:36:24 2010 +0900

    always setup media; try to find media from old dropbox location

commit aada2e4864bfd67312474b70324126c542639f69
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Dec 22 01:14:35 2010 +0900

    force inMainWindow() to on, make sure win is visible

commit 195944b3958a9d4f585f4d1d5b9e1d1d87bd3e0f
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Dec 22 01:14:10 2010 +0900

    raise window at end of startup

commit 03abdfb720498304153cba8607ddd339374fde1b
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Dec 21 06:47:08 2010 +0900

    remove docs for now

commit f741b212a9af68043c3c952e4aec8f1c2e7ac103
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Dec 21 03:53:01 2010 +0900

    update obsolete plugin list

commit 168ec919d9c4dd46da6baa7468885b584a71dd56
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Dec 21 01:45:28 2010 +0900

    bump version

commit e91c633ab98d866b49228706dd9bd19188025282
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Dec 21 01:44:26 2010 +0900

    make sure update dialog appears over import diag

commit 5c89a0cc6002e896fe38c2cee888bea12e58ab9c
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Dec 20 01:08:04 2010 +0900

    set fact to False before deleting cards

commit ebebd93548bcdb56eeffdd8eec1de64c7b20d5ad
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Dec 17 21:36:54 2010 +0900

    add hidden option to disable keyboard preservation

commit 90f419b08891d54fd91551819716f87f96f2e53c
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Dec 17 21:17:09 2010 +0900

    skip expensive summary generation after db check

commit 3b7c6f4875aaf14dae6c310c2e8f388e14f5d17a
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Dec 17 03:27:02 2010 +0900

    factor time diff into lastSync

commit bd3d964b71a9016246b053fd416534cbef7b0323
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Dec 17 01:47:47 2010 +0900

    bump version

commit 9c32ebec708ea51334f76483e35d667d766a557b
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Dec 15 19:04:01 2010 +0900

    don't bring up an error if user cancels update

commit fe63d863861b85c3935bdf635d9f9928ba91df54
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Dec 15 06:31:30 2010 +0900

    don't limit more button width

commit 35159044aa464afa81da47ebd52b8f664b0b6c14
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Dec 15 03:53:29 2010 +0900

    bump version

commit bacaf4a3a80633458a1a30cc38b734322397daa5
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Dec 15 03:53:15 2010 +0900

    don't import unicode paths on win32

commit 19ec6b2a1bdc262c79080e60be902201b3b8abc9
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Dec 14 21:34:00 2010 +0900

    don't reset on edits in the add card dialog

commit 047b06cabd76cfdd4f240f192fdd417ea0478f2c
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Dec 14 21:19:14 2010 +0900

    fix add & rename fields when we have a fact not yet added to db

commit f17d0cc187be82918d887334ff159f73bf29b4ae
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Dec 14 20:58:19 2010 +0900

    catch attempts to run with python3

commit 1d24425ac6441c5719611ba7eaacf5d532d19f2f
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Dec 13 04:09:36 2010 +0900

    bump version

commit f31793e321cd616511d79b729b54b9caca5d12af
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Dec 13 04:09:25 2010 +0900

    direct user to set up dropbox

commit d3214ee56c55fa65b24c0474ec25b11fbc332a5a
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Dec 13 03:21:54 2010 +0900

    add latex header/footer config

commit 25a61dcebcbb685c6c95382de849d769b0ceeac1
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Dec 12 22:48:40 2010 +0900

    grab mac plugins from new location

commit bbfe323587b8d667b6d2107550cbc1029e556d0a
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Dec 12 20:05:00 2010 +0900

    prevent duplicate f2 shortcuts via edit current

commit c10068efc6cba9d1cf6e0c43aa6845b4ebf26369
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Dec 12 20:02:46 2010 +0900

    fix for sample card changing when editing from main window

commit c92a00d90bf64064c15d86cae961af0799796874
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Dec 12 19:46:54 2010 +0900

    add config option to turn off html stripping

commit 1b2f44d29bbb6413a3452ad40d06a1f1714e4969
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Dec 11 22:01:30 2010 +0900

    bump version

commit bcbea7ab3fc69fddc6bcc23a7d9f4c2f915257bd
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Dec 11 20:58:57 2010 +0900

    always reset on clayout exit, unless we're calling hooks

commit b6fb2098e6d93d4fdf8d5a86ea8842588383f137
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Dec 11 20:55:10 2010 +0900

    give card layout option in main window same f2 shortcut

commit 9f057e2506cbd6f24b4da79f121825e3e070b469
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Dec 11 20:51:46 2010 +0900

    remove commented old colour code

commit b507d7394d5596245ecc001777a98879a4b00d30
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Dec 11 17:44:19 2010 +0900

    display # of facts, not cards, in model properties

commit 51710552786383f70c786e09755563f2509c03d0
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Dec 11 13:00:16 2010 +0900

    fix preview generation, add/edit field cases

commit 29306b9790df3f812d10545d47ec05f0e634b1e8
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Dec 11 03:52:07 2010 +0900

    make all files in audio/ executable

commit 3b9866e70c1d53660c049222fa2e524f0f9c9435
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Dec 11 02:33:37 2010 +0900

    bump version

commit a6c591edf9da70221945628bce9f9a2f5935c4e8
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Dec 11 02:22:54 2010 +0900

    copy+paste / drag+drag use 'paste' as temp file prefix

commit 73bd124b6c3b1388fe837d66ca1f0fcb9ac49835
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Dec 11 02:13:27 2010 +0900

    don't bother reporting used media; fix ctrl+l latex conflict with card layout

commit 451b77cd46623d0f082bc94ef2c7a3b1b979131d
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Dec 11 01:48:28 2010 +0900

    update check media db dialog, add accelerators to some advanced menu items

commit f17eb0a8364c6480ee30cd58534e385092db6d42
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Dec 11 01:47:51 2010 +0900

    remove obsolete latex routines, fix ctl+l shortcut in editor, update call()

commit 464a9be86f3394dc465f33a05eed5ecc3c875276
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Dec 10 23:58:47 2010 +0900

    remove cache/uncache latex, and export original media menu items

commit 174c5a703bd92358b0b01908f1acc5ff6b738939
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Dec 10 23:55:44 2010 +0900

    update download missing dialog

commit 2c946fe366a5115452adb142c41855ec5d60dd39
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Dec 10 23:42:58 2010 +0900

    tell dropbox support to use new media url location

commit 42ac12975bebe2d6de6b4c6605e4a30e14ec72f7
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Dec 10 23:41:37 2010 +0900

    move media URL from model properties to deck properties

commit 6580a665e9e52d642643650aec7e137a294e0a40
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Dec 10 23:27:06 2010 +0900

    fact.setModified() needs deck arg

commit 8d4a08dddf1236e0c8e57102d52057369277f234
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Dec 10 21:42:50 2010 +0900

    tweak wording of delete/hide options

commit 31bfff96255a421f724b45016e1d42b4d10649fc
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Dec 9 18:00:45 2010 +0900

    bump version

commit ad08ad07f96506f86e025e19859cad63f80516f4
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Dec 9 18:00:31 2010 +0900

    disable obsolete plugins

commit bfd4f7577dd1b564df6771b6885a14d7ff67613a
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Dec 9 17:09:22 2010 +0900

    command+click on a mac

commit e1894c16c95531a8fd26cf7b224a0ce461149789
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Dec 9 17:02:55 2010 +0900

    don't munge library paths when not frozen

commit 0e557e03896e2d33ff5e9ddb1544c73829cd7e7a
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Dec 9 16:38:37 2010 +0900

    since we may bump mod time when setting up media, do it after sync

commit 405a28e090d757803dee91531e4d8cb5de7fc33a
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Dec 9 16:30:43 2010 +0900

    skip dropbox init if media folder doesn't exist

commit 7d846a85abd1e5748a317488f24022818b5c729d
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Dec 9 16:30:06 2010 +0900

    add missing / in media url

commit bff095925d76949319be27658e69e44ca9abca0d
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Dec 9 16:09:07 2010 +0900

    split dropbox folder calculation into seperate defn so plugins can change it

commit 33372980ccf2d703323806033ab5853dd69ff312
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Dec 9 16:01:25 2010 +0900

    make sure src and dst locations are not the same

commit 1d37924b5486631f9fef0081f1c58c7f41323a79
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Dec 9 15:33:29 2010 +0900

    improved media support
    
    - tell deck the prefix based on program settings
    - update media URL based on public link
    - migrate media when moving between styles

commit b18bd516940ffa15565d8bf53f434d5c50490f14
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Dec 9 13:55:37 2010 +0900

    add new media options to preferences

commit 1c599e7d762c919e00f25a9cbfde7c38caa07131
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Dec 9 13:03:38 2010 +0900

    media dir cwd set in libanki now

commit ff022119c32af3a752d6fdea8f7e21aaf94c0e6a
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Dec 9 12:52:08 2010 +0900

    abort download missing media early

commit e2644695cbe9eeca8b40db4b9f6ae2a7dd4bf426
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Dec 9 12:28:01 2010 +0900

    remove obsolete forceMediaDir option

commit fbb1db83236a7aa679dd8f8e73186a2272b5f86c
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Dec 9 11:36:37 2010 +0900

    fix downloading personal deck when it hasn't been upgraded yet

commit e15587c1cc247c34a4217dde31cb3ae5353eae94
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Dec 8 17:33:57 2010 +0900

    don't need to display error as log line anymore

commit b2a7d81519d807ef3a291a7e50296d8667356ad7
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Dec 8 16:54:03 2010 +0900

    just set minimum width instead, since this will work on osx

commit 0e2bcfc173644dfeaa5b2d8ec8aaa5aa7a4b505b
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Dec 8 16:49:51 2010 +0900

    because we can't have a bigger view in the taglist on osx, use bigger list

commit f8d13106fbd02ee1e38a7951ac1b51d09384be24
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Dec 8 16:36:57 2010 +0900

    more general solution to sync failures

commit 90fed6bd4502d50d190da2291af4ebf421f7ad80
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Dec 8 14:42:26 2010 +0900

    don't generate multiple finished messages when multisync fails

commit ad80613d06d7049d7e77aa05c349912d4596b8d2
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Dec 8 11:25:01 2010 +0900

    if the deck is not randomized, show actual due date of new cards

commit 7916d336e65dfa1b60c5c77cca762735c056fdee
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Dec 7 18:09:30 2010 +0900

    always clear plugin cache on windows

commit f164d9e4780300dbdbff771948e54774d3e8fb7e
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Dec 7 18:04:39 2010 +0900

    bump version

commit 391a019b8b9b4e3e648add671a2bf12ff9e8be04
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Dec 7 18:03:43 2010 +0900

    new layout icon; link from main screen

commit 84d6f88e7146287cdf773e79ad52f29c1a7675d9
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Dec 7 17:27:10 2010 +0900

    make sure field saved before toggling mark/suspend

commit 772f6d7776db5816ed12d9b4c2fe6f9328be04e6
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Dec 7 17:06:42 2010 +0900

    report errors in multi sync, make sure to terminate early

commit ccc91b364ed7253d0e265b54a56a0dbab7985602
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Dec 7 16:48:05 2010 +0900

    improve sync error messages

commit 060fbb788ef77484895065353866a25b4a516aa3
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Dec 7 10:40:23 2010 +0900

    tell server to save after response received & applied

commit 29978fffb8005defa0dfa90e77dc2823d97e55ac
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Dec 7 10:39:16 2010 +0900

    treat an empty response like any other sync error

commit 43e02439f16ed7ed4355d1e2c3c99136f01afffd
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Dec 6 06:12:12 2010 +0900

    don't accidentally reset lastSync

commit 01c6ca6776689e17f2a217abc361e20e1f81253a
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Dec 5 18:11:51 2010 +0900

    no need to close the deck twice

commit dd336fc7a7938eaa03b283b967b49bfb9b59e30a
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Dec 4 19:05:11 2010 +0900

    since we detect when deck is moved, it should be safe to allow upload in multimode

commit 51fe1d802b72d296e0c3870d7b91355a09010a9e
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Dec 4 18:58:23 2010 +0900

    bigger target area

commit d517d4615f90bf56f03b3d4a537a13f89b35d0ba
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Dec 4 18:53:14 2010 +0900

    better colour picker

commit f72e8213d7e2eba66cddbb777816eaa97f3cca5f
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Dec 4 15:23:03 2010 +0900

    remove advanced options button from study options

commit c3ba8276d9742723804507cf65b3865d864517f8
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Dec 4 13:40:39 2010 +0900

    add marcus to the credits

commit 0538430fac5dbc7e0c7c9d13854b7f9ec4c02ad6
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Dec 4 13:26:45 2010 +0900

    add unique window title to selective study

commit 798b35d4744c6992e7307beed4624c2e730252c6
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Dec 4 13:21:24 2010 +0900

    syncOpen/close into single setting, add option to disable syncName check

commit e2b42e0d8dd8ef70e588618672acfcc5b79fc11a
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Dec 4 12:24:23 2010 +0900

    add ukranian to language options

commit 3bda1c82a2ce25e9a76bb4a9b4bc6fddfb66e2a0
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Dec 3 10:42:30 2010 +0900

    show total due & new counts in deck browser

commit aba57b2afde52489dc5364cc4bcfd7dddc66e285
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Dec 3 08:56:10 2010 +0900

    make save work on new deck

commit 224648558778c41a00023a2b935116ce318c0bad
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Dec 3 08:53:46 2010 +0900

    update doc links

commit 8b10b031db0a093f8daeaf940cc6cae2d9f2831c
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Dec 2 23:17:23 2010 +0900

    make sure deck has a path before setting syncName

commit 43e5f088059ffd5ab1fe07c8190b569c2f5f4205
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Dec 2 09:54:49 2010 +0900

    bump version

commit 3b861d17045c001ea2b2a54525946775254eebc7
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Dec 2 09:54:19 2010 +0900

    restore UI if user decides not to overwrite deck

commit d826aa6a6a32181ac30b8626ce56df977e325aaa
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Dec 2 09:52:44 2010 +0900

    catch errors in sync finished

commit bddbb14340b60908be6c68454c47c9eb1edcf3c4
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Dec 2 07:24:26 2010 +0900

    fix syncName before attempting to load the deck after a personal download

commit 9923d0b2dc0730bfa7fd8d3b7494876a3013d470
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Dec 2 06:19:29 2010 +0900

    remove revSpacing

commit 2dad0d23e1dd6bc7c2b761129269ef96c2ae87d2
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Dec 2 04:18:56 2010 +0900

    fix fact provided case, give template q/a format more useful defaults

commit 751a341f1b11d12bf1bb1f5f1fecc6d000f022a0
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Dec 2 04:14:02 2010 +0900

    add the ability to edit layouts from model properties

commit 4fa5c0d432b25550a9d51ab6041ad199eb53dd10
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Dec 2 03:55:39 2010 +0900

    tweak deck properties layout; add deck-level spacing options

commit ef27280b085410f604365d65060da62db5d6a72b
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Dec 2 03:51:09 2010 +0900

    remove obsolete spacing options from model properties

commit 55e1a2191c681c8144bad99f99b21bf3bf64a214
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Dec 2 03:50:17 2010 +0900

    don't set default value for spinners, so we can avoid 4.4 compat hack

commit a7a7ae1cf250ae9fefa84f105b168f7c8012a49a
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Dec 1 02:45:04 2010 +0900

    only play audio once

commit 56c5bafe97c8f97c31db71576474c0eb4433bb4f
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Dec 1 02:41:52 2010 +0900

    fix options leaking into other fields

commit 2a36c4aaaf04d02cee2186f24b52155eb567dd54
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Dec 1 02:41:40 2010 +0900

    allow study options to expand more

commit df2f09c2533b3792924ea2740f0853fe4522bd4f
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Dec 1 02:15:38 2010 +0900

    fix links in card layout screen

commit 69a684f05989869964fcc13b1656844fa56040b2
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Nov 30 22:48:28 2010 +0900

    disable collapsible children in splitters

commit 9bbf2c1126e9684a8148385069814426e6aebf98
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Nov 30 04:24:49 2010 +0900

    add rename card template ability

commit 8835f079d459c1866bbda218f231556db0397b37
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Nov 30 03:53:49 2010 +0900

    make sure alignment set on load

commit 8e8cd73d5d25c6a0df7c6dce8bad1d177d8b444a
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Nov 30 03:51:13 2010 +0900

    link editTemplates button, but hide for now

commit 5945ecd11510feabaf0ae29cc42f6bfd7007b486
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Nov 30 03:47:43 2010 +0900

    fix bug/crash caused by a reset in tag focus lost

commit f2396a094f96337e42d2f5f49174135782b6da04
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Nov 30 03:35:59 2010 +0900

    bump version

commit e8aa1432e2a0c23c678c0204a291d58571eeacec
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Nov 30 03:30:21 2010 +0900

    add whitespace preservation option & stateChange handlers

commit 59ab5f9abb51236008b6e726f621a0ebc01f4017
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Nov 30 02:58:51 2010 +0900

    make it a full blown window

commit f4ef8b5123b86273d4154581493bd764b06f5e2a
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Nov 30 02:57:17 2010 +0900

    add help, limit to card in edit current, add back compat hack

commit b98e302c70d9b3bf6169d2c23350580989a3b6d1
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Nov 30 02:17:36 2010 +0900

    field section implemented

commit 63b015fba5c7760608c11f3db739901629e1bdd9
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Nov 30 00:09:29 2010 +0900

    card template section implemented

commit 35a556903814a727a02271a726d6606d51ef65c8
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Nov 29 04:56:45 2010 +0900

    dialog refactor wip

commit 5ecb4bde49272549b2ef11eeacbf5a48864819b1
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Nov 28 18:44:56 2010 +0900

    clear compiled plugin files; make some strings translatable

commit 5d5d796cd3487cbe2c79146bdede63e1c14d82e9
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Nov 28 18:21:15 2010 +0900

    bump version

commit 8074e7b5a89fac83a4e27108fe2038c229125b07
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Nov 28 18:03:00 2010 +0900

    more robust add cards fix

commit 0c7988fc01e8acde5c7045418237982bd5d2cc09
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Nov 28 02:57:44 2010 +0900

    remove old keypress handler; qt seems to get it right now

commit 9344b7da79754337d4067192cd298c526b2434bb
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Nov 28 02:33:15 2010 +0900

    bump version

commit 54c1d253a3ca006564b5600430f69e5b6bd7178d
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Nov 28 02:24:44 2010 +0900

    make sure to save fields before previewing

commit d770008228d332b836958459093a0d2065641377
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Nov 28 02:02:36 2010 +0900

    display new style formats, but keep old style on DB for now

commit f8c099ccf7adf3fdd28abd5007507d60f97f8780
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Nov 27 23:59:20 2010 +0900

    tweak win32 test script

commit 054287445cb25d6f5102de26d2d32e246717bf64
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Nov 27 23:59:05 2010 +0900

    workaround _programLayout missing bug

commit 0110875a9d907a4e18f6430df60c0ccfd1e89339
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Nov 27 23:37:35 2010 +0900

    fix some issues with the fact editor
    
    - don't save a fact to disk on keystroke timer
    - update unique/required checking for the above
    - don't try to set focus to old widget if it doesn't exist

commit 8870adf528df753314543e0f47e424bb6aff3c0a
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Nov 27 22:41:05 2010 +0900

    if exiting a custom scheduler, need to reset to update counts

commit d897ff7a0be4b77750f474cc133d9bfe160a844e
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Nov 27 07:39:24 2010 +0900

    typo of 'download'

commit 91e3f5190591e06c9e8d746f40496a9eccf19f37
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Nov 26 21:59:33 2010 +0900

    don't update qt library path on win32

commit 489c9446c3a06fb2a5b700829b0ce21143a28efb
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Nov 26 04:15:56 2010 +0900

    bump version

commit 05baaaaf44be55140ea130670f3c3b157104ad06
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Nov 26 04:15:29 2010 +0900

    wipe original media path when exporting

commit 1be2176b8ea9ff265d6f1e2aac27061e2aab5c22
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Nov 26 03:46:49 2010 +0900

    added find duplicate tool to the browser

commit 7d799d8b57ca4de0984a351e61e2da16daee2adf
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Nov 26 02:02:45 2010 +0900

    don't display 'field mapping' if we're importing an anki file

commit 93675709000070e1f56c21c82cf3e40ee2988b86
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Nov 26 01:57:29 2010 +0900

    support updating of decks, simplify importing dialog
    
    - can now choose 'update' instead of 'import', so users can maintain their
      data in a separate spreadsheet or file for bulk editing
    - remove 'tags to append' option, as it makes the dialog a bit crowded. users
      can add 'tags:' to the start of their text files instead
    - removed option to tag instead of suppress duplicates - a separate duplicate
      finding tool will be written instead

commit a3816b0e9e54d875dd5cede07c6d70bb65629d62
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Nov 25 07:18:41 2010 +0900

    fix for bad filesystems not working with utime

commit 5d41329e3439930a41415a625477c5328bba7025
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Nov 25 00:10:24 2010 +0900

    toolkit doesn't elide list items on osx, so don't limit size

commit ebbf32b750153e88191e41758eb46607817366a8
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Nov 24 05:06:29 2010 +0900

    keep focus when resetting fact editor

commit a46c9a8b26698d57077627b647fe70b9ae176f42
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Nov 23 23:28:45 2010 +0900

    sync updates (syncName, etc)
    
    - remove text box from deck properties
    - exiting deck properties after enabling syncing forces a sync
    - instead of the arduous file>sync, enable checkbox, close dialog, file>sync
      again process users had to go through before, they can just file>sync now
      and the deck immediately syncs
    - when downloading a deck, instead of downloading into a new name, prompt if
      the user wants to overwrite the deck, and cancel if they don't
    - simplify deckChooser since we only have to deal with downloading now
    - only display a clobber warning if the deck already existed on the server
    - disable syncing if user declines to clobber the deck
    - skip expensive summary generation if downloading or a conflict

commit 3be42fbbfec007aed216ac6a6cbcaebd367883e9
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Nov 23 19:28:58 2010 +0900

    suppress reset when editing current card

commit 0414eed11606feb0f72c1734801fbfe4c072372c
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Nov 23 18:00:29 2010 +0900

    call .reset() where necessary due to libanki changes
    
    - mw.reset() rebuilds the deck queue, and refetches the current card, so we
      don't try to answer a card that's not in the queue
    - in a number of cases we were already explicitly calling reset; the libanki
      changes ensure we're not doing it twice now
    - the editor no longer resets the current card when it's closed. Instead, all
      deck operations in the editor should reset when they are performed

commit 50675773378578e456d5e05c067ef9fb1249e7b0
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Nov 23 16:39:25 2010 +0900

    rebuild queues after editing current card

commit 4313367efec14a691e7b51aa5633aa93be09768c
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Nov 21 13:46:16 2010 +0900

    show failed cards first when cramming restarted

commit 80dcf3848ced3f0a2cecaa8142c37861e92f8270
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Nov 21 13:37:14 2010 +0900

    should be checking cardQueue, not cardType in status

commit 9432b94863d655dc8d26bdff2c2e4bd6d871959c
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Nov 21 12:58:32 2010 +0900

    bump version for coming development release

commit 6ed8749909d2e6062e8730349608d76e25822197
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Nov 13 22:50:55 2010 +0900

    tweak mac build script

commit c2d9ab94236017bf1c25a684b7c405a692a8ed42
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Nov 13 21:55:03 2010 +0900

    update deckproperties diag for new delay1 handling

commit 4828c543ca3e77d3f342d99b1e125fb9dda09b51
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Nov 13 21:54:49 2010 +0900

    fix spelling inconsistency

commit 9bfd6843bb4fd511e6eb17980b8946c6c4eeb541
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Nov 13 17:09:02 2010 +0900

    update cutoff when sitting in study options / finish screen

commit 6d53fdc32720f88a78a57ef5cedbec6ae6313b5b
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Nov 13 17:06:43 2010 +0900

    more useful version info

commit 41868f1c95b8cca1ee4608734bfbf4bab2ad3818
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Nov 13 11:43:47 2010 +0900

    limit new day starts at to -24~24

commit bd08dc487b538a83d6c83b0c7e7e8b775e952184
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Nov 2 02:16:18 2010 +0900

    Revert "remove inactive tags from dialogs"
    
    This reverts commit d2e454930dd8f90bca2c8c3a836ac3b2345da9e6.

commit a6066d5033530ad9e8499684cd7053f8f0adac23
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Nov 1 18:53:37 2010 +0900

    be consistent in deck references

commit 10550aa5bcddb182b95302379323d8d570263a5e
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Oct 29 22:39:54 2010 +0900

    update some obsolete qt signals

commit 16413c0b3b936e6a4df9b42f4e0bc4d433567771
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Oct 29 22:04:56 2010 +0900

    tweak wording & sizes

commit 5c45ea26002a61daa22384473e735c8f2af7cd62
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Oct 29 21:54:34 2010 +0900

    tweak table sizes

commit d2e454930dd8f90bca2c8c3a836ac3b2345da9e6
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Oct 29 21:06:45 2010 +0900

    remove inactive tags from dialogs

commit cbb538c741546513eec543ffa08b6b6eaeef0a77
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Oct 29 19:26:02 2010 +0900

    remove model tags, treat name as tags like card templates

commit 7a138927cc4c2a21e28055f6b08709f1efe72ec6
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Oct 27 21:34:08 2010 +0900

    drop support for old full toolbar - can be done in a plugin

commit b0cf565e6f66c22ab9bdf4b0ea20ce0c704e3f76
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Oct 27 21:13:55 2010 +0900

    unfilteredcompletion->popup completion

commit 2329baa78997b0d3df87934626879b0b327bcb00
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Oct 27 20:11:08 2010 +0900

    if <c>...</c> in q/a format, limit display in card list to that

commit f5a931bb07e66871094e6abdb9409d56be889117
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Oct 25 13:08:39 2010 +0900

    typo in bold fix

commit d1434a043044302175ab0d91ffd3aa29256afec3
Merge: c03d634 3ca5b74
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Oct 24 13:08:17 2010 +0900

    Merge remote branch 'origin/master'

commit c03d6340121121353817b7ccd1da76f706823c99
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Oct 24 13:06:26 2010 +0900

    use libanki's bury support

commit 5a71cd84a3c639834ce03ec2401aa7fd046808b9
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Oct 24 12:50:20 2010 +0900

    remove underline hack, more robust bold hack for osx

commit 2749e5af45520c76be65be5fa77c63af6537e7ab
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Oct 24 12:36:22 2010 +0900

    allow question/answer format to expand, pending a refactor of that dialog
    
    in the longer term we need to make the dialog smaller or move those settings
    to somewhere else

commit 822d1f7609bad31ea122bca56feeaf8e4ca5c66f
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Oct 24 12:21:11 2010 +0900

    refetch the card after editing

commit 527c4220c2a09457629d424e6501678d2624bd51
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Oct 23 15:29:33 2010 +0900

    strip old earliestTime debugging code, don't update pri on mark, w32 frame

commit 3ca5b74bb609c7bea9b554eb307e4fd4420f72e1
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Oct 23 15:29:33 2010 +0900

    remove win32 frame in study options

commit b53736167a3bb15a6fc9dc72394134790a44c704
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Oct 23 14:01:08 2010 +0900

    fix osx build on python2.7/qt4.7
    
    will roll this back if there are problems with the cocoa port

commit 2264703db98c929c5076bfa3341812b6a33c7666
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Oct 23 14:00:24 2010 +0900

    don't apply toolbar hack on osx

commit 5fcd2d6e9b030c0217d8c9076d11253680eb4e12
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Oct 20 18:03:00 2010 +0900

    suppress 'was due' messages while cramming, timebox screen on ses fin

commit f549dfcfa9a7369e79b0f203bb83605dda7c14b1
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Oct 20 13:15:19 2010 +0900

    updates for new cram code; remove priority 0 highlight in browser

commit 8032c4a66b573a1776d944d930dac625c5f11210
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Oct 19 19:59:47 2010 +0900

    don't check sources on sync; let ankionline handle it instead

commit cdab5318d150f443b20ae386fe0b77e27353fae0
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Oct 19 19:55:31 2010 +0900

    remove sources from deck properties, as they can be configured online

commit aaaf02506273e82a3ad5827933e4cd504a4847ac
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Oct 19 19:27:21 2010 +0900

    remember study options tab, make sure to hide bottom area

commit 1abb47d97317459132c1c5e30fc68d8c97593765
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Oct 19 19:15:21 2010 +0900

    new active/inactive tag handling, new study options screen
    
    - break study options into multiple tabs
    - inactive tags removed from menus and accessible via study options now
    - save various study options immediately instead of requiring review button to
      be pressed

commit d698c3d3100742fd0ea0c2e77ebbd4ac468abe26
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Oct 18 18:02:37 2010 +0900

    add perDay config option, more updates for libanki sched changes
    
    - new review early / learn more handling
    - reset() when showing study stats
    - only run the update timer on study screen & finished screen

commit afba9529fe7a01211e153e7236ff1eed72a91526
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Oct 18 14:48:52 2010 +0900

    reset in status update timer - should check this is efficient enough

commit 53df67738c364066aca07e477266abd54f1a1719
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Oct 18 14:47:57 2010 +0900

    update for libanki scheduling changes

commit dcd6e2dfc32575275ff0e0a19e6a3181eefc27b1
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Oct 18 10:34:33 2010 +0900

    fix qt4.7 duplicate toolbars

commit ebd0ab54965d6d9cb265158ac8b2256acded8601
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Oct 12 19:50:56 2010 +0900

    typo in model properties

commit 49f757bd3c3518d421bd95eb6688b4609807b148
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Oct 2 15:14:38 2010 +0900

    use realpath instead of abspath when setting up sys.path

commit 1365557930dcccaae754e18016a82ec623cb3c3e
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Oct 2 14:41:50 2010 +0900

    remove win32 importing hack, require target deck to be on disk

commit 39ed7ff44e98d647e3060edbefe509757934e0c4
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Oct 2 11:38:19 2010 +0900

    fix deckPath=none error for clockoff case

commit 3a9bff8e11277f9cae871e6d937e1bbb37758d9d
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Sep 16 14:38:24 2010 +0900

    add small sleep after multi sync

commit e1ecae0ecb777274e20e8fa09ecb5bd90969e6ac
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Sep 12 12:21:18 2010 +0900

    facts missing warning

commit ac8da946e00662a06fc7d22c8cb3c2cdfb107f26
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Aug 25 14:22:02 2010 +0900

    don't hide vert. scroll bar

commit b36b670043ad0ad96ae2e8c497ab821c4cd4887e
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Aug 24 13:09:59 2010 +0900

    older pysqlite can't auto-convert unicode to utf-8

commit 65bc9ec3f230dd919caff31445372e8de6745402
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Aug 20 20:21:09 2010 +0900

    update download link

commit 2a28e5223c33eb01eafc09677d3a5e6402ac603f
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Aug 19 13:45:01 2010 +0900

    bump version number

commit 5fc33ab143132a98ad2bc850d02f487d0f25994f
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Aug 19 12:02:02 2010 +0900

    don't report conflicts when decks have same mod time

commit a4e3a9fa958c4cc62e95fbbfbb39d4fd2859241a
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Aug 16 19:31:18 2010 +0900

    update release notes link

commit 9b15771d8408fb7a08301778770428e489a897b1
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Aug 16 19:26:50 2010 +0900

    refresh undo options after undo finished

commit ee2d39938d72661a10baf834c586f10b786fb20b
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Aug 16 19:10:40 2010 +0900

    use array ref when selecting facts

commit 5e62fea9c810ead10cea5515fac6d1ab87f90057
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Aug 9 08:45:32 2010 +0900

    remove conflicting close window shortcut

commit bb73e21c6404a0b1aafaac4e99d59437c3a56d0c
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Aug 9 08:44:58 2010 +0900

    remove superfluous separators

commit 14c4dfeea2cb4d5e286770bdad4d35c7fe8c2c12
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Aug 5 06:51:43 2010 +0900

    patch from bernhard: revert to previous spell check behaviour

commit e5a4acb0529ec6adc63ee4c36f14db40a5670ae1
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Aug 2 13:27:11 2010 +0900

    bump version

commit b3e47d836b89073f3872cff5d2961a411b749bfb
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jul 30 18:37:55 2010 +0900

    overwrite->upload

commit 1eac9b52a5e21c5d1c0b556a5c6b80f1856a774f
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jul 30 16:41:20 2010 +0900

    fail gracefully if db is locked on sync all

commit 1204f977e55dbbb637de5c3166e11ffb3e9664a4
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jul 30 16:37:37 2010 +0900

    do clock skew check on initial connect only

commit 7f419739725eb58865851f371190ab985c953306
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jul 27 23:19:44 2010 +0900

    rework conflict algorithm to detect more conflict cases

commit 24d45cf93c5d041784091c5d6ea6e67fe06d1467
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jul 27 23:18:55 2010 +0900

    always reset hideWelcome after a close

commit 9491acc0886f1f1846de015e80c4000a2c09f454
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jul 27 21:02:45 2010 +0900

    process the widget deletions before deleting the layout

commit 49c92b9605c299269535bb1f648579cf90b71a41
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jul 27 16:59:49 2010 +0900

    remove debug statement

commit 7a510cc111f496c6644016cb228958bcc48a4c99
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jul 27 16:59:04 2010 +0900

    add loadDeck hook, fix hideWelcome behaviour
    
    - if hideWelcome is true after a sync, do nothing at all
    - make sure to reset hideWelcome on deck load

commit 18c8d6766d3dd464628f9e1f8cc070c9040f4c5f
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jul 27 16:20:22 2010 +0900

    possible fix for recursion bug in maybeShow()

commit d9af6288e1071847b1c53ef782261774d6d433da
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jul 27 15:47:15 2010 +0900

    do clobber detection at sync time, fix sync bugs
    
    - don't get stuck in event loop if user cancels deck selection
    - prompt for any full sync upload with no last sync time, so this also warns
      about syncs after a DB check too
    - fixes erroneous warning with file>download>personal deck

commit 4eacbec78bb8d2faefdba54eb2413263256319ab
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jul 27 15:03:46 2010 +0900

    possible solution to w32 deck browser crashes

commit fbe7e1216020636e636634a3d48b0106be99000e
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jul 26 19:39:56 2010 +0900

    if an error happens during connect, terminate multi sync

commit ac735c9a34d0032fa55377b84c2f92a8d4785e17
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jul 21 20:25:39 2010 +0900

    tweak formatting

commit 3e3f04ee8f60df4742318e9de3f1c130b7a72a6a
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jul 21 19:22:57 2010 +0900

    qt4.4 backwards compat hack

commit b006b08af1b52d02c24d9a86c50cb699d3cce995
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jul 21 19:06:20 2010 +0900

    tweak wrapping

commit e5bb3b38f1c3fd39d44da9e83febea8e51cb7b9a
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jul 21 19:05:20 2010 +0900

    double check with the user before allowing them to clobber their deck

commit c9010e984e2bad1b121aeefb3a161e67752eee9a
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jul 21 18:53:43 2010 +0900

    fix race condition in deck browser signal handlers

commit e3f50540d5b2c6eb6a3b05a0166e54d617a257ee
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jul 21 18:35:55 2010 +0900

    detect sync conflicts and offer choice of direction

commit 9ca3430f3db7f56d7acea6d9428e980376d38412
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jul 21 18:35:26 2010 +0900

    fix order of buttons in model properties

commit f93910128f1a14f2b5139511b3b900d369757fff
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jul 21 13:16:07 2010 +0900

    multi-deck sync and related improvements
    
    - deck open & browser refresh done after splash screen hidden now
    - splash reduced to 3 steps
    - new options sync on program load/close
    - per-deck auto sync disabled on upgrade
    - plugins are now always loaded before a deck has been opened
    - don't prompt for sync params in auto sync, for both all and single deck
    - refresh deck browser after multi sync
    - wait on sync thread until syncFinished called, could fix crashes
    - after a full sync, ensure interface is still disabled
    - sync menu option now available in deck browser
    - new option to tell a progress window it should appear immediately

commit 77ede46ebb9a8cdddc704a78f8dd8ae1e38d8099
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jul 19 22:46:35 2010 +0900

    fix closing logic

commit 81997992498135f8cd01977ef79270eedba59afe
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jul 19 20:31:11 2010 +0900

    warn about cram for edit current too

commit bbc7c2f660e82290a35a381b9f53453ba241027b
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jul 19 20:29:22 2010 +0900

    unify colon boldness

commit 40c07411331a5858f096d5f807029e1f89bf50d7
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jul 14 15:07:54 2010 +0900

    tweak wording

commit 25bc507adcf49afd99b79897d826cb9753e1b03d
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jul 11 17:19:19 2010 +0900

    bump version

commit 75fb9a111e23badb176da549460c8a878a26e1fc
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jul 11 17:13:43 2010 +0900

    make the close button an application shortcut, raise window for osx terminal

commit a2713450a78340b42e9be662f33e746a3f1108dc
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jul 11 16:49:23 2010 +0900

    clear audio before previewing card

commit 014c99368831acc09ba80e0c71ba3935361fc181
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jul 11 16:43:24 2010 +0900

    colour times by default, add another mac build script

commit e3ab11213de5041643587552aea031a2b66a307e
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jul 8 21:55:56 2010 +0900

    make sure to move to noDeck at least once

commit 1b7d0ac7ee27bbd6d5c38db867b64246a58953d0
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jul 1 13:32:11 2010 +0900

    adjust offset to account for extra sort key

commit 79831c4861ff2d67704400aeefe9b4611b1afaf6
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jun 29 08:10:37 2010 +0900

    patch from Bernhard Ibertsberger to ignore some chars in type to ans

commit 722227050a68a331af024d0c6dba7b5eb97dd67b
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jun 29 08:03:26 2010 +0900

    don't save closed deck on sync failure, don't refresh deck browser twice

commit 0b3cf9f91e6e47d35a7857da450c059247b3491e
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jun 28 14:36:50 2010 +0900

    add occitan to list of languages

commit 634db40e56a639d4ae68a181405764a32e9ed807
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jun 28 11:31:54 2010 +0900

    don't try to localize traceback

commit 88581105d42b8a57b93039e761a67d10a9d3306f
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jun 27 07:53:51 2010 +0900

    add flac to supported audio formats

commit 4317388225280777d3f2ccb3777037eee3f4ff2f
Author: Shawn M Moore <sartak@bestpractical.com>
Date:   Sat Jun 12 10:14:48 2010 -0400

    Index firstAnswered

commit ea5caa504b02a85c96aa6503abf2795eb81709ae
Author: Shawn M Moore <sartak@bestpractical.com>
Date:   Sat Jun 12 09:59:12 2010 -0400

    Add "First Review" to sort columns in card editor

commit 0cab72ef1e1dd11936c7bfee74645907f6f25fa7
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 10 13:24:35 2010 +0900

    remove string exceptions for python2.6

commit 7d22ef3c8d88eae4661b032282667d93cdc3a408
Author: Damien Elmes <git@ichi2.net>
Date:   Wed May 19 22:08:11 2010 +0900

    add fixme

commit 4f03bdd94bff798fababf5d0410e44df351f6e44
Author: Damien Elmes <git@ichi2.net>
Date:   Mon May 10 22:31:08 2010 +0900

    don't force maxFailed=2 when the user wants unlimited

commit 3e739e769878d1e41feef2e2428239465481d6d4
Author: Damien Elmes <git@ichi2.net>
Date:   Sat May 1 16:11:37 2010 +0900

    make sure to return newly created media path

commit 4f41d4b0bb068110388844a06fce2060777e0c0f
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Apr 21 15:09:26 2010 +0900

    update sync shortcut

commit 698bd64dceeecebc4ebf05a73f17725ca742c0a7
Author: Matthew Duggan <stauff@guarana.org>
Date:   Wed Apr 21 14:31:34 2010 +1000

    Set the icon size to 128 and put the icons in nice places.

commit 47d567a109115c39582cfb81c85be121829f7baf
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Apr 21 13:02:47 2010 +0900

    strip trailing whitespace

commit 53ec756373c44e6dfa10f13f9f9788a6914bf7ea
Author: Matthew Duggan <stauff@guarana.org>
Date:   Wed Apr 21 12:22:54 2010 +1000

    Change the method for creating DMG to use some applescript to configure background etc

commit 5d5142a87bf587080a2b722ac22f8aded1287324
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Apr 16 19:25:13 2010 +0900

    new build dump location

commit a563109e53a963ab7fc66c419312baa5803c9636
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Apr 15 22:18:41 2010 +0900

    don't assume media directory exists

commit 3db9c0f9379361b06883f9822ceab92b9cdada0e
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Apr 15 22:08:16 2010 +0900

    update error message

commit f0236932b9c4b4a05321aff19a9878ba5d33b8a9
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Apr 12 11:49:13 2010 +0900

    correct capitalization

commit 80bf24cbc466e277900b9fed228bc5ddd238216e
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Apr 7 18:08:17 2010 +0900

    ignore manual xml

commit 7698d36f84e12dcca1b549cb469ce8cb803333e7
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Apr 6 19:15:30 2010 +0900

    catch media adding errors

commit 4928c2191461f2ddacee1d0cd0bd66e600601938
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Apr 6 18:59:43 2010 +0900

    delete media folder too

commit 9266a3b2042f1beeaa50a047082f62286140c250
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Apr 5 19:09:12 2010 +0900

    delegate all links

commit 02003ff1ed6b991a44f0f134e3b27eb81840f916
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Apr 1 23:04:15 2010 +0900

    remove pyqt broken check hack

commit 18ad89da7b7259377d0c7924b20174ce80a947ca
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Apr 1 22:56:24 2010 +0900

    mention beautifulsoup dependency

commit f8b07a19794b2a03d7fa0914b06a40e88149993d
Author: Matthew Duggan <stauff@guarana.org>
Date:   Sun Mar 28 16:54:48 2010 +1100

    Make packaged DMG background pretty, add link to apps directory.

commit 3910d32abf8840152469521adcd71d7e5b2c116b
Author: Matthew Duggan <stauff@guarana.org>
Date:   Sun Mar 28 15:51:31 2010 +1100

    Allow yet another possible location for pyuic4

commit fce5fd73e83a6d619cbd7da63ec83dbf458aa714
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Mar 23 17:59:43 2010 +0900

    sort by combined due

commit d7075ecae93d11fcd2094eb04061357f5423cb63
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Mar 23 17:15:00 2010 +0900

    add support for custom document dir

commit 032ab3fb4970c66ab010e5276d4620a551ba7a23
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Mar 23 17:10:55 2010 +0900

    last completion change broke completion - fix

commit ed948ee810d8ceaceeafdb31db423291c7dfcf03
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Mar 23 17:06:27 2010 +0900

    use unicode for error

commit e4d4ecf221b7082b121bcfef06369160d523c061
Author: Christian Krause <chkr@plauener.de>
Date:   Sat Feb 27 15:51:50 2010 +0100

    Fix crash with enabled sys tray icon
    
    If sys tray icon is enabled anki crash when e.g. the graphs
    view is opened. Removing the lambda functions used for the
    signal registration fixes the problem.

commit 21969b1549f08efec5d24a9bdf48e82782e7ccaa
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Feb 26 16:44:35 2010 +0900

    add swf+flv

commit 2da5c6c4e97970061662051f8dafa2807d177939
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Feb 23 17:33:58 2010 +0900

    don't force the user to fix a duplicate field anymore

commit a94e0ed29e1047c2dd399d4cdf723953123d8d00
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Feb 22 18:09:45 2010 +0900

    ensure actions are updated after plugins loaded

commit c2186f2a599657eff899cd78becf4be0876b35e5
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Feb 22 18:00:10 2010 +0900

    don't bump deck modified until fact is commited

commit f083d952829439ee099170c82e965359c27b6bf6
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Feb 22 16:22:51 2010 +0900

    fix page reload

commit 6c9db9f8bd68e03477c9f7f815ee44939244577a
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Feb 22 16:22:21 2010 +0900

    change sync shortcut

commit edc680b2ea2501473c0cbb84b42d6bbeb336d4e9
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Feb 18 17:23:21 2010 +0900

    don't error out if ret hit in tag list before selection visible

commit 37490f1046d1a2ece044cddb410da8859f707e54
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Feb 18 17:15:36 2010 +0900

    allow 'continue reviewing' button to default

commit 3f551e70f97f32056981270166d09368422084f9
Author: Shawn M Moore <sartak@gmail.com>
Date:   Mon Feb 15 13:49:43 2010 -0500

    Keep track of whether the FactEditor is used for Add or Edit

commit c234423f043bd99e0b947dccc953262b8f9be7b7
Author: Shawn M Moore <sartak@gmail.com>
Date:   Mon Feb 15 12:51:15 2010 -0500

    Forgot to return the new fact from initializeNewFact

commit f3b25008aa6fab2ebb77e21c86c743a5160c0882
Author: Shawn M Moore <sartak@gmail.com>
Date:   Sun Feb 14 22:28:29 2010 -0500

    Check 2.6 too. Hm.

commit 3ec1bd4b498f032c94dbb0b69a351f689beeabcf
Author: Shawn M Moore <sartak@gmail.com>
Date:   Sun Feb 14 22:25:49 2010 -0500

    Consult macports for pyuic4, throw error if it's unavailable

commit c0003c4c0352c3b7285ac8a64b28cfa31e381ef2
Author: Shawn M Moore <sartak@gmail.com>
Date:   Sun Feb 14 18:41:26 2010 -0500

    Factor out drawField

commit f3b81d0024390257a9b9ef886e2cfcfff962c3f0
Author: Shawn M Moore <sartak@gmail.com>
Date:   Sun Feb 14 18:21:57 2010 -0500

    Factor out initializeNewFact

commit fe82902d5dba17d3ead5d36423566b49cc5aa0c5
Author: Shawn M Moore <sartak@gmail.com>
Date:   Sun Feb 14 18:06:44 2010 -0500

    Factor out clearOldFact method

commit 02c6e0c2bbe71f08f066d13880a5a4e59cad60cd
Author: Shawn M Moore <sartak@gmail.com>
Date:   Sun Feb 14 17:50:45 2010 -0500

    Factor out addFact logic

commit 79579676c506721b7ef71629b895e1b3a4954f11
Author: Shawn M Moore <sartak@gmail.com>
Date:   Sun Feb 14 17:49:20 2010 -0500

    Factor out reportAddedFact

commit bd595a1e0d6fd7cd9928ddb45156803d3ab9a31c
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Feb 14 12:49:24 2010 +0900

    update hungarian name

commit 1daf8f9601874cd9d81d6abad353da07bcca46d9
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Feb 12 16:46:10 2010 +0900

    if an error occurs during progress op, reactivate main window

commit 0f3a0832784cd1d33731d872d2f593e94bc7a4ec
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Feb 12 16:35:11 2010 +0900

    convert reverse order menu item to toggle button

commit 20f9e69b7968dc44badee4aa26e7630184887682
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Feb 12 15:51:11 2010 +0900

    capitalization tweak

commit 64cd0499ba2ccc09f0799db4cf41930ad589960d
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Feb 12 15:16:20 2010 +0900

    make sure to open a browser when link clicked in preview

commit 3bb16dc50ae39fa18426cc0343f18d64c89533ad
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Feb 12 14:40:16 2010 +0900

    bump version

commit d320c013729ba99acf5878f11b020a407c0ce868
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Feb 12 14:02:29 2010 +0900

    separate button labels and default buttons

commit 1c858f48b0fe98c705378e40ad822a8984a9ea30
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Feb 12 03:05:03 2010 +0900

    move cloze & preview to first line, enable preview & expand always

commit b7cd8a1385c00144208761c4fd56b3dae1edfba3
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Feb 10 23:00:50 2010 +0900

    add hack for qt underline bug back in

commit 11357d5736c54e395e09b570ad37b7588a9ad5d3
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Feb 10 00:49:53 2010 +0900

    add ogv/ogx/oga, separate from translation

commit dde3c13cfe245ad8d80557cfa0f0215282f89620
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Feb 9 04:08:03 2010 +0900

    add some more file types

commit dccdce9c5886f033d3421739785f998a99722310
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Feb 9 01:54:53 2010 +0900

    bump version

commit c5b02a58354ea8a52ab782ab595b5bf755637393
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Feb 7 01:07:23 2010 +0900

    make sure to always deinit modelChooser

commit 7d74be890be3e40d454716503e366874cf04f3a3
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Feb 6 02:01:26 2010 +0900

    better warning about setting templates to nothing

commit fb6d5a8556726b1ece6c065e7accced99cd9457a
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Feb 6 01:27:46 2010 +0900

    strip angle brackets from syncName when downloading

commit a374246fba774f68a58f6583870fbfd0ce9b5ccb
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Feb 6 00:49:18 2010 +0900

    update mac build script

commit ea42e18a5834383c012b496037bbf3e4cfb7838e
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Feb 6 00:48:50 2010 +0900

    catch errors in inital startup and report them before dying

commit 4b978e0d86e958b7bcdb6cd7b31a373b588f15c9
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Feb 6 00:46:54 2010 +0900

    remove backup setting from __init__, it's done elsewhere now

commit db4fb87d68f6caca2ad48065a2760aed34b35c60
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Feb 5 12:59:42 2010 +0900

    only update changed card ids after generating cards

commit 5810af3199735475601342c2b73dc86df61a5475
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Feb 2 03:20:04 2010 +0900

    tweak margin

commit 4afc9187b104de5a9b0cc5d15fce941679a0bf5f
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Feb 2 03:18:54 2010 +0900

    include custom stylesheet

commit e9ae61a5fdf798d32c431ce6b217e05a7d0798af
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Feb 2 00:48:47 2010 +0900

    forget last card when moving to state 'auto'

commit 16210927419a79b5703786129287369f6f73b4fa
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Feb 2 00:33:07 2010 +0900

    hide missing decks when drawing recent decks list

commit 38b1d3b48ac80b3da4bc685f382bc4975d0e5b57
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Feb 2 00:02:33 2010 +0900

    update display after selecting facts

commit ed35093359711c1ad5c8271359877dd51896b803
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Feb 1 03:39:16 2010 +0900

    clear current card when deck finished

commit d28096241a13cec7391add008ee8b88a5aa877ec
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Feb 1 03:37:39 2010 +0900

    update card stats when transitioning to finished screen, too

commit a1728ffec411d5b0b7c8aad02a89c2455a8c288c
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jan 31 04:06:50 2010 +0900

    add notes to README about library issues

commit 86a3e11716018b0f191c96c5d4724bc91b75830f
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jan 31 04:06:34 2010 +0900

    initial work on user manual

commit b3f16c60ff9709ea0824ec9ad7dac4bcc904b849
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jan 30 02:48:59 2010 +0900

    add 'anki' to documentDir

commit aeb23cdbcc5e2e0cbb883348b2bb435fc2e8b033
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jan 29 20:20:14 2010 +0900

    strip media before comparing with the correct answer

commit 8c34fabff8b9792681057ba8731ea67afb7eb55c
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jan 29 20:06:11 2010 +0900

    add some precision to the daily study stats

commit e96472b2b7ecee7f052e4019e03943dbcf7c17b5
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jan 29 17:44:07 2010 +0900

    default to 2 for new cards

commit 1eaedfafa5900f03ce133770a8f5ad63c23ec084
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jan 29 17:42:55 2010 +0900

    vary button labels depending on the card's last answer

commit 45ba91697eecb75da1df7770663f189820c7eea2
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jan 29 17:22:41 2010 +0900

    if no tag completion, pass return to default button

commit 9d021798753750d5932e6db1d492fdb59e0e9e4f
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jan 29 17:18:03 2010 +0900

    give confirmation after db check

commit 4a3114155b87421337b93d1be1eacd6607be5ed3
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jan 29 17:13:33 2010 +0900

    revert modtime after deck closed in deck browser

commit 68ab1244fcd3b1ba13f246b6de14b6e7e3fea2fb
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jan 29 17:07:49 2010 +0900

    add option to forget inaccessible decks

commit e2cbfd1916150042759fcb5f5e7603fddd4b35fc
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jan 27 20:06:24 2010 +0900

    don't clear window only to write to it again

commit bbe933890fa599c3926dcd6a8a3bbc52feefd1c7
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jan 26 03:35:16 2010 +0900

    don't call parseTags twice

commit b3e0b302fff231a19dcb04bc48298bc2cc08857e
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jan 26 01:50:45 2010 +0900

    add hidden option to disable repeating of audio in question

commit ea76ddc9f3d78dc789bff2cf9d82bae9f18ba643
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jan 26 01:23:53 2010 +0900

    honor styles in css in add/edit dialogs too

commit dcf65465b3612e23176ab29d302753ef1e7044f3
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jan 24 03:51:08 2010 +0900

    don't warn about unsaved decks if the decks are not modified

commit 294ac8045c2e268fd4ab475fff3bee558ec8ce37
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jan 24 00:50:27 2010 +0900

    five second tooltip delay

commit be4b3faeb29ed56b58a8d358949277743d7f16bf
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jan 24 00:29:25 2010 +0900

    custom tooltip handler that doesn't hide on mouse movement

commit 355d78f177e4867c422dbf9cd29fc72582bcf140
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jan 23 22:23:03 2010 +0900

    tweak tag field alignment on linux

commit dbe6809ebb448ef5c4f849ea15a97c50f56b87f6
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jan 23 22:12:26 2010 +0900

    only reshow the deck browser on change

commit 09b30164627fe174b9379d0fdae703a27ff9e420
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jan 23 21:48:06 2010 +0900

    make sure progress dialog gets shown when update called

commit 4438ea62f6377920f5497457ec5b14649e1b6924
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jan 23 21:35:15 2010 +0900

    handle case where there is no active window

commit 42159eac4f1b85a512a86d5b558744f169bb203c
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jan 23 21:14:00 2010 +0900

    readme.html, not readme.txt

commit c909e2ad7a3321aa1638d5fb2f5ebdfa123e846b
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jan 23 21:03:23 2010 +0900

    tweak layout of browser

commit e3de050ee6dea0a681abf20df06057eaa0dbd701
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jan 23 20:36:44 2010 +0900

    don't forget selection when refreshing after card changes

commit 4fcc04cf30ae62b3778a032976c9e5cba2107779
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jan 23 20:36:07 2010 +0900

    delay progress dialog appearance (prevents flashing, avoids stuck window bugs)

commit 68b8b8a5dc6e729c4aecbb31bc87c20d22b620b8
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jan 23 18:18:36 2010 +0900

    use layoutChanged() instead of dataChanged()

commit 85a6f4197d9bf4f521e77dc903de6da5f90ff6d8
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jan 22 17:51:51 2010 +0900

    detect broken pyqt4.6 and recover/warn

commit d4491869c1020cb69b4e21b82d3379768c969730
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jan 22 04:59:20 2010 +0900

    use a popup menu for deck operations

commit 441e459af5cd034f94c1dcdd675a6fe2d5992695
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jan 22 03:51:30 2010 +0900

    ignore wheel event in figure graph

commit 85ed9910cdb26e793c0999c842601dce1aa85f2b
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jan 22 00:31:50 2010 +0900

    use answer font family as well as size in answer comparison

commit a3b3e7312a2f99ac98762c8d16a6dbf884bd2157
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jan 21 03:02:43 2010 +0900

    this time webkit breaks bold. sigh

commit bd532500ef53953958ecda1752276487bd6b85b3
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jan 20 19:01:39 2010 +0900

    prevent recursive progress dialog invocations

commit 1cfef7a295414c17bf492181544cc3f3042b8f43
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jan 20 18:56:58 2010 +0900

    unsuspend explicitly suspended cards before packaged deck export

commit 149e3e5b76d0e868196a3fa456280a46e824bef7
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jan 20 18:54:40 2010 +0900

    make sure both card and deck are set when returning base

commit fee4613ced91da7e0438c11a404b9a5123847cf5
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jan 20 04:21:50 2010 +0900

    add mac test script

commit fd0cbec5b393ac96e25367125ea9b919edd2f7a2
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jan 20 02:34:54 2010 +0900

    new mac build script

commit 26de29a1764339909ead5f32bab904eced262cae
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jan 20 02:34:30 2010 +0900

    move away old build scripts

commit 30949edbc38b77a96dbb0c1338e278c30f17412b
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jan 20 02:13:19 2010 +0900

    update getBase call for preview

commit bdba8cea83638a5c5dc33a4ccb34e7c72616276f
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jan 19 01:51:05 2010 +0900

    support remote images (add remoteImages=1 to deckVars table)

commit d4d713a60afe1da14ea5b0f1b323abec172b3384
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jan 12 01:54:19 2010 +0900

    disable signals while updating bold/italic/underline buttons

commit 24b9a9d1a8e1d1a978de2e347074d3116c838380
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jan 11 19:28:50 2010 +0900

    update deck corrupt messages, include debug info

commit aa731470ec946e7c18852b6c22419d5a2968c0d1
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jan 8 23:35:51 2010 +0900

    fix segfault on qt4.6 by storing index in local var

commit 4a4ec4ad19051d408a5b98fced2cdda09544e459
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jan 8 21:55:50 2010 +0900

    add warning if mature < young

commit 4a01fb95651d419a1534c9e24b6f85f4138ab29a
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jan 8 21:45:20 2010 +0900

    don't update cards on reset (fixes button being off)

commit b6dab37a0aad75ca0f0d7e8fd97e800dfeea12a7
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jan 8 19:06:51 2010 +0900

    allow unicode in media url

commit 728d97104fa5869ea35c3cc90e44a02e79661ccf
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Dec 16 05:56:28 2009 +0900

    redraw status after card add

commit a4ca10dbae6092200977221fabc8d3d3e88ca177
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Dec 15 22:42:40 2009 +0900

    reverse text -> right to left

commit fa0ca3089c144b2aa6bfe5839f813f107a5666f0
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Dec 2 21:27:53 2009 +0900

    remove quick db check

commit 87d976a547703138e2de74883861095566a3037f
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Nov 30 14:31:05 2009 +0900

    unify deck load messages, add help, add critical msg box func

commit ba3298cf3b2ebd08b2e2efa78cadeab0348bdaf4
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Nov 29 02:22:13 2009 +0900

    force perms on mplayer

commit 8a0d63c4cec39755c6c76f90b2b3e7ece53a6336
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Nov 28 16:35:39 2009 +0900

    mention the date may be off when clock is off

commit 581422892f588790c7b1eb0a65c2e1d5c8c9e33f
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Nov 27 20:19:48 2009 +0900

    make browser colours more easily adjustable

commit 2e5b59fdd10a8c42f2f6a8cbafdba743ee0c84f8
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Nov 27 20:06:10 2009 +0900

    add svg icons

commit b2a72d5672d075d066f351aca458f627cd51e5a4
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Nov 27 19:53:55 2009 +0900

    place no limit on number of remembered decks

commit b852a6405ab029e182e44eb57a17c830fd892d5a
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Nov 27 19:31:59 2009 +0900

    don't error out if delete card double clicked

commit 8b6a8bb7ea880408c5ba7e0187d68d7c31136df2
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Nov 27 16:23:55 2009 +0900

    add more languages to prefs, add farsi to list of RTL langs

commit c2e8c3051437212992fbdaa10bb2dd1f32403d22
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Nov 27 15:59:22 2009 +0900

    fix leech suspension message

commit 210c11671bb260b473b4fbcbd164f1d9c49df237
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Nov 19 17:35:49 2009 +0900

    fix 'download' when deck not open

commit 28420be794ff52d5a5b6a132feaad3466cc67004
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Nov 19 13:17:42 2009 +0900

    fix h. pos of type answer box

commit 94bad194a68187bd92319c796461377bcb328ac6
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Nov 19 12:56:44 2009 +0900

    fix for mark cmd

commit c023837b7671dbcf6756212684ab31c7d0d7c92c
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Oct 29 17:09:18 2009 +0900

    fix bury, increase recent deck paths limit

commit c8c7ad0b621ca415e15beb528281383886af7f76
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Oct 1 20:17:40 2009 +0900

    factor spacing into due time

commit f4f3c94ec0732aadf8532f731a758222041fce5e
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Oct 1 19:39:19 2009 +0900

    add timeout and better error msg to getshared

commit cbb7f236cd8b9967895abaff6bbeeed286000cc8
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Sep 30 17:29:55 2009 +0900

    clock>stopwatch

commit 0f6b0054f3d8a73c29f8890c448330ce98207609
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Sep 30 12:59:54 2009 +0900

    underline workaround

commit 9231e79f0805d91d67dbdb216646e6602e4adb56
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Sep 28 06:50:54 2009 +0900

    add sigint handler

commit 84914fabb9833d40b9fff951980b488f4ba07fe9
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Sep 28 06:41:36 2009 +0900

    reduce chunk size in getshared, don't die when reporting error w/ foreign chars

commit 5458bc8577e3d6fc49c24ebac0cb43c849f98f58
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Sep 27 00:33:37 2009 +0900

    shuffle advanced menu

commit 7239195df343c4d8677fdca3ae22f3e4c2f41727
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Sep 27 00:27:27 2009 +0900

    add prompt to latex cache del

commit 3a43f029030a1b729cf00017d42f3de3c2cd7a33
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Sep 27 00:05:02 2009 +0900

    catch any load error for config file

commit 24b8ddce29a624cae0e63e6d05d5bffbfc62b87c
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Sep 26 23:23:41 2009 +0900

    display helpful dialog if cloze bad

commit 273bf8c9c691d39139be7cc1dd347797125b0d58
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Sep 26 20:52:29 2009 +0900

    copy pyconfig.h for pkg_resources in mac setup

commit 057af500ce1a13e7f2a2ccb24168655795c86e9e
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Sep 26 17:28:06 2009 +0900

    hide status tips on osx

commit 70b57dfe55fb4d6b361c16fc1f44298c7c127297
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Sep 26 07:17:18 2009 +0900

    remove statustips from the visible buttons

commit 7784cea4b0abe157f6626aee740644869585434d
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Sep 26 06:57:51 2009 +0900

    don't attempt to open directories for writing in getshared

commit 2f42e36ffedf38338ec4a5bc65661dc2b176bfba
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Sep 26 06:46:48 2009 +0900

    when warning about broken plugins, escape untranslatable text

commit 24adb7b8bb952f4e15e8552dde0add0e4d0753bf
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Sep 26 05:22:42 2009 +0900

    add russian to translations

commit 1629c859d0c08fccadabe187f901c9a8250bdc49
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Sep 26 05:15:59 2009 +0900

    don't remove temporarily inaccesible decks

commit 82081bd7c86b7081f2154eec302f767f6af15b47
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Sep 26 04:21:37 2009 +0900

    mark version as snapshot

commit ff81ca0c0650cc083536784666972a4c5ee45429
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Sep 26 04:21:27 2009 +0900

    add window title to silence sampling

commit e7b62bbee64eda44555cabc85ae7486f9e6ab81f
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Sep 25 20:54:58 2009 +0900

    add shortcut to db check

commit 8f47de9366339a9139429658b760c5a2ec87279a
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Sep 25 18:08:04 2009 +0900

    Revert "open libanki with progress handler"
    
    This reverts commit ecd9ffe2b9c272c8db3ef5a072614acd257a48dd.

commit a520a61d8afe329d585271b3ed056ec9ddf172c3
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Sep 24 17:26:28 2009 +0900

    use string rep for interval size instead of 0.3f

commit ecd9ffe2b9c272c8db3ef5a072614acd257a48dd
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Sep 22 18:32:26 2009 +0900

    open libanki with progress handler

commit ac5839b3e8f97fe4bb2681f097487a1b23474f1c
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Sep 15 23:55:21 2009 +0900

    don't ignore bundled zero byte files

commit a72e56bc450f208e75f343717acd8eb7c5402f39
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Sep 6 17:17:13 2009 +0900

    patch from saturnien, make mp3 encoding optional

commit 119fa31eb9ef25906f85b25db3f8c9193cf51e03
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Sep 4 13:36:15 2009 +0900

    add more languages

commit 452c379d308ad7d2905bf7dfe9673176ca08d72d
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Aug 19 17:44:37 2009 +0900

    remove duplicate import lines

commit be9aba4d1acb4d2a4eb4f8c1b76f353e7a3bcfa2
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Aug 17 07:44:36 2009 +0900

    ensure failure multiplier <= 1

commit 65012283ece5225320b3066c20ba8c9c8f366bdb
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Aug 17 07:43:33 2009 +0900

    ensure failed max >= 2

commit cd1bf3a645b7b03a17bbd48d2dc02d232a0fb5e0
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Aug 17 06:58:56 2009 +0900

    download deck>download

commit 25009326d0c8f73e2bc7dd46fa0c3a2669839b96
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Aug 17 06:58:19 2009 +0900

    -start and end range

commit 614793d4d492d9758c3661618918b53428fd26d8
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Aug 17 06:57:26 2009 +0900

    delegate external links in preview

commit dbfcb44ea7494e3162d2492a259edeb7b26fea57
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Aug 17 06:54:50 2009 +0900

    if esc hit, don't add/delete tags

commit 52bd264c05bda34c5a2364aadfa3770b6d032bdf
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Aug 17 06:49:48 2009 +0900

    don't use float(text()) to get values from spinbox

commit 2860b3222225e9dd95c0a3493c9238e4d572fe97
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Aug 17 06:45:59 2009 +0900

    fix sort by fact created

commit b31ff97619d69e79bdc07e05363e9e797f1c2def
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Aug 17 06:18:20 2009 +0900

    fail silently when setting locale, automatically save personal deck on download

commit e5c898fb68ee22f653ac773a7b1061a307a689c5
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Aug 17 06:18:01 2009 +0900

    preserve selection when suspending/unsuspending

commit 664b221c58290d71dee38b569f9aabd2653ae304
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Aug 17 05:26:27 2009 +0900

    close deck windows on saveas

commit bfc852a89203db7a48708b412daaf2acdc3869d5
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Aug 17 05:23:31 2009 +0900

    unescape &amp

commit 74137721bf3fcd84d2c2423f9f5ccfd280208250
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Aug 17 05:20:48 2009 +0900

    properly support reverse new order

commit 4c6301d3ca193e228788f1ada49d4494bc63e4c0
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Aug 17 05:13:13 2009 +0900

    don't die if there's only one field

commit 6f9e92e8557cf847730a0b416e2c0b6dd5d70c0f
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Aug 17 05:03:38 2009 +0900

    remove width limit in getshared qlabel

commit ef30c88ad87f307c009fa53e341fbaeccda162b9
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Aug 17 04:58:33 2009 +0900

    if win32 document dir invalid, use home dir instead

commit 863dcfe3895d6319cd1d351df58740a203dbc541
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Aug 17 04:44:01 2009 +0900

    update titlebar after 'select facts'

commit d3562b105af0592d752e556f63208c06f496e480
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Aug 17 04:33:27 2009 +0900

    updated icon

commit 0e3c23bae42eb12c59589396e66c0573cbd8ae90
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jul 28 23:26:05 2009 +0900

    reps>repetitions

commit 27f23b54a5611fca3d9152e69e2f466fe24ef7b3
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jul 27 21:29:34 2009 +0900

    init ctypes only once

commit 117fff96b0746e58524dc956ac551af6f2abe140
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jul 27 21:11:30 2009 +0900

    patch from "halabund" to remember keyboard layout in fields on win32

commit c5857de1a74ea873e1db8820b332fba90b4264e7
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jul 24 13:46:43 2009 +0900

    add a hook for enabling/disabling menus

commit 653e7efc06e1b985b851f7daf7360cfe977b0658
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jul 18 18:10:21 2009 +0900

    tweaked icons from josh

commit 85750a3d20c1ad0e19bb1e67973f77364e5a51c5
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jul 15 09:59:47 2009 +0900

    disable toolbar when fact invalid

commit c36c6ae3c529ceb1eff59c1fc5d77966903b17e8
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jul 10 10:32:59 2009 +0900

    tag icons from josh

commit 39c7410d943ee8477b274369a88b43b1f5537dd3
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jul 10 01:40:23 2009 +0900

    reopen deck after sync in case of subscription

commit 599859bc62517f6c19085aea5611d985973ebf40
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jul 10 00:37:19 2009 +0900

    mention beautifulsoup dependency

commit 0bb17919057f56d438bf395ed6baadbd73ee2626
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jul 9 23:15:09 2009 +0900

    update about

commit e06337ee1f8a8b57ed3ab49c6051a2059fcc10e8
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jul 9 22:36:14 2009 +0900

    save & restore toolbar state in cardlist

commit 6792dcb7600d0caabefe849ee5ef3582fa2fd410
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jul 9 22:28:57 2009 +0900

    clear error area on sync, make sure to save randomize order

commit 50bb21b3432911fdeee5a141e0241cbf3f4b87ba
Author: Timo Paulssen <timonator@perpetuum-immobile.de>
Date:   Wed Jul 8 13:59:21 2009 +0200

    now you can paste audio and image files from gnome apps, too.

commit 7c68e2fb685b87418054b5c7915769642559e310
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jul 8 14:54:29 2009 +0900

    unified cardlist toolbar

commit b8cf490543cac46865bb7ca198a5746eb5ac3fb5
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jul 8 14:14:08 2009 +0900

    add arabic to RTL, add arabic and hungarian to prefs

commit 6256e5bd36168b88ac8b5ee319cf7d8043579b80
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jul 8 13:48:23 2009 +0900

    mark inacitve and suspended in different colours

commit 184afcf4b5cebe526fafe222ae929b4a5f6ec500
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jul 8 13:39:10 2009 +0900

    toolbar in cardlist, toggleable suspend&mark, coloured marked cards

commit 957c0b02d8e956c3baf3fafa68ed000c4a62493f
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jul 8 12:40:29 2009 +0900

    over a month>mature, etc

commit 343b6bb59c1dafbabb30e9c82916a23211138fa7
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jul 8 12:37:08 2009 +0900

    convert reschedule fields to spinboxes, don't allow negative values

commit 85fb576bea0d8046b71e0d2a7254e00ae1f9049c
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jul 8 12:30:55 2009 +0900

    use hebrew for ivrit

commit 7160b4b05c38c1ee80bb640e98f4eb357f2de4bd
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jul 8 12:20:00 2009 +0900

    ngettext export message

commit 19169de0503abd20534319d3b81dd6bdc6b930e7
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jul 8 11:48:11 2009 +0900

    allow re-randomizing, fix missing file %d

commit 711d972c26a5ae43a8ccf6b4a3947c5d2df54d1a
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jul 5 17:05:34 2009 +0900

    update new card order immediately

commit c395e84eefb5c7fe3f3f28cbd7a7a47f1cddb1a7
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jul 5 16:50:22 2009 +0900

    handle .off lying around

commit 2d71e6d9642512112676c2086918b1ba47a63396
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jul 5 02:23:14 2009 +0900

    keep the answer buttons ltr

commit 08228c88375b5ffa3239266bb64204865ea23a68
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jul 5 02:18:55 2009 +0900

    change ltr/rtl based on interface lang

commit 7265d135374fc37c0957b7aea8c425c501f57a66
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jul 5 02:16:04 2009 +0900

    add per-field rtl customization

commit 1f16732dfc1a33d8cfdfc37d9b6aad04802fd9ad
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jul 4 18:11:10 2009 +0900

    bump version

commit e4e5fcd792c7aa82f7340393e9ab354b8134166d
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jul 4 17:41:14 2009 +0900

    use native languages, add esperanto, hebrew, romanian and dutch

commit 70f901c9b4856154a65725c8fe6fa8ea9a1768bf
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jul 4 16:44:35 2009 +0900

    fix lang initialization

commit 454f216ac9b028da0353e03f541570ec7de06ec9
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jul 4 16:35:02 2009 +0900

    ensure collapseTime is on when cramming

commit 1318d8c5f880d8930433f4b102a9a833789f3e7c
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jul 4 15:59:19 2009 +0900

    handle errors with foreign characters

commit 554f82c0071490a43195811dca0a7ba5bb3dabce
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jul 4 15:22:15 2009 +0900

    fix typo

commit 2249f1891304e0260feed48c0ed50227b99c5172
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jul 4 15:18:25 2009 +0900

    add support for exporting original files, tidy up whitespace

commit ed6a16f01463043531cb53337c8785adb7dcaf08
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jul 4 00:48:08 2009 +0900

    don't forget importer delimiter when changing mapping

commit fcf656c396b09bdc082711a75de3cce582255e13
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jul 4 00:34:26 2009 +0900

    fix case where tags label is bigger than all fields

commit af26bfe69ff542c9987f7963c4caf356545ecbd8
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jul 4 00:30:02 2009 +0900

    fix sorting by ease, define any() for python2.4

commit c7690b68b34f947cc24b42590a38f73e4fd79489
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jul 3 01:10:35 2009 +0900

    active>inactive

commit 05677925f42e5a6f36cdeac0227e1e1c83127c7f
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jul 3 01:09:33 2009 +0900

    avoid backwards-moving progress bars

commit 1b849ccf073a49e977785c64d35712ca1f7c3821
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jul 3 01:09:19 2009 +0900

    greatly speed up select facts, add progress bar

commit d6553e57726c277cc60379f61927273fe090295e
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jul 3 00:53:53 2009 +0900

    blank out edit menu too when no deck

commit ac66033d832fcdf365b598ab2b837dd0acb91bfd
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jul 3 00:34:13 2009 +0900

    full database check

commit 8afdec985042dd5a1fc61685111cd1e3fd5227c3
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jun 30 16:06:34 2009 +0900

    take a backup prior to sync

commit 1122eed357194d3a728b5c7224125a900899fd91
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jun 30 16:00:24 2009 +0900

    add link to add cards from browser

commit e1fab204f1fa440ad147dc5d921b703ffd07ff86
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jun 30 12:55:05 2009 +0900

    remove placehold texts and html

commit 57584572b6cd3613d41cbc6faa06a246d10423ce
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jun 30 11:47:30 2009 +0900

    fix recursion error, update docs

commit 8a1f6bfcd0d40c2b1456575772ac34d27d1325e5
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jun 30 11:32:55 2009 +0900

    remove locales, update prefs for new format

commit 16662fd7abff84f845c3712a20aef466a411121f
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jun 30 11:20:30 2009 +0900

    add modified to shared deck browser

commit 5db68f9f41d2c002eee621e50337413b8ff8ca72
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jun 29 14:14:40 2009 +0900

    allow https urls too

commit ad4cff620abc84000f5c99d33b33be5da2ae322e
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jun 26 16:40:25 2009 +0900

    remove broken osx code

commit 0c7405fa0d6631883f131b8d63205ec1817aee40
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jun 26 15:46:54 2009 +0900

    bump version number for beta

commit 65d35e188120605452ddfa3126969d1ae50371a3
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jun 26 10:51:00 2009 +0900

    manually focus on osx

commit 383840619b006c82c7e9dcc25d7ec1e3bb59beed
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jun 26 09:49:48 2009 +0900

    updated jp translations from jarvik

commit 4210869f4de1c9667ba99c940d874cac532d98f3
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jun 26 09:46:52 2009 +0900

    fix bug that broke other importers

commit 3036d3baf983b818c4c9ef6e25c640ac77174e85
Merge: f7dd062 dd7ed45
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jun 26 09:43:37 2009 +0900

    Merge branch 'master' of git://github.com/sanna/ankiqt

commit f7dd0623b7be063031ffb272b98ced2c36c77c22
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jun 26 08:26:20 2009 +0900

    when showing leeches, no need to ensure they're suspended

commit 136d056779fbe68e8a4aa17331e8d14a62cd80a1
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jun 26 08:26:00 2009 +0900

    add support for aligning by lapses, center third column

commit a932f059e6723c7d13d8ccb62632fc01981070c1
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jun 26 08:10:45 2009 +0900

    move leech detection into libanki

commit cf1b0e45f0e031801b2f0650bb3be741e8002926
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jun 26 07:28:43 2009 +0900

    don't let user remove facts by disabling all card models

commit edcad222d07a0675ab4e5844418c0e5976ab4c4e
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jun 26 07:12:57 2009 +0900

    add ability to customize separator when importing, fix tab order

commit dd7ed45d5c418f98e6e9847b7961f020b2e350c6
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Thu Jun 25 11:35:03 2009 +0200

    Updated Swedish translation and reran translation.sh after partial revert of
    about string change

commit 90f1f62643c7c647a4387130716e36b5f855abd3
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Thu Jun 25 11:34:10 2009 +0200

    Reinsert web site url into translatable string to not make it harder to choose
    web site entry by language

commit 5ca69dee1e02e13948fac9ed524c8f63c179addc
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Thu Jun 25 11:26:29 2009 +0200

    Updated Swedish translation and reran translation.sh after about string changes.

commit 9492cdfddc8fdb129c823c9b791e984996e3d3cb
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Thu Jun 25 11:25:20 2009 +0200

    Split up about string into several, moving html that does not need to be translated out.

commit 7f57a0c848db1ed80494205974ea854c2846ce1f
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Thu Jun 25 10:51:57 2009 +0200

    Updated Swedish translation and reran translation.sh

commit f6066c7ffdf473b73f95069f5b2d1147644492bc
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 25 07:12:15 2009 +0900

    still need qtnetwork for webkit

commit 479b0b6ed5d7618984a6454a097af042d26233a8
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 25 07:10:46 2009 +0900

    fix zero div issue, lim=0 turns off detection

commit eda8c2011a392eca09af9ea860a074360eaa8c76
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 25 07:08:16 2009 +0900

    hide notice immediately on next card answer

commit 9ae9c2e85e89c78f6f2bc4572a65df1f003dda98
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 25 06:50:00 2009 +0900

    bump version

commit 3839c635a03b2bb5a50abe1d211d49b06e233740
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 25 06:47:53 2009 +0900

    don't check if already a leech, since we don't trigger every time

commit ef4d9a42f8212a954703caba64c6a38f7db5a9fe
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 25 06:46:05 2009 +0900

    only warn about a leech again after half the max fail rate

commit bd0c41c3d5550420dcf9a3125e1f53ce06565735
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 25 06:39:49 2009 +0900

    don't suspend leech if already tagged

commit 5cb7d45008c550e110ed9b00a15aff5de1e08a91
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 25 06:34:06 2009 +0900

    if initial connection fails, don't show window

commit 4d624d286bef496c59eedc34759e075049aa2233
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 25 06:29:38 2009 +0900

    strip qtnetwork in favour of urllib as it handles proxies better

commit 7ee6032b814fee9c97d4574360b68703371dc46f
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 25 05:37:01 2009 +0900

    fix replay audio in question

commit be0ce798d6352d9cbba7a841ca434a9d5bc94dd8
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 25 05:30:39 2009 +0900

    fix repeat audio after edit current

commit 0797b4e772b984e3a16c76ea2a84b1efaa69be45
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 25 05:24:28 2009 +0900

    add ability to customize leech & suspending per deck

commit 33b3c65ad864f772399f7620bcefb11da59dd4a4
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 25 04:22:11 2009 +0900

    proxy patch from richard

commit e78689fe3558652a51da3a960588825ba27b0845
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 25 04:21:45 2009 +0900

    allow external links to be opened in getshared

commit 4f188bd2541ce6cc997eecfcfddfc29879abaeab
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Tue Jun 23 16:49:06 2009 +0200

    Updated Swedish translation and reran translation.sh

commit b8b8dcd3af8042e6fed8f4498a44cebbcadc9ed7
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jun 23 23:40:38 2009 +0900

    increase length, wrap text, improve doc string

commit 6c263bd94d4785b2248c687380f76921d47949c5
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jun 23 23:28:37 2009 +0900

    bump version number

commit 35deffea750c9c1dcc4d41c6de50eba8a2d10008
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jun 23 23:28:11 2009 +0900

    make deck browser length configurable

commit 069ac65707bd1212b4849ba6d9eabb202e2173a4
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Tue Jun 23 09:25:33 2009 +0200

    Updated Swedish translation and reran translation.sh

commit 6a4c7659ed03a2f40eb779aa164ec730d2d87e72
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Tue Jun 23 09:25:00 2009 +0200

    Enable plural support for one string.

commit b4d211e9e90bac21af2015488e38873adcfaddb2
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Tue Jun 23 09:17:42 2009 +0200

    Updated Swedish translation and reran translation.sh

commit 47251a92769c3b206bc29edf9e9195adcf40f017
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jun 23 06:39:58 2009 +0900

    return if no media urls found

commit 2f0009da3e84109eb6f34469c6cb662ad89e8292
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jun 23 06:37:08 2009 +0900

    add download missing action

commit 938abea109ebc5d88ace9b42e8945535bf8e36c8
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jun 23 05:42:50 2009 +0900

    add tooltip, merge->overwrite

commit 6067afe85f11df95df4a7375453eb17193e2a908
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jun 23 05:19:55 2009 +0900

    when importing, too

commit e7223120ead0ed5996f7ed166c1b093a8196c2a6
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jun 23 05:17:21 2009 +0900

    always deinit modelchooser

commit 7c3b70647857b6a4183d9004c897fce3baa41c20
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jun 23 02:33:03 2009 +0900

    active tags>inactive tags

commit 76c6c3fa4d936f27422efe0332a749884122c886
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jun 23 02:32:14 2009 +0900

    don't replay question audio when questionInAnswer

commit f047f0222a940af022adff15c3e72d8f33b01483
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jun 23 01:57:34 2009 +0900

    added finish button

commit 0f3ad34af2b699a4b4664025799bffe644d40765
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jun 23 01:49:11 2009 +0900

    make update check more fault tolerant

commit b12460f225d6a90f1809d54c0acd32a3c93c0112
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Sun Jun 21 20:06:32 2009 +0200

    Updated Swedish translation and reran translation.sh

commit 799e2387a58cafdd8f1392c090fc78265278d374
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jun 21 07:28:39 2009 +0900

    fix jp translations

commit d6f29d7cb210fd7f1c94e75497510659751f2c5d
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jun 21 07:00:58 2009 +0900

    remove ... from download menu item

commit baacc0e333b7126a89b2b4e7bb8c545688463cc1
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jun 21 06:59:30 2009 +0900

    remove grid in get shared, make sure selection is one row only

commit 949bd0afe0e5d70991592ad3c0763c769c766a80
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jun 21 06:54:36 2009 +0900

    german translation fix

commit 5118b4d88d8a7edd3e7e3b26157100b6ea654f37
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jun 21 06:54:27 2009 +0900

    add support for media url setting in model properties

commit 17ad85e8b8fdf4ea77c1f04cb9dd16360f66d770
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jun 21 03:35:29 2009 +0900

    update about

commit 65c11d6ea44cbd1e025d151c6a18abb76b564de5
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jun 21 03:34:11 2009 +0900

    rebuild translations

commit 5e63fb5f7c3a9e2f5bce71d298a26ebdec37e868
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jun 21 03:33:37 2009 +0900

    updated German from Michael Jürges

commit 5fd05c8099e7cd23003fe99a1070324e202a2429
Merge: 3846df1 517a2c0
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jun 21 03:22:24 2009 +0900

    Merge branch 'master' of git://github.com/sanna/ankiqt
    
    Conflicts:
    
    	designer/activetags.ui

commit 3846df1f46be7a18d439332d722397543ea66b51
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jun 21 03:21:08 2009 +0900

    fix activetags wording, make wrap

commit 60b5cd0e3e1cf0152d2f35dc764fd1271023d981
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jun 20 02:18:59 2009 +0900

    not a left-pointing arrow anymore

commit c6def7d5e9e57e8bdfb547384236764cb6a1ac7d
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jun 19 11:50:45 2009 +0900

    remove bulk media support

commit 517a2c0c79c414f21ffdc98ec3f5e3bf7a02365b
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Thu Jun 18 09:53:09 2009 +0200

    Updated Swedish translation and reran translation.sh

commit ae47ce1424661bf75b039c9bbfcc3bdc4fd3652c
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Thu Jun 18 09:52:49 2009 +0200

    Typo

commit a3da9664620b8a4db82098ce267ef4624c906751
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 18 06:05:44 2009 +0900

    fix spacing on win32/mac

commit b4a23cc371f2cfbc0417daedd0a30d112aa281d6
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 18 06:02:42 2009 +0900

    hide accels from menus on mac

commit c37a2b2d94996554caaa813571b3eb967fda9c29
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 18 05:39:18 2009 +0900

    updated japanese translation from jarvik

commit 3ba43984de98e9e6d437a047ada21467fad243ee
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 18 04:19:26 2009 +0900

    refresh with f5, use different icon for deck browser

commit 2b671759b5c03a511938f522aa99ece29d8436bf
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 18 03:29:53 2009 +0900

    suspend>deactivate

commit f20f27e8925598f08fb7438022579edfc32275a9
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 18 03:27:57 2009 +0900

    suspend fact -> suspect card

commit abebaa59313a34766ba38ae01d1dce9540aea9ef
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 18 03:27:49 2009 +0900

    remove suspended from deck properties dialog

commit 9031c6b61a1ba62cd2d262af4d1d7de2d01e8355
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 18 03:27:09 2009 +0900

    suspend cards using new api

commit 35e9356d82bd3900d5297a436db4f3e3b05d524f
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 18 03:26:48 2009 +0900

    remove suspended from deck properties

commit efeb3786bbbcf18d80f79d4318dafe1ce1b00367
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 18 03:26:32 2009 +0900

    remove suspended tag from active tags

commit bbc65d1fb1168472e6f6ea77a1449a45a6002aff
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jun 17 16:05:09 2009 +0900

    suspend facts>suspend cards

commit 7b7473f558205ec1fe8f125b793a7f506c62ad3b
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jun 17 16:03:31 2009 +0900

    color manually suspended too, add leech criteria, suspend manually

commit 0519826b822382229b1661b2631877f3c62c6b49
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jun 17 15:38:56 2009 +0900

    make length of deck browser customizable

commit e74539a7da6d529d0202d7a904e83b4a1243e5e0
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jun 17 02:52:33 2009 +0900

    fix leech criteria, fix html appearing

commit a539c636f8f9d5b5e510420d7bb87203e9a5b9ea
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jun 16 04:29:39 2009 +0900

    work around osx recent deck bug

commit 558caa894774188ee3e48ce5d32533da79aa264b
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jun 16 04:18:36 2009 +0900

    add custom button size for osx

commit 677fb7e7aeb36f0eeba27d5a69dd25eeb3aaf0d6
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Mon Jun 15 20:24:23 2009 +0200

    Updated Swedish translation

commit 5ab8e9fcf25dfa9433d384b8602ee6f60beba0e9
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jun 16 03:22:46 2009 +0900

    clarify leech wording

commit b9f73a281588072de5bc1b59c97e8d1c77f40fae
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jun 16 03:15:50 2009 +0900

    was>is

commit 4735f0ec7baf0b96ad0a8e1c14ad174917687253
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jun 16 03:15:37 2009 +0900

    set custom button height on win32

commit cba494c5ad2671a5a68810d6645cd56cba43326f
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jun 16 02:53:46 2009 +0900

    more robustly handle win32 brokenness

commit b235a45f6b06836d88a98ebe8ef16e091741613b
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jun 16 02:30:57 2009 +0900

    switch to blank screen when deck browser is loading

commit 7f8f10d577c8c8e05f53bbbfe2b9d94a008a93bf
Merge: 04b6278 d9743d8
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jun 16 02:24:39 2009 +0900

    Merge branch 'master' of git://github.com/sanna/ankiqt

commit 04b6278cd7684a30d462fd11e5d3ca75bf6c5966
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jun 16 02:24:22 2009 +0900

    apply translation patch from piotr

commit 32639bcbd5dacfbffda5912cf42f9bae4ba2af44
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jun 16 02:06:06 2009 +0900

    add leech detection, message window on sync failure

commit d9743d80152bdca8f17eef51e3b6dac6851ae262
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Mon Jun 15 17:45:46 2009 +0200

    Updated Swedish translation and modified download from hämta to hämta hem.

commit d3fb52199a0365424bed6ab354fc17322f97abda
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jun 16 00:21:34 2009 +0900

    add automatically delete media option

commit bdcd0c25ace9c741ad35df21c829ebf134084d78
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jun 15 18:31:30 2009 +0900

    more padding on osx to deal with scrollbar

commit 1ed03b3f0b648661704d4f8952669781d168f146
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jun 15 12:55:17 2009 +0900

    replace unprintable chars when showing an error

commit 5eddecd75dda7ce68d35bee41a8be1fedd08abac
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jun 15 11:53:18 2009 +0900

    add space to type answer field

commit 12c1590d3f8ca5e7c2430cb9932dee709bc5f943
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jun 15 11:38:16 2009 +0900

    support videos, pass current card to style gen, tweak q/a size when q hidden

commit 2f8508d13a4d84df903fc4db992e6defdab5ee3e
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jun 15 09:26:36 2009 +0900

    if user/pass is wrong, open prefs

commit 888317385ceaa71e8c4841b4438d85390cf7fab2
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jun 15 09:16:48 2009 +0900

    increase prefs height for osx

commit 4f99bcdae4246c8a94ce1d334cd629e655c49f26
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jun 15 07:41:47 2009 +0900

    summarize progress for the day

commit f14585513219850255a164b1f700db49e3b0c113
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jun 15 07:07:14 2009 +0900

    pad deck browser

commit 85a9b7c919563e03dc10d5ffe9b272eb388fc5a1
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jun 15 05:33:14 2009 +0900

    make sure to set loadLastDeck on prefs init

commit 18ffc8793acf12a33b0acba6e3f8ae779ce02849
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jun 13 15:58:57 2009 +0900

    update jp translations thanks to jarvik7

commit ff73353609f62fa2da9513be8671edebd7ff85a5
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jun 13 15:58:43 2009 +0900

    use single space in status area

commit f3ae37ec8b48b8b9da3ad990bde2a08250c7814c
Merge: 5143da2 06ab85c
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jun 13 15:53:23 2009 +0900

    Merge branch 'master' of git://github.com/sanna/ankiqt

commit 5143da21322b1732075211574c7a51024ff484c2
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jun 13 15:25:58 2009 +0900

    show progress of deck/plugin download, don't process events

commit b014b532566d09cc37c95dbd088a6f80a7ec4ef6
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jun 13 04:13:35 2009 +0900

    include platform on mac setup

commit 56d507c22d65e064e0135f5e49bf0b3f39c428cb
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jun 13 03:20:54 2009 +0900

    work around osx not shutting down properly

commit 56e8e4b3ebb8f025fce932a2c15ba6477588bd3c
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jun 13 01:15:33 2009 +0900

    more robust error reporting

commit 222eb7aeff439d1a15ef2576ed3da4df0a6464a5
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jun 12 22:22:53 2009 +0900

    from kakasi & unihan.db from mac distro

commit e508239998b6ca3129c78f0c384d433f75a632b0
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jun 12 22:22:40 2009 +0900

    pass current card to drawquestion/answer filter

commit c21ea725b63e104ac6802025777021a74540deec
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jun 12 22:22:19 2009 +0900

    remove kakasi from readme

commit 1d1ed411f7d9ca263c259033dfe4ce834dcc52b4
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jun 12 20:43:03 2009 +0900

    apply same filters in preview

commit 42a4c21d9c6ecc1aaa9555783aff517663ed0792
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jun 12 20:11:36 2009 +0900

    don't strip all html on cloze, just the misaligned style

commit 20f0d49e42c859c4d5caf510e83fbc149310f402
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jun 12 19:53:24 2009 +0900

    add minimize option for osx

commit 06ab85c446d8641d7cbf62b4c968c95e948b3b09
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Fri Jun 12 08:43:34 2009 +0200

    Updated Swedish translation and reran translation.sh

commit f3e8f6a5dbbf3bcb2def77026c6da868b9fee72f
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jun 12 12:21:07 2009 +0900

    only close deck if downloading deck, not plugin

commit 56d0e20ccaad5273fe8884e008376209a3ed40d8
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jun 12 11:50:08 2009 +0900

    include last modified time in description & plugin area

commit 50275c74f1b97d0bc0dde3a691dea33802c1d2b5
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jun 12 11:00:47 2009 +0900

    do count check inside try block

commit 09e8fe8e339159d09489b410073453585b8ef7b8
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 11 04:56:46 2009 +0900

    don't set fixed width if stats not available

commit 49178bd6ae150fc6bbbafd46eb8946003163d810
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 11 03:01:24 2009 +0900

    make sure move to question only happens once

commit 6297a8c2f51f222943e2c845d5b3ebcae4105c7e
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 11 02:47:26 2009 +0900

    clear audio queue on replay

commit af9e54f0367f5db5492c682329c9c389377ee71c
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 11 01:51:37 2009 +0900

    disable card menu items after plugin load

commit d3eb58073d42bf8867b3a9c958b3757c58040eb6
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jun 10 23:45:50 2009 +0900

    remove obsolote actions

commit 4ceebb4a890aad8cede4396410e6eb98d578d598
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jun 10 23:45:44 2009 +0900

    add filter for styles

commit c9220f9f60f248af0e6882fbd376a5bf80c12495
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jun 10 23:45:32 2009 +0900

    remove old actions, add hooks to enable/disable card items

commit 102e63acf0b546283b88c560bbd8fb8cbf9a2b0b
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jun 10 23:04:15 2009 +0900

    strip all japanese support out in favour of a plugin

commit eeede2008d6aedae262d7aec1030b961b5057386
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jun 10 19:36:37 2009 +0900

    don't dirty cards

commit 93eb5b5a9390ecd6481499db5108b3d38f3b741c
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jun 10 12:39:31 2009 +0900

    alternate colours when suspended

commit 5fc9389e131e5f2096fefdf9859bdb3059b66a88
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jun 10 12:18:26 2009 +0900

    ctrl->alt in shortcut tooltips

commit 76729e0d0465c8e326b8400e7b8fa68d51715ed9
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jun 10 01:38:05 2009 +0900

    fix study options expanding

commit 3104c7aba068356213ea0b3a89df8d007ed24f69
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jun 10 01:25:31 2009 +0900

    don't force max size for study options

commit 5d0e64b3a321bdea24e2051971d94c34d386b31a
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jun 10 01:19:18 2009 +0900

    render deck browser properly with large fonts

commit 7ae0211d22ae57f526b21a0df6ad28fd4f1ab901
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jun 9 08:00:02 2009 +0900

    fix osx layout

commit 3c8c600feb826835538e1ec26fe9597a6d236a11
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jun 9 07:14:14 2009 +0900

    more compact deck browser, default to smaller size

commit b96d4d9da67d07e925b17881d75d7979808adb6b
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jun 9 05:51:09 2009 +0900

    set correct starting screen

commit 90388239f1baac81696f5e4f69cb318da545ffc1
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jun 9 05:49:47 2009 +0900

    fix spacing of answer text on osx, make type answer field smaller

commit e16647c86a8d2ea83d86e5ed8c866d20253825ee
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jun 9 05:05:20 2009 +0900

    adjust # of tabs in model properties

commit c9b4e84d87d55c057e9c5073758c1dd54c6adae9
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jun 9 05:05:14 2009 +0900

    fix cramming

commit ea259d0815c809f88ef1660e90aef2d88a9151e2
Merge: 7fd4f9f c5ff811
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jun 9 04:10:35 2009 +0900

    Merge branch 'master' of git://github.com/scout/ankiqt

commit 7fd4f9f07c26e495ad83ce731c60dc9bb77c0f2a
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jun 9 04:10:13 2009 +0900

    updated spanish translations

commit c5ff8111a9825ea0fad83a83aebec4acdd6ad4e1
Author: Samson Melamed <samson.melamed@gmail.com>
Date:   Mon Jun 8 14:21:22 2009 -0400

    fix height of 'more' dropdown in deck browser on win32 when using alt theme

commit 6c6473762fb1b086f20f9c55738789f4b2db275b
Author: Samson Melamed <samson.melamed@gmail.com>
Date:   Mon Jun 8 14:07:11 2009 -0400

    perform bulk (media) sync after full sync with server

commit 77a8c53e9c1791d7b64eaf4375ed5854d35a82e9
Merge: afc5cb0 e9b41c4
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jun 9 01:40:52 2009 +0900

    Merge branch 'master' of git://github.com/sanna/ankiqt

commit afc5cb0c4cd40b62d9008e6fe2c0de4712277fc0
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jun 9 01:31:27 2009 +0900

    bump version number

commit 37c7b42d4f066c66be6322e8e513ce25cbd08b56
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jun 9 01:14:40 2009 +0900

    fix deck browser spacing on osx

commit 6e7c258b6a1a0ba9751a89d216371abedb8c6636
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jun 9 00:32:14 2009 +0900

    add warning to forget, add scrolling to deck browser, use as much space as possible

commit bafa267c7c34ca7c8ecc5eec6d2996ecdfb59180
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jun 8 23:19:42 2009 +0900

    make sure to deinit guiReset hook in model chooser

commit b5fdca39e73a293c03e7bf4ff1090e01728bd3ed
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jun 8 23:06:48 2009 +0900

    customizable deck order, nicer layout of browser and study options

commit 3bab1b68294970063ca38f8dbea3680af4c6fb44
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jun 8 22:45:16 2009 +0900

    set custom style earlier in initialization

commit 3b97f082e86684b76b67b9cb21de2f4feb04ef43
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jun 8 21:54:24 2009 +0900

    process events before showing combo box

commit d9f4e169fc330765ca16c60552dd93fadc572d94
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jun 8 12:04:20 2009 +0900

    rebuild q/a cache on model properties close

commit e9b41c4aeec7fa50bc2ac81409dba23cfc0a68c2
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Sun Jun 7 19:02:07 2009 +0200

    Updated Swedish translation and reran translation.sh
    Updated Swedish translation and reran translation.sh

commit e67e3320a946822a0c0834cbe5bef5f53f358268
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jun 7 03:20:56 2009 +0900

    don't remove deck from list until deletion confirmed

commit 73bc4812368fa937f472036e8001825b040d3150
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jun 7 02:18:43 2009 +0900

    fix changing model in editor not updating

commit a1d23c3e7b094a38de35e0287437d97e713bcd88
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jun 6 23:16:08 2009 +0900

    switch ctrl+r and shift+ctrl+r

commit 9fe87329cd319b4808e6779875b1281eb5a28c50
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jun 6 23:12:23 2009 +0900

    remove debugging code

commit 576c3bdaf824fa82a38624cd0e02c9766bd02d86
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jun 6 22:36:46 2009 +0900

    bump version

commit dd5b3bacc857ed12ce99668f2c501f7ddb61f1cd
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jun 6 22:27:00 2009 +0900

    if the file is in use, hide from browser but don't forget

commit 8cd6692c8458f92a6a6dd87bcd3ca3bb2650b5f0
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jun 6 22:19:49 2009 +0900

    don't use same card if priority == 0, ensure same card in browser too

commit 39588816b661322efde3fd71deea0e64805b4fee
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jun 6 22:12:41 2009 +0900

    always show the same card after editing current

commit b985424ac3b0d2940c7bb5a431f50c4b1220a47f
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jun 6 21:56:37 2009 +0900

    support filtering question and answer

commit 3a61d2ca72a41f6c6be13e5761ddc137f97b2cc4
Merge: 9b8ad45 283b3fb
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jun 6 17:38:05 2009 +0900

    Merge branch 'master' of git://github.com/sanna/ankiqt

commit 283b3fb6460948915b4b131d06275dee52b770a1
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Fri Jun 5 20:38:42 2009 +0200

    Updated Swedish translation and reran translation.sh
    Updated Swedish translation and reran translation.sh

commit 9b8ad4596fd07be3d05451f3c751f558da8cc9d6
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jun 6 01:13:40 2009 +0900

    use a smaller font instead of italics, it renders badly

commit c4c3bf102a369dab01deb7e149096be7373373e5
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jun 6 00:26:47 2009 +0900

    add shortcuts back to browser

commit fbfbda1a583fc04da3ba145383e1171d4007bf2b
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jun 6 00:21:29 2009 +0900

    new recent decks system, improve deck browser

commit 89783c3e17dd38337f234763b16667fb3eb716e2
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jun 5 22:22:53 2009 +0900

    add recent decks menu back, inhibit startup progress bar

commit 636a6615696e900cd4cff7522045abccda5073ab
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jun 5 16:10:12 2009 +0900

    refresh add cards window & model chooser on gui reset

commit 1001d6b7afe8741f70b8d70da14c6b99a6f61cad
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jun 5 15:33:43 2009 +0900

    load last deck if args set

commit 5e7769bfed032842b70b369aec34ca3eaed2b7f6
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jun 5 15:32:29 2009 +0900

    remove grid from table view

commit ca583a5230469bb33f57b5a8cbe4e79979a98b35
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jun 5 15:28:15 2009 +0900

    force text to black, don't force in add cards status

commit e583da6f88301e4c84cd6bf7c20c5ba1ca7a7e2f
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jun 5 15:21:22 2009 +0900

    give welcome text a margin with a white frame

commit 17a967f5b8fd3a56c87d95865bfa804be6fa560c
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jun 5 15:10:07 2009 +0900

    ensure boxes are drawn around frames on win32

commit 7a9086ffa9cd045fc1531d749fe17bf8ed2b6a9c
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jun 5 14:50:50 2009 +0900

    force the window text to white, too

commit 44c8ee42b3a23cc0ae37fe43ec844d05bb8fab8a
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jun 5 14:46:52 2009 +0900

    respect system theme in study options, deck browser, etc

commit e8fd6922a0dfd98b8cf85d7a7834e353d1c6ace1
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 4 17:42:45 2009 +0900

    patches from richard: fix typo, more robust proxy error checking

commit d0be463cc63f93a845f3ecd3f9b2dff561cd3cb8
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 4 09:52:29 2009 +0900

    remove debugging code

commit 32c8a8867508bdce9d30352c95c00277fca67fe2
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 4 09:48:24 2009 +0900

    align buttons horizontally

commit 5c3f538d0703930d3c3e5e8a232217374b74e8a0
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 4 09:46:06 2009 +0900

    if there's only one deck, load it, not browser

commit abdaf9e9dfccd983cd071a8d588abd3344058372
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 4 09:41:40 2009 +0900

    implement deck browser

commit 0d76d987ca9c5324dd8965f40aba70933456558d
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 4 07:15:17 2009 +0900

    rebind mark card shortcut on osx

commit 105e9448d373ebec0c62039ba7a49dc782f4473c
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 4 07:07:59 2009 +0900

    strip html before generating cloze

commit 4538901d1f95aeaefa54aa7031a027f9750b19bb
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 4 06:02:51 2009 +0900

    restore original model after change model

commit fb0a7da397b3b165ec2769c43281ad6ebfcb30e1
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 4 05:51:14 2009 +0900

    close current deck only if user decides to download a new one

commit 1899b3cca628aae835ce3ee2f79fc1aec79101da
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 4 05:29:55 2009 +0900

    remove win32 auto-updater

commit 8e91cde37738f72419095364e2faba3d5317c931
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jun 4 05:26:25 2009 +0900

    add proxy config & numBackups to preferences, based on richard's plugin

commit e9f08517e9dc2a8aa8f06babb20c71bc39e60ea7
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jun 2 15:59:26 2009 +0900

    updated polish translations

commit 3123951e46d279d90a8afb024a977879ba7e2a15
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jun 2 15:08:28 2009 +0900

    don't update value when downloading

commit d9a3658b5686e8b24ea99601cfdd4153fdcd1b47
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jun 2 03:35:34 2009 +0900

    don't process events in progress bar start/update, it leads to obscure bugs

commit 65a718fdbeac6e3ecd299c97b99d78d38095873a
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jun 2 03:23:06 2009 +0900

    implement full sync downloading

commit b351946f552a65e109cf22c382c4226d7e241521
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jun 2 03:22:40 2009 +0900

    set state = nostate before sync to prevent keystrokes getting in

commit 470a501caa3a9d4e763482e085356f2934d759ca
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jun 2 03:20:28 2009 +0900

    handler errors without 'type' set

commit 619d2bcbaf4f5b57d0d92e9f5b65847feb6056c6
Author: Damien Elmes <git@ichi2.net>
Date:   Sun May 31 01:24:42 2009 +0900

    implement full sync uploading

commit 7a4855233b00c8552e170313d4d466c22ca1d14f
Author: Damien Elmes <git@ichi2.net>
Date:   Sat May 30 19:08:03 2009 +0900

    clear audio queue on question, not answer

commit af67f6fa9c36afce5cc10caf45d6741b3130df84
Author: Damien Elmes <git@ichi2.net>
Date:   Sat May 30 18:22:30 2009 +0900

    hyperlink added cards

commit 23d39daeaa7f0c3edfffed5b00d78d9fe37bd3ff
Author: Damien Elmes <git@ichi2.net>
Date:   Sat May 30 16:41:02 2009 +0900

    add show answer button to type in the answer area

commit 250f1bec8f3b425b6d75163452ce20fdd2434b15
Author: Damien Elmes <git@ichi2.net>
Date:   Sat May 30 10:29:15 2009 +0900

    update priority after marking

commit f54525e9a7e00829d859fb21a72894dca05bec87
Author: Damien Elmes <git@ichi2.net>
Date:   Sat May 30 10:27:54 2009 +0900

    recover gracefully if the deck can't be opened in the sync thread

commit 627da56dfb1d17e8d2a9199a17e680a682580293
Author: Damien Elmes <git@ichi2.net>
Date:   Thu May 28 01:34:50 2009 +0900

    add emilio to the credits

commit 769b4d28a865b6a1466c89f7f57a5955a23134b7
Author: Damien Elmes <git@ichi2.net>
Date:   Wed May 27 04:02:21 2009 +0900

    exclude user events in db progress handler

commit 3335f48b2ea0f2132c817635efa8ad28ebb8a52b
Author: Damien Elmes <git@ichi2.net>
Date:   Wed May 27 01:40:13 2009 +0900

    no, keep numbackups at 30

commit 6d77eb73a26390d21d38850341247cedded18b9b
Author: Damien Elmes <git@ichi2.net>
Date:   Wed May 27 01:38:58 2009 +0900

    work around qt bug based on version

commit 5cd30656b43d97a26e8dec6c35fdeaf88bf242ed
Author: Damien Elmes <git@ichi2.net>
Date:   Wed May 27 01:11:14 2009 +0900

    display the full error in a textarea

commit fded7a85dafb4a70286f7813fafe7c13e42186c6
Author: Damien Elmes <git@ichi2.net>
Date:   Wed May 27 00:59:09 2009 +0900

    set focus on the table view before deleting cards

commit 11353079c0b2d09ecce05aec5b9cd7af1649be6d
Author: Damien Elmes <git@ichi2.net>
Date:   Wed May 27 00:56:43 2009 +0900

    mention how to change user/pass when setting up details

commit 4c0880b9c96dc32a5aa0ac10dcb51c0af26dca4f
Author: Damien Elmes <git@ichi2.net>
Date:   Wed May 27 00:31:17 2009 +0900

    getshared: when connection fails, report full error message

commit 659821c7bb1aa03970db1c6d6953a6148f2d718f
Author: Damien Elmes <git@ichi2.net>
Date:   Thu May 21 20:10:52 2009 +0900

    fix bug when APPDATA not defined

commit 515408d6a5376a37a9838ead46af8ac4947d2525
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Wed May 20 19:56:48 2009 +0200

    Updated Swedish translation, reverted "skift" to Shift, reran translation.sh

commit dbd2ee1f13b0a55152c0a4f392c7982e279ba56a
Author: Damien Elmes <git@ichi2.net>
Date:   Thu May 21 02:12:41 2009 +0900

    default # of backups to 20, make a config option

commit 227435d4628d31c806c242c5b6ab5cfdce1fd761
Author: Damien Elmes <git@ichi2.net>
Date:   Thu May 21 01:10:45 2009 +0900

    add norwegian to prefs

commit 3b86c3b352578ee12463df3ec641c28a75091e94
Author: Damien Elmes <git@ichi2.net>
Date:   Thu May 21 01:09:09 2009 +0900

    fix and update translations

commit 9efc4743d4b0d2f9a049dbffccaaca1d81b734a4
Merge: a73a2e1 d3a40e3
Author: Damien Elmes <git@ichi2.net>
Date:   Thu May 21 01:07:29 2009 +0900

    Merge branch 'master' of git://github.com/sanna/ankiqt

commit a73a2e13aa38638de738de86b275618df29b418b
Author: Damien Elmes <git@ichi2.net>
Date:   Thu May 21 00:59:29 2009 +0900

    Norwegian translations from Lars Lem

commit b6eca72d8812ff484db3a15efb005f2280c8a6a5
Author: Damien Elmes <git@ichi2.net>
Date:   Tue May 19 02:12:00 2009 +0900

    if type in the answer field doesn't exist, disable

commit d3a40e3d6a11852f91bf2bd177b5ede2a34019db
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Sun May 17 19:07:25 2009 +0200

    Updated version string in Swedish translation and reran translation.sh

commit 26e7428f16548075edcf5c88a4207374236825d8
Author: Damien Elmes <git@ichi2.net>
Date:   Sat May 16 05:30:13 2009 +0900

    ignore the key stroke if empty, otherwise accept

commit 7541485e87f82b788ed144f5a4dfc420cfe1cfba
Author: Damien Elmes <git@ichi2.net>
Date:   Sat May 16 05:23:09 2009 +0900

    save the cramming check before closing the deck

commit ac156b8493a7b63ccbd66133de0f27170fec2135
Merge: 3a01a30 039cacb
Author: Damien Elmes <git@ichi2.net>
Date:   Sat May 16 05:12:20 2009 +0900

    Merge branch 'master' of git://github.com/sanna/ankiqt

commit 3a01a30d2b7546ff1ac893480ac00f4bc7e494d3
Author: Damien Elmes <git@ichi2.net>
Date:   Sat May 16 05:10:49 2009 +0900

    remember position when deleting again

commit bb43ed18b02cb0bb8abf85e89442b8ff8a6eb7c8
Author: Damien Elmes <git@ichi2.net>
Date:   Sat May 16 05:00:05 2009 +0900

    remember last selected card wherever possible

commit b3aaf31f8ab7501c6d87501a977b652ff4c98844
Author: Damien Elmes <git@ichi2.net>
Date:   Sat May 16 04:39:24 2009 +0900

    if text is selected, insert latex tags around

commit ceae700fac5e435534a77fd135b866c87287ce5c
Author: Damien Elmes <git@ichi2.net>
Date:   Sat May 16 04:25:43 2009 +0900

    properly select current field in import

commit ff20e23b50a6b1f4f89c49cc189dc6dedf3bffca
Author: Damien Elmes <git@ichi2.net>
Date:   Sat May 16 04:08:15 2009 +0900

    when cramming, don't copy, just use old media dir

commit 6f2f253d96af91315a59b5c5a6bae7ae525aded8
Author: Damien Elmes <git@ichi2.net>
Date:   Sat May 16 03:50:58 2009 +0900

    don't throw error completing empty tag, hide popup, propagate key event

commit 484b15f5922e8b1ac1acef13637b6ccb2e2195ac
Author: Damien Elmes <git@ichi2.net>
Date:   Sat May 16 03:44:05 2009 +0900

    update title bar when refreshing due count

commit 039cacba06f7beb89fc6948128deff95d8301acd
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Fri May 15 20:16:40 2009 +0200

    Updated Swedish translation

commit 4f86ed0d8253c01edf6578da2b3a1704637ce444
Author: Damien Elmes <git@ichi2.net>
Date:   Sat May 16 03:03:44 2009 +0900

    make progress bars less wordy & clickable

commit 3d1fb7025efe1f5a3f0a1e152dfb3496f6f88ca8
Author: Damien Elmes <git@ichi2.net>
Date:   Sat May 16 02:51:05 2009 +0900

    field models should default to not required/unique

commit d205cd760280996153f4f86504ca1aca28760b91
Author: Damien Elmes <git@ichi2.net>
Date:   Sat May 16 02:47:27 2009 +0900

    add quick db check

commit 233406f174a39efd916e473b96cbb605a13380cc
Author: Damien Elmes <git@ichi2.net>
Date:   Sat May 16 00:50:13 2009 +0900

    bump version

commit 5287ef7cb48f21823acf62d76e3851cb8a6efc39
Merge: ad1854b 2c2de42
Author: Damien Elmes <git@ichi2.net>
Date:   Sat May 16 00:49:57 2009 +0900

    Merge branch 'master' of git://github.com/sanna/ankiqt

commit 2c2de42d7a30a97c392c6d6879c92b50d14c89f9
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Thu May 14 14:45:09 2009 +0200

    Updated Swedish translation and reran translation.sh

commit ad1854b71d081541338f66c8d952389b6eb9e5ab
Author: Damien Elmes <git@ichi2.net>
Date:   Thu May 14 20:06:10 2009 +0900

    clarify suspend/unsuspend, add plural to add/delete tags

commit 430251a74894c08e85f9f0ac825e9736817bf362
Author: Damien Elmes <git@ichi2.net>
Date:   Thu May 14 00:25:19 2009 +0900

    add mari egami to about

commit 1c690c547700a0a59d7969797810f66ea9147f82
Author: Damien Elmes <git@ichi2.net>
Date:   Mon May 11 12:07:13 2009 +0900

    translation patch from piotr

commit 67721195fa899b66d1f754b5306c0567c1b909e1
Author: Christian Krause <chkr@plauener.de>
Date:   Sun May 10 14:28:50 2009 +0200

    fix name in about dialog

commit 588a3feead25893edc371f5a3ec1fb6145b6f948
Author: Damien Elmes <git@ichi2.net>
Date:   Sat May 9 07:19:30 2009 +0900

    make sure add items status is read-only, fix colour on osx

commit 3e252d550713cdb491a6bf0c6829f4530ede8a37
Author: Damien Elmes <git@ichi2.net>
Date:   Sat May 9 06:53:58 2009 +0900

    update translations

commit dcc5323771e9f4de4b05fda1ef74494489a2b78b
Author: Damien Elmes <git@ichi2.net>
Date:   Sat May 9 06:53:17 2009 +0900

    bump version again

commit b1e185fb11120c97da49521df46ed464f4cf5bcf
Author: Damien Elmes <git@ichi2.net>
Date:   Sat May 9 06:38:20 2009 +0900

    add f1 shortcut to main window, change menu in browser for consistency

commit aa4621c66c6d72846f51142957e691ff4e218d57
Author: Damien Elmes <git@ichi2.net>
Date:   Sat May 9 06:35:56 2009 +0900

    add shortcuts for filter/sort, fix bug in hiding separators

commit 41b98051b81b6fb2e2fa94f4e9a7ddd95a670186
Author: Damien Elmes <git@ichi2.net>
Date:   Sat May 9 06:24:32 2009 +0900

    don't add separator if no tags available

commit a36738c8ce670de76694363d6ee6a9bfd2de8374
Author: Damien Elmes <git@ichi2.net>
Date:   Sat May 9 06:22:59 2009 +0900

    don't disable add items status area

commit 8582c514aad5c07e3d1826f3dd135f405d611e2c
Author: Damien Elmes <git@ichi2.net>
Date:   Sat May 9 06:18:44 2009 +0900

    make active tags like tag dropdown in browser

commit d5ad53fe54cb3d65fff4ab23e2225cb4d4c67b80
Author: Damien Elmes <git@ichi2.net>
Date:   Sat May 9 06:16:29 2009 +0900

    don't include space in card template name

commit 798fa82ed3121bff5e963fc071e34cffd4d594da
Author: Damien Elmes <git@ichi2.net>
Date:   Sat May 9 06:03:09 2009 +0900

    add deck name to add items/browser

commit 3601e455a45eeaa06e72644afa31c5676543bcd4
Author: Damien Elmes <git@ichi2.net>
Date:   Sat May 9 04:13:30 2009 +0900

    bump version

commit 714b1a414bfc89b1c68f0020447fcdc2e4d83d45
Author: Damien Elmes <git@ichi2.net>
Date:   Sat May 9 04:09:27 2009 +0900

    when suspending/unsuspending, refresh

commit 76a7ea3353d588ce5cfc3f568c652c43fc5626ed
Author: Damien Elmes <git@ichi2.net>
Date:   Sat May 9 03:50:25 2009 +0900

    add suspend and unsuspend operations to browser

commit e1d8c31a1e8594d59050f32db365c955fa0b0a08
Author: Damien Elmes <git@ichi2.net>
Date:   Sat May 9 03:28:47 2009 +0900

    update tags list when tags are changed

commit 02930e571364794acf9ef6d7d2002cdc947113fa
Author: Damien Elmes <git@ichi2.net>
Date:   Sat May 9 02:27:23 2009 +0900

    forget last card when study stats opened

commit f0b7e889ecca81d93fd75b5c342eaa40d11ed47b
Author: Damien Elmes <git@ichi2.net>
Date:   Fri May 8 15:45:33 2009 +0900

    fix bug in chinese translation

commit d0387df5ebc19bf602b9993953bde32f591e93f8
Merge: 5213964 95aefef
Author: Damien Elmes <git@ichi2.net>
Date:   Fri May 8 15:43:51 2009 +0900

    Merge branch 'master' of git://github.com/sanna/ankiqt

commit 52139646dcfff930360e8b10d950864845bc7aa1
Author: Damien Elmes <git@ichi2.net>
Date:   Fri May 8 13:54:09 2009 +0900

    on an unknown error, print full traceback. ensure .data exists

commit 5b14d882e7120b6b444ca885ca21c9759c655eb0
Author: Damien Elmes <git@ichi2.net>
Date:   Thu May 7 19:31:40 2009 +0900

    sort initial add too, as it's not the same as db order

commit 4b1a102f3d5464ac7bf2bfb0a2f08b0e0444f0f3
Author: Damien Elmes <git@ichi2.net>
Date:   Thu May 7 19:31:08 2009 +0900

    sort newly added tags

commit 54d6c7c86b60ebb6f91fcf9c11ea8a5d1a73f2d4
Author: Damien Elmes <git@ichi2.net>
Date:   Thu May 7 17:26:11 2009 +0900

    make sure to update title bar when resetting

commit 95aefef8fe711b01db02ad1526218bddc23e9e03
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Wed May 6 22:28:46 2009 +0200

    Updated Swedish translation and reran translation.sh

commit 26e484db239f81ba05efe14863594aead543f700
Author: Damien Elmes <git@ichi2.net>
Date:   Wed May 6 16:48:08 2009 +0900

    don't need a full rebuild on reschedule

commit 7b0c13d94f12ea5ffebac18426a34fa77ba8799a
Author: Damien Elmes <git@ichi2.net>
Date:   Wed May 6 16:39:54 2009 +0900

    type->is

commit 8ca606dbafb0ce9ca12c3a10070e3d8b5382100c
Author: Damien Elmes <git@ichi2.net>
Date:   Wed May 6 16:07:40 2009 +0900

    bump version

commit 2eaadcfa08281d1066aba7fbbc8f6324d17f229b
Author: Damien Elmes <git@ichi2.net>
Date:   Wed May 6 15:39:33 2009 +0900

    make sync msg box configurable, fix bug in initial->study screen

commit 329caf7f965d22474d57f4647bb4effdb7380be5
Author: Damien Elmes <git@ichi2.net>
Date:   Wed May 6 15:24:28 2009 +0900

    make sure to call hideOrShow() last

commit 1261bb185cb90defa302332235e1fec8322eaa72
Author: Damien Elmes <git@ichi2.net>
Date:   Wed May 6 15:22:01 2009 +0900

    move back to study screen on reset()

commit bc4066f68efe0ca720de00871ce6c7a4730dbd15
Author: Damien Elmes <git@ichi2.net>
Date:   Wed May 6 15:00:54 2009 +0900

    don't fail when trying to update card that's been deleted

commit 0ab355f87ddee776cfa3e9ad667d5c94fbe17a9b
Author: Damien Elmes <git@ichi2.net>
Date:   Wed May 6 14:24:28 2009 +0900

    don't accept space to show answer if type answer mode

commit a9e7ecff12f6c666137c31233dbd304101707ca5
Author: Damien Elmes <git@ichi2.net>
Date:   Wed May 6 14:14:38 2009 +0900

    new learn early handling, add tooltips

commit b715059bfd03bd1e13e6a74552691266ff77931e
Author: Damien Elmes <git@ichi2.net>
Date:   Wed May 6 13:53:14 2009 +0900

    rebuild counts after reschedule

commit 5460e1d820639b35c771249a55c7827982656775
Author: Damien Elmes <git@ichi2.net>
Date:   Wed May 6 13:40:19 2009 +0900

    add filter for due

commit 7c1bce9f43acd6f66c0cd867a9f9e81985545333
Author: Damien Elmes <git@ichi2.net>
Date:   Wed May 6 13:35:55 2009 +0900

    replace _ with space for models/templates too

commit 595dce821b0c59098185e20a6815241624cd74c4
Author: Damien Elmes <git@ichi2.net>
Date:   Wed May 6 13:05:09 2009 +0900

    fix bug deleting current model in deck properties

commit ec80479de4e1520bd2928206baaaf4d4a88c650b
Author: Damien Elmes <git@ichi2.net>
Date:   Wed May 6 12:46:19 2009 +0900

    updated Polish and German from Piotr Kubowicz

commit 72f5087c2ab6e2aba792cab33fcf9535260668dd
Author: Damien Elmes <git@ichi2.net>
Date:   Wed May 6 12:34:47 2009 +0900

    updated mongolian translations from Charlene Barina

commit 620ce8cde2ab0f9873e751579320f03b0e62a07b
Merge: c87bf9a f879efa
Author: Damien Elmes <git@ichi2.net>
Date:   Sun May 3 01:05:04 2009 +0900

    Merge branch 'master' of git://github.com/sanna/ankiqt

commit c87bf9a3b8e3f85fe7326a38c3b7c00c36c9e7e7
Author: Damien Elmes <git@ichi2.net>
Date:   Sat May 2 15:18:29 2009 +0900

    remove unused lock import

commit 0be6b2965d976871ab8a6516afb0544b091e2025
Author: Damien Elmes <git@ichi2.net>
Date:   Sat May 2 15:17:56 2009 +0900

    workaround for setEnabled() recursively calling setBusy()

commit 8ff716be64ba931356630324d17b46edd5c4b809
Author: Damien Elmes <git@ichi2.net>
Date:   Sat May 2 05:42:52 2009 +0900

    catch db access in progress handler

commit ec684b63674ec3794d98ac8f0420d3c6d672867d
Author: Damien Elmes <git@ichi2.net>
Date:   Sat May 2 05:30:50 2009 +0900

    ignore focusout event if in db handler

commit baf3ceeef6698c8265d190a354d9b5096c16faa2
Author: Damien Elmes <git@ichi2.net>
Date:   Sat May 2 04:18:47 2009 +0900

    give full traceback if import fails

commit f879efabc83adfdfe290e8eb29e27433e1392e8a
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Fri May 1 01:04:20 2009 +0200

    Solving conflict in ankiqt_pl_PL.po by reverting it to preconflict stage

commit 09f610ca53b1a52fc798fb224e285129cccb40fd
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Fri May 1 00:41:21 2009 +0200

    Removed duplicate msgstr fron ankiqt_pl_PL.po, updated Swedish translation and reran translation.sh

commit ab1f923387377f2562bc0eda16f0572ebb986863
Author: Damien Elmes <git@ichi2.net>
Date:   Fri May 1 04:36:50 2009 +0900

    set focus on show answer button to avoid double tap

commit ac9b8f96c2e4834dc390ad0d454b711b137c99ec
Merge: 7c6625a 09df5d7
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Apr 30 21:57:26 2009 +0900

    Merge branch 'master' of git://github.com/sanna/ankiqt
    
    Conflicts:
    
    	ankiqt/locale/ankiqt_pl_PL.po

commit 09df5d7bac44d3654f0ee4a70f4fd3dfb7e45173
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Thu Apr 30 11:42:15 2009 +0200

    Updated Swedish translation and reran translation.sh

commit dc25ec8e13db4ccc676f61cd79b3666abc340a6a
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Thu Apr 30 11:40:03 2009 +0200

    Split up two long texts
    
    Split up session options and its tooltip consisting of interlaced html and strings to translate into
    strings that should and need not be translated.

commit 8752499b9037546005e852e3428281ca8cff40f8
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Thu Apr 30 10:35:28 2009 +0200

    Updated Swedish translation and reran translation.sh

commit 39da9392a6d9c58c4b74d899dad26c4cb7b4998a
Merge: 9de5cea d113600
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Thu Apr 30 10:06:57 2009 +0200

    Merge branch 'master' of git://ichi2.net/ankiqt

commit 7c6625ada61c7e1076d7144a46880a9dde847222
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Apr 30 12:13:07 2009 +0900

    modelproperties & translation patch from piotr

commit d113600887a18e8d200a7718eb29546b8415e2ee
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Apr 30 05:25:26 2009 +0900

    model>template in modelproperties

commit b7a3a35c902e0a63bfb5369e5610e79296b2cfaa
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Apr 30 05:23:22 2009 +0900

    fix translations in deckproperties from piotr

commit 17a9088f05a277b330076d360921fd1d80e2c30c
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Apr 30 05:23:09 2009 +0900

    update polish translations from piotr

commit abcb027170912b5d0a4bf071e9ad3a5ade7b321e
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Apr 30 05:13:49 2009 +0900

    bump version

commit c608ed5e4228442aba4f4061bef746af63eda61a
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Apr 30 05:13:26 2009 +0900

    workaround for tag completion breakage on qt 4.5.1

commit 4bfdc04ac0def4a086ca1cedea0ab1ccd35c3d8d
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Apr 29 15:40:37 2009 +0900

    fix exporting packaged decks w/ media on win32

commit a8e055e00e3f8a01f04579ef420f3172bf27e219
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Apr 29 12:55:35 2009 +0900

    remove extra separator from help

commit be93b007ab948ef4cb8347002e4c603c88552dd5
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Apr 29 12:49:49 2009 +0900

    if in the study screen, just refresh instead of moving to congrats

commit 496cab109652c7eee0b129590964871de92d889f
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Apr 29 12:44:14 2009 +0900

    bump version

commit 2915a36a7157c63e6c9ccfcc337449e419669baf
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Apr 29 12:43:43 2009 +0900

    rebuild the queue before start of study, so new card modulus is fixed

commit d5bc2dce0c082b58a776aef66a3e6de01cc624da
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Apr 29 12:38:43 2009 +0900

    remove >> from More

commit e31c98843c8ab2f88bcb039b234e309d771e8864
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Apr 29 12:38:01 2009 +0900

    add tooltips to study options

commit b6305085e8e0921532f971d3ebe3b799f22cfea7
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Apr 29 12:14:36 2009 +0900

    add bury fact option

commit 0ddc1d7d7275518e4cd0c63b929d1ad2ace99730
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Apr 29 11:02:15 2009 +0900

    accept space no matter what is focused, don't focus show answer as faster

commit c9044f6d6432dbacabe9d662eac6e894ccfd0481
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Apr 29 10:06:57 2009 +0900

    add accidentally deleted line

commit c71c2c90c62c108c6d7e30fb6e1c85daf1cfb133
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Apr 29 10:01:31 2009 +0900

    add option to prevent edits while question shown

commit b2c90a2146cb8725cb47f3f5994503514722626c
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Apr 29 09:41:21 2009 +0900

    don't set combobox back to <filter> unless the tag has been changed

commit c58c6d9ca9827235e554858955414d4a59e47ed0
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Apr 29 09:28:55 2009 +0900

    improve filter dropdown box; add icons

commit 94d7a74bca9d6cffdd1dec33438bea4c734b1c61
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Apr 29 07:12:08 2009 +0900

    add object name for type answer field

commit 438c3708737dc68e097907a75bee90a334178142
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Apr 28 18:01:11 2009 +0900

    more chinese translations from GUO Siliang

commit 3827f268a479c82cd462cf5305c7233003bad9b3
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Apr 28 17:58:54 2009 +0900

    tweak wording again

commit 11b3ef833124cc231be2b716dda4760c5569506a
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Apr 28 17:56:35 2009 +0900

    Revert "improve wording in study options page"
    
    This reverts commit 62f154b1b6b0d2f07bfed877b0c33fc5c3e7c983.

commit 94dddb6531f8ba0d2f16ab5675673886decb2bc7
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Apr 28 17:56:01 2009 +0900

    fix images in preview, typo in hook code

commit fde70d80ce039d93a67f1ae866a59f65d3fc8d70
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Apr 28 17:55:42 2009 +0900

    update search when current card deleted

commit 9de5ceaeffcb5af3d3d06832eb5e921b6e0cd992
Merge: ee9edc3 067f94a
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Mon Apr 27 20:09:44 2009 +0200

    Merge branch 'master' of git://ichi2.net/ankiqt

commit 067f94aae22bebbb632b4c828a273f2f4ea888c5
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Apr 25 22:27:16 2009 +0900

    add icon to plist

commit b4b4805a0b56e5e4fd1d2a7861ce36a0855b3ddd
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Apr 25 21:43:34 2009 +0900

    bump version

commit cafe0706249bb122db7605a57b9d186cacad7003
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Apr 25 21:38:18 2009 +0900

    fix reference to isCramming

commit d0f918cdb0334c06e226b0371e22587f0dce1096
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Apr 25 20:06:31 2009 +0900

    add tooltip to study stats

commit 62f154b1b6b0d2f07bfed877b0c33fc5c3e7c983
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Apr 25 19:55:34 2009 +0900

    improve wording in study options page

commit 0b7c8bceccbed94991f8b9d2ee3c082da8c168e1
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Apr 25 19:18:07 2009 +0900

    fix double-click to select

commit 0946a3e0c4bd66a8a377be440d4fc9bcadaad01b
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Apr 25 03:28:35 2009 +0900

    bump version

commit 78f0e25c405f674d45cd5115087af795d4c1d6a7
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Apr 25 03:23:42 2009 +0900

    increase default size of download box, increase lower area size

commit a41cfb88ec2c5e9e75322a4974100bf940870735
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Apr 25 03:18:49 2009 +0900

    update bottom area of downloads when searching

commit 96cac67ea623b152a5d58c1c200ee579dd36291c
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Apr 25 03:16:36 2009 +0900

    set focus on search after downloaded data

commit c32a230766d2dea85f19488a8144be0d19a19917
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Apr 25 03:04:06 2009 +0900

    don't lower tags, it causes problems for foreign characters

commit b1b6d322dff5e5fa56039361fb0f7401f2b6e722
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Apr 25 02:45:11 2009 +0900

    fix startup when no deck available

commit 4fd65c37c5c019ca1995143e9ef15e5225cd4cac
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Apr 25 02:38:16 2009 +0900

    refactor error handler to handle error messages in other threads, mention mplayer

commit 29bbbe0416926ea224323c22ee654e639d1e219e
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Apr 25 02:17:00 2009 +0900

    use <base> instead of munging image urls

commit 840c3549b44d37c63627a1375324f7d049062698
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Apr 25 01:29:07 2009 +0900

    call sys.exit() after exit from main loop so audio thread dies

commit 612eafc64a85b55cf870340db1a4c6aaba6de251
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Apr 25 01:18:44 2009 +0900

    prevent double click except in chinese/japanese models

commit 0534ce5d40dcd7790a8f49978e7f9b83d0c0e61a
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Apr 25 01:16:06 2009 +0900

    don't convert \n to <br> and vice versa in card templates

commit 81a49f70133c6f5cc5cb27f48150a59caddfe46f
Merge: 830c3ae b447899
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Apr 25 01:10:46 2009 +0900

    Merge branch 'master' of git://github.com/sanna/ankiqt

commit 830c3aed101c205343dac8febd281e5f6dd1a84b
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Apr 25 01:10:27 2009 +0900

    import importing on startup

commit ee9edc3e39b78261221b224c77ca7a17d4c228b5
Merge: b447899 ec28744
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Thu Apr 23 18:42:03 2009 +0200

    Merge branch 'master' of git://ichi2.net/ankiqt

commit b44789938fbecdff48e06ab71b773cfcd3d70fcc
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Thu Apr 23 18:13:01 2009 +0200

    Updated Swedish translation and reran translation.sh

commit 4852c4261162d2988bb3bd2003b8475520b853c5
Merge: 3731468 d9d795a
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Thu Apr 23 18:02:39 2009 +0200

    Merge branch 'master' of git://ichi2.net/ankiqt

commit ec287445a59f3473bbb74459768ffe1b3365c216
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Apr 23 17:54:47 2009 +0900

    set reviewing started at start to avoid errors

commit 0c2f62acb568bc7675a90101d06396a6860f08a9
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Apr 23 04:48:46 2009 +0900

    set progress parent on add/remove cards too

commit d9d795af55f2ae8a19f22d5c985e197315f601f7
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Apr 23 04:23:14 2009 +0900

    fix windParent in browser

commit 222e8a93df1b4b8b1558f5f3471b357b7d71a41c
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Apr 23 04:23:01 2009 +0900

    add icons to browser and add card dialogs

commit 92b19171f774020cffccf6a57b4b4ed0ad89b1f9
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Apr 23 04:18:03 2009 +0900

    ensure tag order correct when suspending too

commit ccf96a04e14f737dc12a7b80473072a749a71a13
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Apr 23 04:17:42 2009 +0900

    when marking cards, ensure order is correct

commit 1fe922fed4a32c658db74878a1043bafe7aee65a
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Apr 23 03:54:28 2009 +0900

    prevent import in cramming, warn when editing in cramming

commit af2bd520033bd15ac8de9264070bcd6c7de4e4b8
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Apr 23 03:46:22 2009 +0900

    increase cram randomization speed by a factor of 5, prevent add cards open on cram

commit 2ab8b7a57492ee1f4f32c4cc9e91da51e845828c
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Apr 23 02:30:08 2009 +0900

    generalize tooltips, make sync no contact msg a tooltip

commit 0a1658de249053e636be8e2df2a1ccb45b2ff695
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Apr 23 02:08:12 2009 +0900

    improve sync error message

commit 5540da95ef2314b0088fc0371b132d2ecdfe6390
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Apr 23 02:02:47 2009 +0900

    focus close button after import

commit b3ed9613ac25479109fa443353eb63cdc900ab78
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Apr 23 02:01:58 2009 +0900

    hide group box after importing

commit 16d03239652cb624d392ebf9b82ef233a70850c0
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Apr 23 01:58:53 2009 +0900

    handle randomize progress instead of in libanki

commit a3c5caa5441ad5436da4da8eba8e610a7b1c9e5c
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Apr 23 01:33:49 2009 +0900

    randomize/order when settings changed

commit 763758d43f6e1a441d6413f7b8a636be6cb046e1
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Apr 23 00:32:56 2009 +0900

    rely on setVar() to check if modified

commit c84f97c33ca008f08d0bc2c50ad59d4e71bde92b
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Apr 22 22:11:14 2009 +0900

    Revert "check if anki is already open and prompt user"
    
    This reverts commit a05fc37d9433670e0aed906e1a27c092c31ce478.

commit 93a20e13b6de5ef2338b4ac14f672c277fb50953
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Apr 22 22:11:01 2009 +0900

    fix timer hiding, fix session start time being reset

commit a05fc37d9433670e0aed906e1a27c092c31ce478
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Apr 22 22:10:14 2009 +0900

    check if anki is already open and prompt user

commit 9212d8053f988cf66210c8bf261ce338d52999c5
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Apr 22 21:30:01 2009 +0900

    place no lower limit on number of failed cards

commit 373146827f7aa96dce24226ad0b69024d356a6b2
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Tue Apr 21 00:04:33 2009 +0200

    Updated Swedish and reran translation.sh

commit 1fbad4235aed18bab88e31bf03b0f91787978b90
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Apr 21 02:49:41 2009 +0900

    protect more timers

commit a422ddb57b3a0a0c8eefd26c40dc614d52b4d5c3
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Apr 21 02:16:17 2009 +0900

    experiment with standalone windows

commit 36881da474351e9f840a103052938fdd9258dd68
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Apr 20 23:51:15 2009 +0900

    add charlene to about

commit 97f0e2bb8b24634c7c7759d73c2c3c92d7453581
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Apr 20 23:48:04 2009 +0900

    add mongolian translation from Charlene Barina

commit 0623c6a7010cd38318a7f42ff1b4a1143f900c70
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Sat Apr 18 20:23:09 2009 +0200

    Updated Swedish translation and reran translation.sh

commit fc367de488f6ae0bd2b80911be2541238da927ae
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Apr 19 00:20:56 2009 +0900

    hack to fix latex position until qt4.5 becomes available

commit 5d634e08fc12195bf4f0492733b096e7d5d657bc
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Apr 19 00:10:10 2009 +0900

    fix width for darwin too

commit 550546b79d60169b12d7ddc0834923fb70d1f64a
Merge: 5988bb2 beb7ec0
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Apr 18 23:50:14 2009 +0900

    Merge branch 'master' of git://github.com/sanna/ankiqt

commit 5988bb21b529add718ee1bee78ee7ba508cf3a75
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Apr 18 23:49:38 2009 +0900

    fix tag alignment on win32

commit 183c194a06013155ec84af4ff04dacc54b356f00
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Apr 18 23:44:43 2009 +0900

    bump version

commit fdfac00a5e1c62f269653b88bc2586336b396b8b
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Apr 18 23:44:21 2009 +0900

    fix runhook reference

commit 1da04aca5dec0dcfb83c889913c08c0479489c24
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Apr 18 23:27:01 2009 +0900

    add browser font configurator

commit 091b84956fda6ac6497dc2250f42d90d048c18a0
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Apr 18 19:54:04 2009 +0900

    fix searching when sorting by fact created

commit 966effe37bdff7a290601fdf5dbf748a618d5055
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Apr 18 19:27:32 2009 +0900

    auto-detect filename when importing

commit beb7ec05eda94b0056cfdfd7fb640aa3e13f62f6
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Sat Apr 18 11:41:47 2009 +0200

    Updated Swedish translation and reran translation.sh

commit c2b99e2de633a8ec9edefce892854d036f9f3fe3
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Apr 18 18:20:20 2009 +0900

    add correct over a month to daily stats

commit ef7235bbbf82f45d157ea4da7e227de493104941
Merge: 60baf9e fcba72e
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Sat Apr 18 11:16:34 2009 +0200

    Merge branch 'master' of git://ichi2.net/ankiqt

commit fcba72e40ddb3a49d87a09c53e07fc3b929f9e8b
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Apr 18 05:01:57 2009 +0900

    add shortcut key to close window on osx

commit c19c45ef4ae85c503a9d68e9b11e70cdd5db3e9c
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Apr 18 04:56:14 2009 +0900

    fix inMainWindow()

commit 39dbbe4489e6a5b77bc06dbbbf022e3f84f28c1f
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Apr 18 04:46:22 2009 +0900

    add select all/none/invert buttons to active tags dialog

commit bb876ce3ed51b3c4c0492cfe51a44de73c583634
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Apr 18 03:44:05 2009 +0900

    ignore enter in deck properties

commit a962a9fb51e69f675fef9066d3f10949b7ffd222
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Apr 18 03:27:51 2009 +0900

    document html editor shortcut

commit ef17e3b4c65ee61202281153d76e2632c3fae642
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Apr 18 03:20:54 2009 +0900

    call a hook after creating a field

commit 4d95b3487daaa3daba04fad89e4f3af52bb896d1
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Apr 18 02:41:16 2009 +0900

    scroll to top when adding, keep tags always shown, not tag up on field edit

commit 60baf9efd83d0fa432889c016d60ca6cc92bce40
Merge: c0f494d 783e9ce
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Fri Apr 17 18:53:58 2009 +0200

    Merge branch 'master' of git://ichi2.net/ankiqt

commit e1b7da08e5f22b7d54b58ee1e803eb09c421cf15
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Apr 18 00:59:01 2009 +0900

    show study screen regardless of deck due or not, tweak 'initial'

commit 513a23c251611ddf1b08e980839070f2c433fd05
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Apr 18 00:51:29 2009 +0900

    don't mark deck changed in editor on open

commit 87a86cbdde0ffde55e17d1a2deb179a96ebe36b8
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Apr 18 00:42:55 2009 +0900

    update contributors

commit b15bc9ef61a4d55f46d177f6b72f6305341349ed
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Apr 17 23:19:05 2009 +0900

    delay update of scroll widget, if change timer fires while deleting, delay

commit ba9279c1269e13d1d34b848e8cb1e3c24fd86104
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Apr 17 21:59:57 2009 +0900

    suppress timers in db progress handler, disable UI during progress

commit f45fccb93f13b3f6d103b201a18b6e409961acd1
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Apr 16 17:43:54 2009 +0900

    fix concurrent mod error when deleting card while edit current open

commit 8259347f34d25072e9b808cf159a41533297e3d4
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Apr 16 17:17:16 2009 +0900

    move errorOccurred up the top

commit 783e9ceac9eab1a37ca827b05102aebb76a77b73
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Apr 14 01:32:50 2009 +0900

    fix statusbar corruption

commit 029345e2a67ce6c514996e2abb47fe74a3b53fa7
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Apr 14 01:25:25 2009 +0900

    trailing whitespace

commit c239768d1941878d40ea506f7cf795d518fa9222
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Apr 13 12:43:24 2009 +0900

    add 'sort by fact creation'

commit ecc54ea2221c0c006937de5b195329b3e89596c8
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Apr 13 12:42:55 2009 +0900

    convert "_" to " " in tag list

commit c0f494dd5e54b4d9b8652ae9bbbba6f2ba7d0c3a
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Sun Apr 12 10:24:27 2009 +0200

    Reran translation.sh

commit 17701b27bf3342dc964046d71f97b2c9a459c1c2
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Sun Apr 12 10:23:56 2009 +0200

    Updated Swedish translation

commit e0edd8361973d7f5ec2cbf381567f7d0549d6fd3
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Apr 11 23:26:17 2009 +0900

    Chinese translation from Siliang GUO

commit fc3278a6320900f76aa8a75c37cc183240e31338
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Apr 11 02:36:07 2009 +0900

    bump version

commit 6055f55f6b8f1f7c1ea6348f806dfa348ca7b552
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Apr 11 01:48:08 2009 +0900

    display the proper sync error

commit d6351c666dccd2b2210ddd9764d0fb198e4f6a1b
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Apr 11 01:30:03 2009 +0900

    avoid setting new card/session limit if unchanged

commit 54db92e6abc46992f624f0f0cc122350f109955f
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Apr 11 00:42:23 2009 +0900

    set the background colour in the preview dialog

commit c89356f6f1890645a8e8c993b90e4c01ed26d3ee
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Apr 10 23:28:25 2009 +0900

    only mark deck modified if study options changed

commit 4d8446826a2903f66c89de885a6bacbb4d5467c0
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Apr 10 23:10:15 2009 +0900

    hide/show toolbar items depending on state

commit 35dd5c9c51e275d47dd473915e0fc1a2cf8b3aba
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Apr 10 22:34:47 2009 +0900

    relax sync check from 1 minute to 5 minutes

commit 090161e69febae9c8fa181842e1a17223f7d694f
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Apr 10 22:28:45 2009 +0900

    fix tab order for remaining buttons

commit fd57313d74a858220cc35d8ed2879b5226aa6f4b
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Apr 10 22:26:53 2009 +0900

    Reverting "if add button is focused and fact is complete, add"

commit 98865f8710b060a3e865affb6fee42016922b91a
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Apr 10 22:24:42 2009 +0900

    bundle audio directory when packaging for mplayer

commit adbcf8250111ba2f8e1ad8a2e3e70c925feefbc9
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Apr 10 22:24:31 2009 +0900

    setup module paths before app init

commit 9b178b94b92c8334b0cdaf3f5c1fbad716d61bdf
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Apr 10 16:01:06 2009 +0900

    add mark's latest taiwanese translations, run translate.sh

commit 3819bedaf63495c1edc4d44682312ae70c3e44b1
Merge: 4c47468 ac906e9
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Apr 10 00:16:01 2009 +0900

    Merge branch 'master' of git://github.com/sanna/ankiqt

commit 4c47468974a84a2c4b8a348d44f1c030eb6b981b
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Apr 10 00:15:35 2009 +0900

    import hooks later in init so setup.py doesn't break

commit ac906e9dbcf9e6b3af3848c939183a316bca29d9
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Thu Apr 9 12:41:59 2009 +0200

    Updated Swedish translation (shortcut conflicts) and reran translation.sh

commit a528f71d5c0b3403609855de90bbac20e71276f1
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Apr 9 11:52:00 2009 +0900

    refactor quoteImg()

commit 7c26cf7a366b8908ee5fa66fce6f5da495420098
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Apr 9 11:51:52 2009 +0900

    set the application name for kde

commit 6c3abcf34faa9ceb3133db26a0e3aa07fa4a0764
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Tue Apr 7 10:55:47 2009 +0200

    Updated Swedish translation and reran translation.sh

commit 4c537ce952733e8a0221f333edd8bc37478ab0ef
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Tue Apr 7 10:55:27 2009 +0200

    Plural strings

commit f5bbe02b6cc9097e44d9a105171f0f421dab6930
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Tue Apr 7 08:41:38 2009 +0200

    Updated Swedish translation and reran translation.sh

commit 4d348544f916d7ed0f3ad6ffc7e4716bba96e445
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Tue Apr 7 08:41:06 2009 +0200

    Used ngettext on some strings

commit 42a23a8f55fb82c9ae96d26f52cb7a76c23908b8
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Tue Apr 7 08:32:36 2009 +0200

    Use ungettext instead of ngettext for unicode support

commit 94e17e2a70b61dbd544ea64c2648ce7bf3f94391
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Tue Apr 7 08:01:04 2009 +0200

    Updated Swedish translation and reran translation.sh

commit aa8957a065016d1d83e68c1f2b12178008750ed1
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Tue Apr 7 08:00:26 2009 +0200

    Replace the word editor with browser in one instance

commit a8764d49b1b17a3dc6cec09e0b0a2d720a56e5fe
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Apr 7 11:57:36 2009 +0900

    don't move config.db more than once, bump version number

commit 1e22d8b7c55222149a1b775f4b58e769913fa01d
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Apr 7 11:55:33 2009 +0900

    store editor ordering in deck, not config

commit 56472da83f3c1e0129111f628cb325bb1e34b4dc
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Apr 7 11:32:08 2009 +0900

    update stats in study screen too

commit 9418b62c7af7ff005d0a0daf10477895f72a4f06
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Apr 7 11:31:56 2009 +0900

    if the due counts are disabled, hide in titlebar too

commit 8f2f01340aaf28d92bb0594966c8e4a2cde6dbd0
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Apr 7 09:45:59 2009 +0900

    only trigger on keyboard focus

commit 462b63576a301b6a6a4d25121946ad705f80993a
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Apr 7 09:36:43 2009 +0900

    if add button is focused and fact is complete, add

commit 6c758babe0d4e8ce09aeae8cb78ea0f6e160b648
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Apr 7 08:44:10 2009 +0900

    add ngettext to ankiqt namespace

commit 1567de9469deeeef4aaf926d50afd1870d9eb080
Merge: bdcac01 03e6459
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Apr 7 08:40:28 2009 +0900

    Merge branch 'master' of git://github.com/sanna/ankiqt

commit 03e6459d31bcbd8a1b7049d4e1016b55d7a6faf1
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Tue Apr 7 00:17:21 2009 +0200

    Updated window bar title to Browser for browser (aka editor) and updated Swedish translation

commit 61072a9548868055137cc0e3d4fde88e1eb5f9a6
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Mon Apr 6 20:20:56 2009 +0200

    Updated Swedish translation after rerun of translate.sh

commit bdcac01aaa465ab9b9bcd16dc642e9bfd5535979
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Apr 6 23:34:46 2009 +0900

    hide scrollbars in fact editor, use can use mouse wheel or keyboard

commit 8bef7da5177038710f493be4ed3d45ce152ec4b4
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Apr 6 23:27:58 2009 +0900

    fix bug where two cards are selected after delete

commit ee6eaeeaa6f800fcd769970543589704a6cf3acd
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Apr 6 23:23:49 2009 +0900

    force search updates if not triggered by user

commit 985da34a584113c62640501a2eaed3ebb1e5508e
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Apr 6 20:11:57 2009 +0900

    add status bar tips for many options in main window

commit 0957de364067b6e53173bd12fba41c5ecac3cc54
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Apr 6 13:49:12 2009 +0900

    bump version number

commit 3af34997a8f39a8ab99010bebffc88832f32424d
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Apr 6 13:30:41 2009 +0900

    update translations

commit 14c67e7ab924e326162b4ed23c464664c6fa1ca0
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Apr 6 13:29:24 2009 +0900

    add cram in editor, rename editor to browser

commit 180af193df4b4e78b1d59b0fda0e390f049ae376
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Apr 6 11:43:06 2009 +0900

    new german translation from Michael Keppler

commit ef32247f3037169d7619a9c88ab43bdf3d38f97c
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Apr 6 11:40:50 2009 +0900

    improve searching, don't trigger on space

commit 95d907333ef2ab87b1570976fe36cd2fc96f0348
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Apr 5 13:45:07 2009 +0900

    fix reading update, update colour button in all fact editor instances

commit 1c515a4e3993595743e6a36aa11e562002ce7a67
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Apr 4 13:48:06 2009 +0900

    fix imageformat generation in osx build

commit 6fa907f19876d685fed658a8a94aa7304d1daeab
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Apr 4 13:45:38 2009 +0900

    catch apple odoc load events

commit a6ee73decb3cf0bf30cd9e29944654826dea5048
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Apr 4 12:44:54 2009 +0900

    lowercase search

commit 150b489d26c1c5a319ad21a0beff377f50ff9f4e
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Apr 4 12:44:37 2009 +0900

    use new search interface in libanki

commit cf910c19fa80e8f4615ea23642ff202162124945
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Mar 30 08:33:07 2009 +0900

    sort languages in preferences

commit 92ae00aae32004759b381fd3d9f8084610c9764e
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Mar 29 12:02:18 2009 +0900

    ignore old config.db.old too

commit e6ec61b301139c69f01b4752f20a8574106ec5cb
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Mar 29 11:48:45 2009 +0900

    try to fix upgrade errors

commit f8d005fc3d26ce176937b96e48fffb98528e9dc7
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Mar 29 11:45:51 2009 +0900

    implement suspended highlighting again

commit fe31d6fbd58cf298d76d05d89a1ecd5f841d3612
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Mar 29 11:37:26 2009 +0900

    fix latex location on qt4.5

commit 0d274e74a4ffedb4f0dcb4a1c7a5d7f4adab8721
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Mar 29 11:33:20 2009 +0900

    bump version number

commit 11d8e043566f3f1f67a519b0d18a719559dbdb23
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Mar 29 11:33:08 2009 +0900

    add cardlist update back now that pyqt is fixed

commit a68181726608d6d9fefc688d651952b2f8758cb2
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Mar 29 03:58:00 2009 +0900

    fix card marking

commit 71dd8baaf31f95c2eee0a4f894bd30b46b23ddff
Merge: a601268 fc80265
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Mar 29 03:46:38 2009 +0900

    Merge branch 'master' of git://github.com/sanna/ankiqt

commit a601268d4cc541a80f34fc1ec040c502a097908b
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Mar 28 22:51:38 2009 +0900

    close(not hide) deck windows before deck close, remove stale hooks

commit a48f0fd649602ff4e3f0db90335889e3a7b96ccf
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Mar 28 14:40:22 2009 +0900

    don't do anything if study options clicked twice

commit 3ef4b19b0e98b4d590c48e49635768f6dc1bb6b2
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Mar 28 14:39:09 2009 +0900

    Revert "use a toggle to show study screen change"
    
    This reverts commit 3b9435b1925b180259fd10f1023bf2057b57053b.

commit 3b9435b1925b180259fd10f1023bf2057b57053b
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Mar 28 14:37:05 2009 +0900

    use a toggle to show study screen change

commit fc802658dca6f8c3662e611b24ed48c58eb45834
Merge: a80fe8d 85db7db
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Fri Mar 27 14:28:30 2009 +0100

    Merge branch 'master' of git://ichi2.net/ankiqt

commit 85db7dbf310be533fe622edb8ea3ff58e4a814c9
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Mar 27 11:10:06 2009 +0900

    update sqlalchemy dependency

commit a80fe8d2cfe7af6cf7367370ee44689a27d653bb
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Wed Mar 25 17:32:34 2009 +0100

    Minor tweaks to Swedish translation, and ran translate.sh

commit a6e9b916e2abe944a3f81be82da0d2fa52a5f173
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Wed Mar 25 11:20:01 2009 +0100

    Updated Swedish translation

commit 8cbd182af9fb7418103a8712d04e2d9238421bf6
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Wed Mar 25 11:06:37 2009 +0100

    Revert "taiwanese from mark"
    
    This reverts commit 1e6962928545f3662e6ecb53eac352f7644a14e2.

commit 5266233c018226ecd6dbf748ce4417fbeb37be7b
Merge: ddec815 ca6bc68
Author: Susanna Björverud <Susanna.Bjorverud@telia.com>
Date:   Wed Mar 25 11:02:00 2009 +0100

    Merge branch 'master' of git://ichi2.net/ankiqt
    
    Conflicts:
    	ankiqt/locale/ankiqt_sv_SE.po

commit ca6bc68b13a8436bdf468dbdb8b36ec70e9b124b
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Mar 25 11:09:37 2009 +0900

    remove extra %

commit e9b88dddd63a0e8eec39a71b42c51da9b7ec229a
Author: Susanna Björverud <susanna.bjorverud@telia.com>
Date:   Tue Mar 24 13:27:13 2009 +0100

    Use fmtPercentage to respect current locale decimal point, and split into smaller strings

commit 5c0c44fa0a1e0da4d8cbd7e4466c5ee4248d30f6
Author: Susanna Björverud <susanna.bjorverud@telia.com>
Date:   Tue Mar 24 08:38:57 2009 +0100

    Updating Swedish translation

commit 1e6962928545f3662e6ecb53eac352f7644a14e2
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Mar 25 10:38:25 2009 +0900

    taiwanese from mark

commit aef0e521e8dfccad614b2b3abf03f6cbd8bc6c48
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Mar 24 08:54:23 2009 +0900

    make sure errorOccurred is available early

commit db63fc51bced1b1124d377f16d1846a28810c859
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Mar 24 08:39:22 2009 +0900

    inherit system locale

commit cc67fd398599cfc4e004e79b0e6fc285d208530e
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Mar 24 07:55:16 2009 +0900

    fix version mismatch error

commit e11bd7a680eb039d270599fef14be3895f24d111
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Mar 23 12:09:16 2009 +0900

    make tag dropdown a bit smaller

commit 3985d7267066d8686526562a84df337282282b4d
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Mar 23 12:06:33 2009 +0900

    fix slowdown due to new splitting

commit f467a350b517db45507e57aca110cdcf4fea47f2
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Mar 23 11:03:17 2009 +0900

    change default button in study screen

commit 74d408ece804784035574cc5e47632200e601fe8
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Mar 23 10:46:40 2009 +0900

    update finnish translations, support lazy load of importing trans

commit cf67d66ad5845cc8b4d1b2ef0edc29106afef868
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Mar 23 10:29:45 2009 +0900

    only split on space

commit ff2d1d19645336b52afb9e1d7f64cb2e7ee3f913
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Mar 23 09:47:07 2009 +0900

    change tab order so 'add' comes after tags, make add default except in tags

commit ef11a8fae810d0c3d038fa953e8d642c75339f13
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Mar 22 14:22:34 2009 +0900

    bump version

commit 57f655c1194a283a1935bf92c2fba1c700f81da2
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Mar 22 11:42:14 2009 +0900

    move sync on load to after deck load

commit dee16171eac13a08d17945fd717022e1e809adda
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Mar 22 11:25:43 2009 +0900

    save fields before moving between cards

commit 5eaefa9d474d39f4397c38f195cafe9d26173758
Author: Samson Melamed <samson.melamed@gmail.com>
Date:   Sat Mar 21 16:25:18 2009 -0400

    set minimum size for study options buttons

commit c8e891c5a5f8d75a19677d7b99879e65f35b769e
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Mar 21 13:45:36 2009 +0900

    add victor to contributors

commit 214b4726a8e0e7fad637860cde5373d7e99bdf50
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Mar 21 13:36:28 2009 +0900

    update translations

commit 7b6761b9bf527e6a77a4d6ea9b502b25b4823f2c
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Mar 21 13:24:17 2009 +0900

    use registered plugin name if available

commit d8772cca3f0ba97738049be2d83320a29073ecce
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Mar 21 10:59:47 2009 +0900

    support zipped plugins

commit 02d2f67f6c546b263ed0e59ca97e5e8715f8b8d6
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Mar 21 04:44:09 2009 +0900

    new about window

commit 9ed6e11b1acd8bcbf8bb93465d8ff0921d168903
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Mar 21 03:55:35 2009 +0900

    use utc offset of -1

commit 4c9e57b4b92652b289592ebda8aafe05e8649e83
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Mar 21 03:50:13 2009 +0900

    add sync error msg

commit 5841fbb81c3a9f3f994ab334ec1f79a10d1659c6
Author: Susanna Björverud <susanna.bjorverud@telia.com>
Date:   Fri Mar 20 10:25:45 2009 +0100

    Updated Swedish translation

commit 01965922c1caec2d047a7cfe3db3a9f584f309ce
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Mar 20 14:43:31 2009 +0900

    fix sorting in deck/plugin browser

commit 69e9cb38747eae19c9081511d856200a974cfda6
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Mar 20 14:20:25 2009 +0900

    spaced > delayed

commit 59204fdbcc476195421d7501992cddf199ff6c21
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Mar 20 14:18:31 2009 +0900

    support limiting to single field in find&replace

commit f3164921355dc7c626aeea290922b56dd62a0267
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Mar 20 13:58:43 2009 +0900

    fix tab order problem on answer buttons

commit c98dd04650587a10a9a7b670d1f0640c97613dd1
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Mar 20 13:55:46 2009 +0900

    new translations from susanna

commit 823f7e0103d8d725612e4316ce28fe4665e97062
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Mar 19 11:27:09 2009 +0900

    optimze model tag update

commit f25e336ce5ec132101c9e7fd396f0c2efe4f1dee
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Mar 19 11:11:00 2009 +0900

    don't update card tags for priorities, only update priorities if changed

commit 15105b243823c4c234772b1e2d81f413c4dc6017
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Mar 19 09:20:25 2009 +0900

    display exact date for created and modified

commit 9b828d52c823eaf988d65abbc2f1f7f52367bf9b
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Mar 19 08:57:01 2009 +0900

    Estonian from Meelis Vasser, Portuguese from Jo Nakashima

commit 7ed1c458e8fc394b70847ded23977a4030d96f6a
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Mar 16 06:33:17 2009 +0900

    ensure that anki restarted before check db run

commit 0753cf726d1bb1367cd760ff23fdc2740a8091a2
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Mar 15 07:41:56 2009 +0900

    add option to hide progress

commit 0f293b3e012e2b47cbef3fa0dea22b730727186a
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Mar 15 06:44:28 2009 +0900

    ensure hide is available in help.py

commit 0abe7f1de2f277f4415e1d3de688803bb603d46a
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Mar 15 06:35:56 2009 +0900

    add wait kwarg to call()

commit 60c7afd5aa67f7c3f3c1d273f8545730dd92d970
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Mar 15 02:16:46 2009 +0900

    add shortcut to delete current card

commit 70f70e3d8b21c56b5b541c6de0b580e935b34334
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Mar 14 22:17:59 2009 +0900

    force smaller label size to force wrap on osx

commit 26c4222cfb5bb199e9867b94971355cf2c7658c8
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Mar 14 12:22:17 2009 +0900

    more progress bar tweaks

commit 3e668b893318ff06e6f8c4d4669bb9f240adcacb
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Mar 14 12:07:24 2009 +0900

    fix mac setup.py

commit a91a6d3ad83e816703727a2190ecae2b2fe131e7
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Mar 14 11:59:00 2009 +0900

    standard progress bar on mac

commit 05b6a9047070806d4cd4b82a48ecc03564b0db1f
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Mar 14 11:29:54 2009 +0900

    tweak progress dialog

commit 74b71ea8c6649950de86fc980703beb633785638
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Mar 14 10:45:25 2009 +0900

    delete rename tags from find&replace

commit 11ff28310bf1b1c0792a5500102e4d52287f7c68
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Mar 14 10:33:32 2009 +0900

    splash screen from Xtru

commit 1d855589c1e8fb12a9ddfd72309d8e0b4f458bfb
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Mar 14 09:46:20 2009 +0900

    improve error msg

commit e3830faeedd1758507a9cde00c7d3e72c622022d
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Mar 14 09:37:26 2009 +0900

    set delete in editor to ctrl+delete

commit f9732f9c71b9b6aaebbf1c16d212b8aefaae32ef
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Mar 14 09:35:47 2009 +0900

    make save shortcut work in any dialog

commit 40d187eebcdf136cd97cf8937ac03d05ddfeaeec
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Mar 14 09:24:40 2009 +0900

    implement search in download diags

commit 9d9f3564791e01708963f52cb32c52ac1910ece8
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Mar 14 09:18:45 2009 +0900

    items in download browser shouldn't be editable

commit a910a99a7723f05616c2fc4ff3d2ee428782d825
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Mar 14 05:41:28 2009 +0900

    if model changed, refresh fact editor

commit 26a0e7eaf26ae494c19fe246fe2b42915bef994b
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Mar 14 05:08:26 2009 +0900

    tweak formatting

commit ea6915305be8c4b767e57f1047d1d635c13dedbc
Author: Susanna Björverud <susanna.bjorverud@telia.com>
Date:   Fri Mar 13 10:56:00 2009 +0100

    Split up unwieldy welcome screen msgstring into parts that actually needs translating.

commit 0479c2d7dce8680ff7f06aabf70352aaa9023f97
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Mar 13 18:35:58 2009 +0900

    only call help hide handler if it's a different handler

commit e3d6e3fa29c72947f6bb6eb26044c59d4753f854
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Mar 13 18:32:08 2009 +0900

    refresh fact & cardmodel too

commit 91e89d99e697a219bc5700a5d86827c3284948d0
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Mar 13 07:41:27 2009 +0900

    ensure card is refreshed before expunging

commit 79a6fbf9eb3db28ed0e5a0f9468cb754e59f5ac3
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Mar 13 06:26:50 2009 +0900

    new finnish translations from Niklas

commit 40410e9862e52628f445740f7c38c706a94ab056
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Mar 13 06:24:05 2009 +0900

    show downloads in list, sort by most downloaded

commit d87d48eff9a82d8d415313b47f5de2f0c0a8e216
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Mar 13 06:13:56 2009 +0900

    don't add extra <br> when in final drill

commit 88c8319631fa6c40e39adbd3c638c780f9d43bfb
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Mar 13 06:13:45 2009 +0900

    wrap text in download screen

commit 6d5791c92cd487c13517cdb736c07dfc8df424d4
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Mar 13 06:13:26 2009 +0900

    fix problem dropping unique index

commit 29278af8d97b7d313c523bbb7d3f7a2e57b4ff3b
Merge: 16157e3 2aa6cab
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Mar 12 08:24:54 2009 +0900

    Merge /home/resolve/tmpankiqt

commit 2aa6cab35e48b3cf42d9b6b08a4e6e516c681f8f
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Mar 12 06:17:55 2009 +0900

    cards>facts in importing message

commit 907b711c25712e4fc0cf8517e20ec50d67d19849
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Mar 11 17:02:50 2009 +0900

    no autodefault on display props, fix tab order

commit d6238ee34ceb8ef66a3ced96ea81b233556043f1
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Mar 11 17:02:37 2009 +0900

    binary files on windows

commit 16157e3bd903287fe082ef4ad118f4b554bb6968
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Mar 11 07:24:04 2009 +0900

    fix stretch in editor, disable update until bug fixed

commit 6c33a330d54e05f6ed494662e1364600de7ada0d
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Mar 11 06:22:52 2009 +0900

    make sure file is saved as binary

commit 73337547818668e4a614d9d4d041d8fa3153eeed
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Mar 11 05:39:43 2009 +0900

    update translations

commit 0192374b4a5a1f0834d76274e0ad7f7be22ed14e
Author: Susanna Björverud <susanna.bjorverud@telia.com>
Date:   Tue Mar 10 17:23:41 2009 +0100

    Updating Swedish translation

commit 0c4a892045ffd3adc3b59bfff6ae55e8b5d346e4
Author: Susanna Björverud <susanna.bjorverud@telia.com>
Date:   Tue Mar 10 16:30:55 2009 +0100

    make database optimization return message translatable

commit df5963d8d52a2c57a1d77ff48750965affd7a335
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Mar 11 05:29:31 2009 +0900

    chinese simplified from nick

commit d6293437bb438e64b797f4a9aac0e418e5366de1
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Mar 11 05:24:31 2009 +0900

    remove xxx

commit 2646a40edb1d9b5b38928975ddf900b82e3f8273
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Mar 11 05:19:02 2009 +0900

    deck and plugin sharing

commit 804413604ce028f94a96087abca15aec177949a7
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Mar 10 23:10:17 2009 +0900

    regexp>regular expression

commit b08360ddc657e3a17732caa88c1a67a29071650f
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Mar 10 12:30:30 2009 +0900

    dialog>mainwindow thinko

commit f9cc13bd23c683d963506a52647ba355106af9de
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Mar 7 07:33:48 2009 +0900

    do auto update after plugins loaded

commit a012e78a12cd978cb5d060d93a1db94255662e03
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Mar 7 05:08:21 2009 +0900

    disable lookup shortcuts if not japanese model

commit 8ddb47d967ee984474808da03197e2e17541eec3
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Mar 7 05:04:43 2009 +0900

    add shortcut for html edit

commit 4097c15c794bf7c9f3a155173be4aff0b683a32f
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Mar 7 05:04:32 2009 +0900

    fix splash screen dimensions on win32

commit 4607d42c5f17ec800c1c94d5c9da4386f66d2fe9
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Mar 6 06:06:50 2009 +0900

    fix cloze undo

commit f6a1a8fc639e67259276f1df32aac2f2720709ed
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Mar 6 06:01:51 2009 +0900

    move cloze to f9, remove html editor shortcut

commit 94924dce0792512d0137dc2fb7d618a5762180c8
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Mar 6 05:58:55 2009 +0900

    don't show suspended in active tags

commit 8e621c03fbf12b8eb549ee91c05bf1cd91075cd3
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Mar 6 05:48:48 2009 +0900

    save/restore toolbar state

commit cfaf9388c318c4dc00615c50778b613f88056722
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Mar 6 05:26:40 2009 +0900

    correct wrapping of fields in cloze

commit 1543f92ac4c3bd646304b8468129bc0cd1df6bbc
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Mar 6 05:09:30 2009 +0900

    mention sox 14.1+

commit 7c02fe3c8613637369e4e342b026610c27335a11
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Mar 6 04:57:11 2009 +0900

    if there's a selection, ignore []s in cloze

commit d2528e86055a576cbd27c768f32166dbbd50db28
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Mar 6 04:14:25 2009 +0900

    generate cards in fact order

commit ddec815e20ffed6bdfc8b1d6c7a3fb1f505c3384
Merge: 6f3a92d c6d9d0c
Author: Timo Paulssen <timonator@perpetuum-immobile.de>
Date:   Thu Mar 5 17:22:43 2009 +0100

    Merge branch 'master' of git://ichi2.net/ankiqt

commit c6d9d0ceecf41de1a08942e3fdb46dbadd15921e
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Mar 5 00:26:37 2009 +0900

    pass the diag, not the python obj

commit f3f68a496bdc1db7fc54ff0611ae211004194f99
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Mar 5 00:22:52 2009 +0900

    bugfix

commit d53ac03b7b0ca53ab95e8e4dceaf064b6c1acda5
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Mar 4 20:50:10 2009 +0900

    layered progress windows

commit 6a8a88dfc65edcbab5ba6647e7204a85a7d7c36b
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Mar 4 20:50:03 2009 +0900

    <select tag> -> all cards

commit 9033dd8afc475f68905d56a81aa684d43f43c430
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Mar 4 10:09:57 2009 +0900

    update splash screen

commit 6f3a92df197302070c6e90da5f8aa3b4cb550264
Author: Susanna Björverud <susanna.bjorverud@telia.com>
Date:   Sun Mar 1 19:56:22 2009 +0100

    Updated Swedish translation.

commit e979efb96e21028082dc4ba56b2c0fcf3df95ab1
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Mar 1 15:18:02 2009 +0900

    update translations

commit c0ac26bba7d44ada9955bfa8289b1d9c17c98d6a
Author: Susanna Björverud <susanna.bjorverud@telia.com>
Date:   Sat Feb 28 23:03:30 2009 +0100

    Committed Swedish translation by Susanna Bjöverud.

commit 8a953e0e99c0bd94a462fd0e30386163c65c9cf4
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Feb 26 17:54:03 2009 +0900

    ensure process bar pops up quickly

commit 4155a8f562177ae20c2f1a5cf62fee9aa660a16a
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Feb 26 17:02:45 2009 +0900

    make sure to update card tags if deck props modified

commit 44412c72e4b97c0ae094e91eb229988a54470b4a
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Feb 26 03:16:18 2009 +0900

    make sure splash is shown on win32, use finish() instead of hide

commit 3183fd29855afbbf465586acf0603e0fc9406835
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Feb 26 03:06:20 2009 +0900

    work around firefox png problems, revert previous change

commit f6280eb4fbf26f8ae76aaa6b5c51dedfe278149b
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Feb 26 02:45:53 2009 +0900

    favour url over image

commit d1e8a1d18a126318d38fa637c7d86c63002ac99d
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Feb 26 01:06:21 2009 +0900

    fix open online when no initial password

commit 1e9c3ff253885700c1e4ff2e068980b02ec916f2
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Feb 26 00:49:41 2009 +0900

    better sync failure message, don't prompt for save if open online fails

commit c00850e011b0486010f383530cf4ecbb2a83678f
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Feb 25 23:51:24 2009 +0900

    keep suspended tags even if not in deck

commit 62925e2a40cdda72b2ee86de5a259c14d389cab4
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Feb 25 23:37:40 2009 +0900

    update translations

commit 35e28717d3a3ea6e7729e0f162dfde79b0d211ce
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Feb 25 23:33:12 2009 +0900

    hide splash before main window shown

commit 579802303dbb5b6267dbf5566c2483127fa07bec
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Feb 25 23:30:41 2009 +0900

    splash screen

commit b161a09d71dd03b5da4ff40dab0dd7036b919859
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Feb 25 23:10:58 2009 +0900

    make <select tag> a bit bigger for osx

commit 5bad0fb87909da9733678efc003d1b81805d53f4
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Feb 25 22:54:37 2009 +0900

    copy plugins dir on upgrade

commit 74e78e66231710440dbc4e8086cbdb3ab217dda3
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Feb 25 22:54:26 2009 +0900

    recognise .anki extension on osx

commit 2f656397fdefe8df8509a5526c9760d9484cf8f3
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Feb 24 01:23:01 2009 +0900

    update readme

commit 594d8889934594719117652bf3b3b07da0a92ef8
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Feb 24 01:16:09 2009 +0900

    fix suspending of current fact

commit 1410402ce81d21090d9b49c4aa453bdc4d5f4176
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Feb 24 01:12:06 2009 +0900

    add progress bar to deck & model props, add max=0

commit 47c844ce1b0a72255637dc4f2d3971fce605fa6c
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Feb 23 23:36:47 2009 +0900

    remove ... from new

commit 0304b9c4f4a94eb9183370a290b171cbadf45919
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Feb 22 20:13:17 2009 +0900

    remove obsolete cloze undo code

commit c17cec93aa4eb7d5bb93a9c9a9500b3ee8123426
Author: Timo Paulssen <timonator@perpetuum-immobile.de>
Date:   Sat Feb 21 12:30:09 2009 +0100

    Added a notification if the forms module is not generated yet.
    
    This script should IMO not attempt to build the interface by itself, as
    anki may be installed system-wide and the permissions wouldn't be enough.

commit e9ecde64331d6dbe41e2e12a813c9bcc46bfb122
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Feb 21 18:55:37 2009 +0900

    fix status bar & sync on open

commit efae6f64d8caa8618476686bd2d0595eea8d0273
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Feb 21 18:46:59 2009 +0900

    update priorities in deck props if they've changed

commit 92482e31672e9182a7a8d256e1b5d23b9de1c1a3
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Feb 21 18:37:03 2009 +0900

    refactor graphs into class

commit f763a3d06bf1a0eaa8db74726fa9c0045b3804c4
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Feb 20 17:31:33 2009 +0900

    only unset cursor if set

commit e7f64eab1c475e3c1c98560bcb290482833671b5
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Feb 20 00:04:07 2009 +0900

    don't reset priorities unless instructed

commit e8e5b11477efd16e6765ef561de96cc0d36d04e6
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Feb 19 15:58:29 2009 +0900

    after a tag or fact is modified, update the tag cache

commit c70a8d1b55bb66d1baeede81b22537e496475737
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Feb 19 15:58:04 2009 +0900

    move tag search to libanki, remove quotes from tag search

commit 7f0832fd6104fcbb463621be8713651aaaee61ac
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Feb 19 15:56:55 2009 +0900

    db busy handler & busy cursor

commit a62799613e823ab6bb6513af1cbd307bc83ced8b
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Feb 19 15:56:07 2009 +0900

    all tags, not just user tags, in tag completer

commit cafd1959b4935d939eee6a783c9c42f645dded20
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Feb 19 15:55:13 2009 +0900

    progress dialog for active tags

commit a405a738971dcfde30e62934c5d4d30c875d67d9
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Feb 19 15:50:29 2009 +0900

    change progress bar style early to prevent qpainterpath/arcto errors

commit e03b0bf4f52bb0bc9fce999819a278e1fe37bee7
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Feb 18 00:41:43 2009 +0900

    after opening online, interactive=False

commit aa4b7cc56fbb63cabed914c2f70bdeb77f366dc1
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Feb 18 00:27:44 2009 +0900

    let alt theme work on darwin again

commit 98db2f05ce8b4d8f9c889c41682a6ae3cee8ce46
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Feb 18 00:27:05 2009 +0900

    fix crash on status bar

commit 31427a292663eaa180bc65db34280094bb6c68dc
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Feb 17 23:06:02 2009 +0900

    add brazillian portuguese translation from Jo Nakashima

commit 964e41f790839f8b0c6c4f046ef53eeb44d8cd39
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Feb 15 21:08:43 2009 +0900

    update readme

commit 67fc768196973fd5db11aa0ba928359462d27f6e
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Feb 15 21:07:50 2009 +0900

    no permanent widgets, fix timer being shown at wrong time

commit 43f60b92c86519bb11957080f84c007200419acf
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Feb 15 20:40:39 2009 +0900

    add warning about saving, fix statusbar transient messages

commit 473b4d326f17d191520a9099b0b55eae81d0a080
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Feb 15 15:52:58 2009 +0900

    provide correct parent to qcolordialog

commit af26ea2000c9bedcb92f02886da8c79bfe6d8992
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Feb 15 15:51:04 2009 +0900

    update tooltips to make emacs-style keybindings clearer

commit ed86beceb709ccf89cfa64793a9a03af0f24bd98
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Feb 15 00:09:48 2009 +0900

    no need to alter shortcuts anymore

commit ad80548f19eeef8f68df3bc1ebb782bce500568a
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Feb 15 00:08:45 2009 +0900

    disable some commands when not in main window, allow command+w from any window

commit 8c8da8dedc54673ac3d1b7774ec30c7609bf3a62
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Feb 14 23:02:25 2009 +0900

    bigger 'type in the answer' button

commit 348dd829050919e77b5745235c2643713dc5e03f
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Feb 14 20:22:11 2009 +0900

    prevent progress updates from other threads

commit 81f5bb0d547fbb36b91a659be6e04fa3ffa01116
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Feb 14 20:08:50 2009 +0900

    fully reset review early when study screen opened

commit cc2eb6761aa2c14934693405bfc23ac2922cb03e
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Feb 14 20:04:35 2009 +0900

    fix tab order of study options

commit ae5a8b918aeb89f2aaf8f7197cae373e83e2af89
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Feb 14 19:47:44 2009 +0900

    different columns in editor, more use of space, more
    
    - space between lines smaller
    - changing the sort field will change the last column
    - the last column size is adjustable (use the rightmost slider)

commit b32cc953d10056e55adc3b9c747c4c76d003029e
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Feb 14 03:06:07 2009 +0900

    add separators to plugin menus

commit 1bfa5f7737797d225e2b2999c42e4eaf0e03a992
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Feb 14 02:04:02 2009 +0900

    make sure to update fields after find+replace

commit e620c8ebed2b88726e70b24b23f114eb0777b3c7
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Feb 14 01:11:13 2009 +0900

    add change report to find&replace

commit 6e3a4b67d391ad05d0414b8d39339c7bd60f79e6
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Feb 14 01:07:18 2009 +0900

    add help & fix tab order of find&replace

commit 1915fb053a96c7bd9f8338aef21f8d0f1c5dc62a
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Feb 14 00:25:18 2009 +0900

    after save&edit, refresh

commit c86647eee0f8bb36e1a6353bed7f1184ff3aa23f
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Feb 13 22:21:15 2009 +0900

    fix study screen when larger font used

commit 450d4ed3540314aa0c1c90385433bf294250976d
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Feb 13 21:06:22 2009 +0900

    find & replace

commit 7564ddec4009a908b719238dd31752239911653e
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Feb 10 01:24:34 2009 +0900

    make sure new lines have a space

commit dca34dfc48a4752d7b2aed312d80ab41643dda2f
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Feb 9 23:56:42 2009 +0900

    tweak tag list handling

commit 9233fd1d66231780deb0ffff4b9f25d03545739b
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Feb 9 22:12:29 2009 +0900

    only show custom handling if modified

commit 987a761a4b416ed68938f4d2282d1ef3b0cbce9b
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Feb 9 21:59:22 2009 +0900

    fix esc on edit current

commit c7f4e32f01ad8ad7c5d9f0475492349a275076c8
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Feb 9 21:57:26 2009 +0900

    don't set modified unless tags have changed

commit 049f38999b77077b3172f82154ff34dbabdb017b
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Feb 9 21:52:59 2009 +0900

    add select facts back, change 'generate cards' shortcut

commit b5358c12646d88e8176cc35eb46dab516de7c849
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Feb 9 20:35:57 2009 +0900

    limit generate cards to one model at a time

commit b11bbfbdbd28ae86bb658a0cb734d46b8738ff50
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Feb 9 20:21:15 2009 +0900

    add card model tags back

commit 1cd108b86c4528eb16bb40944a95c99313267436
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Feb 9 20:13:25 2009 +0900

    fix tag editor

commit 6a42ff99f095eff3414e9716164aa316e08fa9df
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Feb 9 18:19:05 2009 +0900

    don't force timer to a certain size

commit 41f1eba87acf092ed34094fd1277049f4c3bd888
Merge: 60a5f67 737c13e
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Feb 9 18:16:09 2009 +0900

    Merge branch 'master' of git://github.com/scout/ankiqt

commit 60a5f6782c65a46a0b30a52dfd35cf05520b75de
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Feb 9 18:15:38 2009 +0900

    change cloze tooltip

commit eb7620eb76475ab87397e2b5d359400fa1c9a2ee
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Feb 9 17:15:58 2009 +0900

    use square brackets, select to make cloze

commit c10ea4f255fddf3314cc6b67edb9cc9c0578bc1d
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Feb 9 16:49:11 2009 +0900

    improved colour support

commit ed30a369166de416932572dc9e6d84112fda736a
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Feb 8 20:35:28 2009 +0900

    start work on improved colour choosing

commit 8484bcc6538f997d4d04b89633bc876291e4d21a
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Feb 8 16:30:24 2009 +0900

    don't clear selection either

commit 4d4fb8adba68927b66b075b6f0571d817121da98
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Feb 8 16:28:26 2009 +0900

    make setting colour work if there's no selection

commit 737c13eb70e09423f88c34f44650e0124aa1fe89
Author: Samson Melamed <samson.melamed@gmail.com>
Date:   Sat Feb 7 16:05:43 2009 -0500

    fix show answer button width on win32

commit 99f9f9cc401c0b65fbcc5838eb47fdff8e732e09
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Feb 8 05:05:50 2009 +0900

    set fixed button height for win32

commit 177ab82ed176a930a111ceb6b671a44502962124
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Feb 8 04:42:03 2009 +0900

    make sure undo done only if both q and a are the same

commit b47ad74d2a22d2dd7d680e5a1761c455d6303745
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Feb 8 04:28:17 2009 +0900

    don't stop spaces in card models/models

commit 24789281a541f1774854b5f2f47bbff623075b7a
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Feb 8 03:21:00 2009 +0900

    search for multiple strings or tags in editor, more speedups

commit 65d6194760f108fe51f88b0f5741adce510fe135
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Feb 8 00:02:41 2009 +0900

    add help link

commit 828f9fa5aa2e90001370ea0c06ec312aef3b10cd
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Feb 7 23:42:04 2009 +0900

    improved cloze - descriptions, colours

commit 6b0e1982ffbbc8f4f43afc8a2847ade578bbd137
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Feb 7 22:20:28 2009 +0900

    support cloze deletion

commit 61c30a9d29f4f23cf86a2c36a07f45876aad3cae
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Feb 7 21:46:59 2009 +0900

    prevent window from growing when review started

commit 3591560e61e94428c01cff363127b14397618ffd
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Feb 7 21:35:40 2009 +0900

    new failed card handling selection

commit 17eb9015b154cc6fa4b69d9103b37e9e342e55cb
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Feb 7 16:51:23 2009 +0900

    only check sync status if sync started

commit 71a5f645a882ea4e46a543af8c99758eceee20d1
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Feb 7 16:38:49 2009 +0900

    force save on close if sync set

commit 301c8476a1b60ac1574c32dd88303dbcbe8fe4ab
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Feb 7 16:27:28 2009 +0900

    only sync if deck sync set

commit 9363e5f6f40bd99bbbdbfaa2b70cf0af6c95f9bc
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Feb 7 16:20:49 2009 +0900

    hide & show study option

commit 412ce26b8c48b42d8b4fb3c6fe9f5484de181628
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Feb 7 16:19:11 2009 +0900

    add a bit more space to study options

commit 73221680c87d8bfe2ca220411d05055e49214fd0
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Feb 6 23:27:30 2009 +0900

    index sort, remove select facts, more
    
    - fetch id in advance, everything else dynamically
    - build index for selected column
    - remove 'select facts', it's no longer required
    - remove 'priority', it's not used
    - update icons

commit 91ffc61752b956e89b847f0592a473c4d3f38393
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Feb 6 19:30:59 2009 +0900

    when closing all windows, close the help bar too

commit b9676149a32f022957dfd0dfa2705485377f8c04
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Feb 6 19:19:16 2009 +0900

    make sure help doesn't pop back up w/ card stats

commit 0af13cb550b6db03a4073d6aa9f5774709df2fd8
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Feb 6 19:12:21 2009 +0900

    refresh after undo/redo, don't reset session on active tag change

commit 1caa9c4d6f02efdb420916a4cb66ff6266fbf3d0
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Feb 6 18:56:16 2009 +0900

    make help correct size for deck stats on osx

commit 11d0b2d274122aa7c664b70674b71bf7021759f6
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Feb 6 18:44:00 2009 +0900

    don't strip html on read/write

commit 0224f077944f572d0eda471b28349abf661d48a6
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Feb 6 18:41:23 2009 +0900

    display deck opt message in kb

commit 6c975bbdd5e6e378a0845f155bdbad7e3ad69beb
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Feb 6 18:37:01 2009 +0900

    fix recording window jiggle, add debug mode to mac build scripts

commit 0977c50a0c87dd2a10eabcd7accee10594939dac
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Feb 6 17:27:52 2009 +0900

    improve layout

commit f5f68a8603b8ecb894c35a1dfa461886a961f2fe
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Feb 6 16:01:46 2009 +0900

    framed/centered congrats/studyopts, bigger type answer, timer spacing

commit 4dea5d284ac1a0a3651f3b5e38338f62174810f9
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Feb 6 01:27:02 2009 +0900

    update dynamic indices on cram & study opt change

commit a234c7b3ba2c733aa113b31fba42220143509538
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Feb 5 16:41:44 2009 +0900

    Reverting "add 'make due now' option"

commit 60d4f6d136f0b1189dd15cf0cdfa685cfffb30e4
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Feb 5 12:22:33 2009 +0900

    when changing a model, toggle options so duplicates impossible

commit 694310ba6c9c3563595fd3c821e12676948c705b
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Feb 5 11:58:01 2009 +0900

    add 'make due now' option

commit 56e6b17e11c1fef49052e08ffab4186dbd19cdb1
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Feb 4 22:05:04 2009 +0900

    remove some obsolete actions, fix setting progress parent

commit 13c5a398b3bdf5bb84f2a06c35d1e54d7aed702c
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Feb 4 21:44:41 2009 +0900

    changing model support

commit fea4003ff724afbc39d92b1871606e4f3c5f8084
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Feb 4 21:44:24 2009 +0900

    supprot specifying the progress window parent

commit 20d45e01349cb5a6223eb861f594837fc9db5983
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Feb 4 21:37:59 2009 +0900

    hideable icons in fact editor

commit d2e74183b03ac7b8880e940b16e82fb94037db33
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Feb 4 21:10:02 2009 +0900

    remove .po that was in wrong location

commit ba25cc028b3b3ad6b314b5579efe1da9cf613317
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Feb 4 13:20:30 2009 +0900

    if the image has an alpha channel, use a png instead

commit 625d1885c93e21517bf9ecd308ec406e53cd860d
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Feb 2 16:15:56 2009 +0900

    move win32 config location

commit a85d7a57d6d64a32a58145c8d29da41de1896c87
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Feb 2 15:53:38 2009 +0900

    new spanish translations

commit 50fa42605896838bca57081a9574711f411ceb9e
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jan 31 16:04:19 2009 +0900

    make sure deck is saved before cram, fix bug with no matching tags

commit dd83f7a2ded91f2611d5c3589c73e1ae0a4d6b96
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jan 31 05:15:36 2009 +0900

    add toolbar action, remember choice

commit fb840502ccc994dd05cf6bbaa0b9440cfb38b9b0
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jan 31 04:52:17 2009 +0900

    don't remember sort index if it's deck specific

commit 928bc99e1a8c4f68ccef868ca11398cb396feb3b
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jan 31 04:49:17 2009 +0900

    fix preview & identation

commit 8180996c16b7b4467fb293d72044bf7b66c9f6c6
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jan 31 04:45:27 2009 +0900

    don't die in editor if there's no current card

commit fb4460c0ec0ef8a787a7e81487f7ee6636f4d2f2
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jan 31 04:15:59 2009 +0900

    use full new card count, ignore spacing

commit b0cac63056539bd9446552ee0de41f6ea6878934
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jan 31 03:40:08 2009 +0900

    seen & non-jouyou kanji

commit 2845bb2db2d0dc832bd85cc0e6a59b9fc3a02a43
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jan 31 03:11:04 2009 +0900

    welcome screen > study options, disable timer when reviewing early

commit 4945313bfa579fd9afc09f48958244357548b669
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jan 31 02:21:08 2009 +0900

    background colour per card, tweak ans buttons

commit 85cd67fab44a3891fd34e7ff611aec654d576979
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jan 29 17:11:39 2009 +0900

    increase spacing between 'more' and 'help'

commit aa15cbeff005a679161d76c7087ab7ccc5bf6961
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jan 29 17:08:14 2009 +0900

    select current card's model if available

commit 75868490cfb793455953127597865d191db9259b
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jan 29 16:58:49 2009 +0900

    ignore blank answer

commit 8e13b637a81e2edaf5e654ea468504324e363d44
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jan 25 15:04:50 2009 +0900

    disable repeat audio in study options screen

commit cf8617b48e283fb97d68693a4a2ea218703dc510
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jan 25 14:48:56 2009 +0900

    reset session when study options opened

commit 27a78bbde66c7146f7dd4b1447722da09fd86fc1
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jan 25 00:23:17 2009 +0900

    improved type in answer support from Bernhard Ibertsberger

commit 5e1c98d516935cf4b4564c667e11040b291d6a06
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jan 24 21:25:55 2009 +0900

    workaround for import into new deck on win32

commit 582f89155d2f027316ca5119d0a99d46a9e62050
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jan 24 18:01:45 2009 +0900

    convert svgs to png on import

commit a7e6ffe73d45759f9e33e2c01c0c99f1ea601a15
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jan 24 16:43:13 2009 +0900

    don't force button height

commit 3ddd0d38dea30ed735981b40f80384979a9a9ea9
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jan 24 16:05:27 2009 +0900

    update chinese translations, update translate script

commit 550985984ab45a965393dada6d86e96164caa2d1
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jan 24 04:24:21 2009 +0900

    mention add shortcut

commit dc84ea847d9e2ecd4189a61dd2b9037e2406296f
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jan 24 04:21:45 2009 +0900

    save and sync > sync

commit c639ac5084a68a77b4b4eedab338b42be388fe5e
Author: Damien Elmes <git@ichi2.net>
Date:   Sat Jan 24 04:20:27 2009 +0900

    default to sync on open/close

commit 732cf24104503c0ae1eeded9935d50be8b9f5524
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jan 23 18:11:00 2009 +0900

    new translations from piotr

commit 8787c30085d0ddb3719397c4ac1615f01bf2c0de
Author: Damien Elmes <git@ichi2.net>
Date:   Fri Jan 23 15:39:05 2009 +0900

    new translations from mark

commit 088566641326dddc99353a6c58c89fc064465ba4
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jan 22 17:05:03 2009 +0900

    tweak readme

commit eaf0be9bed21c69dd0aadaf4335fd4f22a18a223
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jan 22 17:01:45 2009 +0900

    fix non-unicode 'something' warning

commit 44e9859c53cd575150bc86f229ca8dbdf4f228e6
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jan 22 16:59:52 2009 +0900

    fix updateCard() index error in editor

commit f8c80dc03db486bce25f9f9f7bbce2e6b51d8701
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jan 22 04:10:25 2009 +0900

    only compare deck paths if path available

commit 94f36ac4f2245fa861181bcb139a886b425eba1c
Author: Damien Elmes <git@ichi2.net>
Date:   Thu Jan 22 02:36:45 2009 +0900

    don't try to update if deck is currently closed (such as on sync)

commit 6fac1e047f2b0129dc76a2f8df93c8082ce39465
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jan 21 21:35:07 2009 +0900

    update translations

commit 9e7edcdcc246b0741528ea3b6881a1556f9559f2
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jan 21 21:34:20 2009 +0900

    tweak study screen

commit 14127f336241cce269ed946ac20d1822abf30186
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jan 21 21:17:36 2009 +0900

    bump version

commit a645b8ef406b8ce988f689842cacd332d65e5adc
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jan 21 18:07:00 2009 +0900

    remember current card on reverse, don't reset current card on delete etc

commit f89c8e97a0a32bd28c36d9777bba4106757b17dc
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jan 21 04:22:33 2009 +0900

    add missing font family/size in editor

commit 464795b6c72c65e2ff7f2e42e58bf322d89ca1e5
Author: Samson Melamed <samson.melamed@gmail.com>
Date:   Tue Jan 20 14:17:03 2009 -0500

    add reverse order option to editor

commit 9810c36b4562d5cf75a60cf860ba07e7b7d0396e
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jan 21 02:11:11 2009 +0900

    limit max minute limit

commit 42108c90b90cb55cd6b371688c1f04f1535dce4d
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jan 21 02:05:23 2009 +0900

    fix saveas as same filename

commit 8d3220ad3db3de312da9a8a5c26754407547d3d2
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jan 21 01:48:22 2009 +0900

    preserve text cursor when writing fields

commit a652a0979d551dfc15159ab1cd96a86193601f06
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jan 21 01:22:17 2009 +0900

    type in the answer limits to a single field now

commit 75b865d52e0b9ef3b67e36dd129f71c710612ace
Author: Damien Elmes <git@ichi2.net>
Date:   Wed Jan 21 00:26:55 2009 +0900

    rescheduling support

commit 20dc8d6ae15bfd00bef25427f9c68b0c25a567ba
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jan 20 23:34:25 2009 +0900

    new translations from Piotr

commit 57f4f65eefd6b931268eddab5e43b8b59ecef0d5
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jan 20 02:16:28 2009 +0900

    wider main window for mac

commit e58e5b6b9dd04f99a7127f467ec7d6269195ecb1
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jan 20 01:56:20 2009 +0900

    disable 'review early' when study screen hit

commit 2cd8a92584faf219124bce7a381e29836ad573a2
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jan 20 01:15:33 2009 +0900

    redraw status every minute

commit bb2c135015283bba949ba2817afc0b22a1f13b65
Author: Damien Elmes <git@ichi2.net>
Date:   Tue Jan 20 00:51:18 2009 +0900

    add chinese traditional to prefs

commit b73bdcc4dfb4cd77062806580e21f1a74c05f6b6
Merge: c175109 ef7cdf2
Author: Damien Elmes <git@ichi2.net>
Date:   Mon Jan 19 01:56:50 2009 +0900

    Merge branch 'master' of git://github.com/timo/ankiqt

commit ef7cdf20e27a1439278b48ce91ad9efe4269ef1b
Author: Niklas Laxström <niklas.laxstrom@gmail.com>
Date:   Sun Jan 18 17:42:45 2009 +0100

    New Finnish translations from Niklas Laxström.

commit c175109f70288baf26dd01ca7b5fbf4451e15420
Author: Damien Elmes <git@ichi2.net>
Date:   Sun Jan 18 15:03:44 2009 +0900

    wrap

commit af00f229f6849f5efcb6cca50ff6f5f09e39cdb4
Merge: 14af7bc e42eaaf
Author: Samson Melamed <samson.melamed@gmail.com>
Date:   Sun Jan 18 01:00:18 2009 -0500

    Merge commit 'resolve/master'

commit 14af7bc5a20648d90e853ebba9c11723d545393b
Author: Samson Melamed <samson.melamed@gmail.com>
Date:   Sun Jan 18 00:58:06 2009 -0500

    report Mozilla-compatible User-Agent

commit e42eaafbd5d35552578da0433124bbffc21e23f5
